------------------------------------------------------------------------
r5718 | jcbowman | 2015-05-19 16:19:23 -0600 (Tue, 19 May 2015) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi

Update documentation.

------------------------------------------------------------------------
r5717 | jcbowman | 2015-05-19 15:43:15 -0600 (Tue, 19 May 2015) | 3 lines
Changed paths:
   M /trunk/asymptote/runlabel.in

Work around eps2write bug that forces all postscript to first page,
breaking multiple 3D xelatex and context labels.

------------------------------------------------------------------------
r5716 | jcbowman | 2015-05-19 14:31:06 -0600 (Tue, 19 May 2015) | 2 lines
Changed paths:
   R /trunk/asymptote/doc/FAQ/install-sh
   R /trunk/asymptote/doc/install-sh

Replace duplicate files with symbolic links.

------------------------------------------------------------------------
r5715 | jcbowman | 2015-05-18 13:51:02 -0600 (Mon, 18 May 2015) | 2 lines
Changed paths:
   M /trunk/asymptote/runlabel.in

Support rendered 3D context images.

------------------------------------------------------------------------
r5714 | jcbowman | 2015-05-17 11:04:51 -0600 (Sun, 17 May 2015) | 1 line
Changed paths:
   M /trunk/asymptote/asymptote.spec
   M /trunk/asymptote/configure.ac

Increment version to 2.35svn.
------------------------------------------------------------------------
r5713 | jcbowman | 2015-05-16 12:41:33 -0600 (Sat, 16 May 2015) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi

Update ghostscript URL.

------------------------------------------------------------------------
r5712 | jcbowman | 2015-05-14 00:45:17 -0600 (Thu, 14 May 2015) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/colors.asy

Improve readability of named pen colors documentation.

------------------------------------------------------------------------
r5711 | jcbowman | 2015-05-14 00:39:39 -0600 (Thu, 14 May 2015) | 3 lines
Changed paths:
   M /trunk/asymptote/base/three_surface.asy

Add surface cone(path3 base, triple vertex) to construct an approximate
cone over an arbitrary base, courtesy of Charles Staats.

------------------------------------------------------------------------
r5710 | jcbowman | 2015-05-14 00:07:11 -0600 (Thu, 14 May 2015) | 2 lines
Changed paths:
   M /trunk/asymptote/README
   M /trunk/asymptote/asymptote.spec
   M /trunk/asymptote/patches/README
   D /trunk/asymptote/patches/cygwin_xdr.patch

Update documentation; remove obsolete cygwin patch.

------------------------------------------------------------------------
r5709 | jcbowman | 2015-05-13 09:00:23 -0600 (Wed, 13 May 2015) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/tests/Makefile
   A /trunk/asymptote/tests/gs
   A /trunk/asymptote/tests/gs/ghostscript.asy

Add test for Ghostscript 9.14 or later.

------------------------------------------------------------------------
r5708 | jcbowman | 2015-05-10 23:45:09 -0600 (Sun, 10 May 2015) | 1 line
Changed paths:
   M /trunk/asymptote/configure.ac

Increment version to 2.34svn.
------------------------------------------------------------------------
r5707 | jcbowman | 2015-05-10 22:35:32 -0600 (Sun, 10 May 2015) | 2 lines
Changed paths:
   M /trunk/asymptote/base/smoothcontour3.asy

Enable progress reporting if verbose > 1.

------------------------------------------------------------------------
r5706 | jcbowman | 2015-05-10 22:09:46 -0600 (Sun, 10 May 2015) | 2 lines
Changed paths:
   M /trunk/asymptote/asymptote.spec
   M /trunk/asymptote/configure.ac
   M /trunk/asymptote/doc/asymptote.texi

Update to gc-7.4.2.

------------------------------------------------------------------------
r5705 | jcbowman | 2015-05-10 21:30:56 -0600 (Sun, 10 May 2015) | 3 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/picture.cc
   M /trunk/asymptote/settings.cc

Implement aligndir option for aligning picture to arbitrary point of page
boundary.

------------------------------------------------------------------------
r5704 | jcbowman | 2015-05-10 17:50:49 -0600 (Sun, 10 May 2015) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/latexusage.tex

Fix default.

------------------------------------------------------------------------
r5703 | jcbowman | 2015-05-10 17:47:40 -0600 (Sun, 10 May 2015) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asy-latex.dtx
   M /trunk/asymptote/doc/latexusage.tex

Add \def\asylatexdir{DIR} option to support pdflatex -output-directory=DIR.

------------------------------------------------------------------------
r5702 | jcbowman | 2015-05-08 12:43:31 -0600 (Fri, 08 May 2015) | 2 lines
Changed paths:
   A /trunk/asymptote/base/smoothcontour3.asy
   A /trunk/asymptote/examples/lemniscate.asy

Added Charles Staats' smoothcontour3 module, with example.

------------------------------------------------------------------------
r5701 | jcbowman | 2015-05-08 11:42:00 -0600 (Fri, 08 May 2015) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_arrows.asy

Fix definition of SimpleHead.

------------------------------------------------------------------------
r5700 | jcbowman | 2015-05-08 09:01:42 -0600 (Fri, 08 May 2015) | 2 lines
Changed paths:
   M /trunk/asymptote/base/trembling.asy

Remove outdated comments.

------------------------------------------------------------------------
r5699 | jcbowman | 2015-05-08 08:52:49 -0600 (Fri, 08 May 2015) | 2 lines
Changed paths:
   M /trunk/asymptote/base/palette.asy

Fix image dimensions.

------------------------------------------------------------------------
r5698 | jcbowman | 2015-05-08 08:42:04 -0600 (Fri, 08 May 2015) | 3 lines
Changed paths:
   M /trunk/asymptote/base/three_surface.asy
   M /trunk/asymptote/doc/asymptote.texi

Change default meshlight to nolight so that mesh lines with positive width
appear consistent with default single pixel width mesh lines.

------------------------------------------------------------------------
r5697 | jcbowman | 2015-05-07 19:00:00 -0600 (Thu, 07 May 2015) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three_tube.asy

Fix cond handling in parametric surfaces.

------------------------------------------------------------------------
r5696 | jcbowman | 2015-05-07 12:25:16 -0600 (Thu, 07 May 2015) | 2 lines
Changed paths:
   M /trunk/asymptote/base/geometry.asy

Fix sign.

------------------------------------------------------------------------
r5695 | jcbowman | 2015-05-07 12:22:07 -0600 (Thu, 07 May 2015) | 2 lines
Changed paths:
   M /trunk/asymptote/base/geometry.asy

Fix path arc(pair B, pair A, pair C, real r).

------------------------------------------------------------------------
r5694 | jcbowman | 2015-04-26 20:03:36 -0600 (Sun, 26 Apr 2015) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/texfile.cc

Work around backwards incompatible dvisvgm pt to bp unit change on 2014-04-09.

------------------------------------------------------------------------
r5693 | jcbowman | 2015-04-08 16:55:28 -0600 (Wed, 08 Apr 2015) | 2 lines
Changed paths:
   M /trunk/asymptote/runpicture.in

Force deconstruct to use the C locale.

------------------------------------------------------------------------
r5692 | jcbowman | 2015-04-06 23:07:04 -0600 (Mon, 06 Apr 2015) | 2 lines
Changed paths:
   M /trunk/asymptote/runarray.in

Fix mismatched array delete operator.

------------------------------------------------------------------------
r5691 | jcbowman | 2015-04-06 18:18:26 -0600 (Mon, 06 Apr 2015) | 2 lines
Changed paths:
   M /trunk/asymptote/picture.cc
   M /trunk/asymptote/picture.h
   M /trunk/asymptote/runlabel.in

Work around missing epswrite driver in ghostscript-9.15.

------------------------------------------------------------------------
r5690 | jcbowman | 2015-03-26 15:01:22 -0600 (Thu, 26 Mar 2015) | 2 lines
Changed paths:
   M /trunk/asymptote/texfile.cc

Remove obsolete workaround for an Adobe Reader transparency artifact.

------------------------------------------------------------------------
r5689 | jcbowman | 2014-12-10 09:29:51 -0700 (Wed, 10 Dec 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asy-latex.dtx
   M /trunk/asymptote/texfile.cc

Fix inline option when importing asymptote.sty with xelatex.

------------------------------------------------------------------------
r5688 | jcbowman | 2014-12-10 09:09:16 -0700 (Wed, 10 Dec 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/Bode.asy
   M /trunk/asymptote/doc/asymptote.texi

Fix documentation and example.

------------------------------------------------------------------------
r5687 | jcbowman | 2014-12-10 09:08:50 -0700 (Wed, 10 Dec 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/base/ode.asy

Rename function argument of integrate in ode.asy to correspond to documentation.

------------------------------------------------------------------------
r5686 | jcbowman | 2014-12-10 09:01:12 -0700 (Wed, 10 Dec 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/runarray.in

Simplify code.

------------------------------------------------------------------------
r5685 | jcbowman | 2014-09-24 15:20:00 -0600 (Wed, 24 Sep 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/runpath.in

Remove ambiguity from min(guide) and max(guide).

------------------------------------------------------------------------
r5684 | jcbowman | 2014-09-24 14:43:54 -0600 (Wed, 24 Sep 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/base/slide.asy

Indexed figures should always be stepped.

------------------------------------------------------------------------
r5683 | jcbowman | 2014-08-29 16:44:23 -0600 (Fri, 29 Aug 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three_surface.asy

Fix overlap fuzz parameter.

------------------------------------------------------------------------
r5682 | jcbowman | 2014-06-20 14:51:28 -0600 (Fri, 20 Jun 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three_surface.asy
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/path3.cc
   M /trunk/asymptote/path3.h
   M /trunk/asymptote/runpath3d.in

Implement and document intersect(path, surface).

------------------------------------------------------------------------
r5681 | jcbowman | 2014-06-06 16:59:31 -0600 (Fri, 06 Jun 2014) | 4 lines
Changed paths:
   M /trunk/asymptote/glrender.cc

Fix zoom/menu button.

Fix play option.

------------------------------------------------------------------------
r5680 | jcbowman | 2014-05-26 10:57:02 -0600 (Mon, 26 May 2014) | 4 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/pair.h
   M /trunk/asymptote/runpair.in

Implement 2D scalar cross product.

Improve documentation of orient and insphere functions.

------------------------------------------------------------------------
r5679 | jcbowman | 2014-05-23 00:39:03 -0600 (Fri, 23 May 2014) | 1 line
Changed paths:
   M /trunk/asymptote/asymptote.spec
   M /trunk/asymptote/configure.ac

Increment version to 2.33svn.
------------------------------------------------------------------------
r5678 | jcbowman | 2014-05-22 09:40:58 -0600 (Thu, 22 May 2014) | 3 lines
Changed paths:
   M /trunk/asymptote/Makefile.in

Allow overriding CXXFLAGS with CFLAGS so that make CFLAGS="-g" disables
optimization (for debugging).

------------------------------------------------------------------------
r5677 | jcbowman | 2014-05-22 01:12:56 -0600 (Thu, 22 May 2014) | 5 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/runpath.in
   M /trunk/asymptote/runpath3d.in

Rename side(pair,pair,pair) to orient(pair,pair,pair).
Also provide interfaces to orient(triple,triple,triple,triple) and 
insphere(triple,triple,triple,triple,triple).
Fix and update documentation of orient, incircle, and insphere.

------------------------------------------------------------------------
r5676 | jcbowman | 2014-05-19 13:16:29 -0600 (Mon, 19 May 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/png/Makefile.in

Use gs instead of convert to generate latexusage.png.

------------------------------------------------------------------------
r5675 | jcbowman | 2014-05-19 08:27:39 -0600 (Mon, 19 May 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/tests/arith/random.asy

Guard agains random() returning a 16-bit result.

------------------------------------------------------------------------
r5674 | jcbowman | 2014-05-19 00:53:09 -0600 (Mon, 19 May 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/drawlabel.cc

Use random() instead of rand() everywhere.

------------------------------------------------------------------------
r5673 | jcbowman | 2014-05-19 00:44:20 -0600 (Mon, 19 May 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/builtin.cc
   M /trunk/asymptote/common.h
   M /trunk/asymptote/drawlabel.cc
   M /trunk/asymptote/runmath.in

Use RANDOM_MAX rather than nonportable RAND_MAX.

------------------------------------------------------------------------
r5672 | jcbowman | 2014-05-19 00:43:14 -0600 (Mon, 19 May 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/Makefile.in
   D /trunk/asymptote/svnrevision

Fix version mismatches when releases are imported via svn.

------------------------------------------------------------------------
r5671 | jcbowman | 2014-05-18 15:19:31 -0600 (Sun, 18 May 2014) | 2 lines
Changed paths:
   A /trunk/asymptote/tests/arith/random.asy

Test that unitrand is in [0,1].

------------------------------------------------------------------------
r5670 | jcbowman | 2014-05-18 12:14:26 -0600 (Sun, 18 May 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/configure.ac

Remove obsolete test for texi2dvi4a2ps.

------------------------------------------------------------------------
r5669 | jcbowman | 2014-05-18 11:16:55 -0600 (Sun, 18 May 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/runpair.in
   M /trunk/asymptote/stack.cc

Suppress compiler warnings.

------------------------------------------------------------------------
r5668 | jcbowman | 2014-05-17 13:24:35 -0600 (Sat, 17 May 2014) | 1 line
Changed paths:
   M /trunk/asymptote/settings.cc

Document context tex engine.
------------------------------------------------------------------------
r5667 | jcbowman | 2014-05-17 09:54:46 -0600 (Sat, 17 May 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/runlabel.in

Enable libc++ workaround also for FreeBSD.

------------------------------------------------------------------------
r5666 | jcbowman | 2014-05-17 02:43:23 -0600 (Sat, 17 May 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/base/math.asy

Fix segment(bool[] b).

------------------------------------------------------------------------
r5665 | jcbowman | 2014-05-17 02:02:09 -0600 (Sat, 17 May 2014) | 1 line
Changed paths:
   M /trunk/asymptote/asymptote.spec
   M /trunk/asymptote/configure.ac

Increment version to 2.32svn.
------------------------------------------------------------------------
r5664 | jcbowman | 2014-05-16 23:32:06 -0600 (Fri, 16 May 2014) | 3 lines
Changed paths:
   M /trunk/asymptote/runlabel.in

Fix hangs in 3D font generation and the "none" tex engine.
Disable the MacOS 10.9 libc++ workaround on other platforms.

------------------------------------------------------------------------
r5663 | jcbowman | 2014-05-16 18:59:29 -0600 (Fri, 16 May 2014) | 1 line
Changed paths:
   M /trunk/asymptote/configure.ac

Increment version to 2.31svn.
------------------------------------------------------------------------
r5662 | jcbowman | 2014-05-16 16:45:44 -0600 (Fri, 16 May 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/glrender.cc
   M /trunk/asymptote/runlabel.in

Fix zoom/menu button.

------------------------------------------------------------------------
r5661 | jcbowman | 2014-05-16 15:15:33 -0600 (Fri, 16 May 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/runlabel.in

Workaround broken stringstream in MacOS 10.9 libc++.

------------------------------------------------------------------------
r5660 | jcbowman | 2014-05-16 10:00:52 -0600 (Fri, 16 May 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/Makefile.in

Remove optional space.

------------------------------------------------------------------------
r5659 | jcbowman | 2014-05-16 09:45:21 -0600 (Fri, 16 May 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/Makefile.in

Add CXXFLAGS.

------------------------------------------------------------------------
r5658 | jcbowman | 2014-05-16 00:11:20 -0600 (Fri, 16 May 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/pipestream.cc
   M /trunk/asymptote/pipestream.h
   M /trunk/asymptote/runlabel.in

Use blocking reads by default.

------------------------------------------------------------------------
r5657 | jcbowman | 2014-05-15 22:15:21 -0600 (Thu, 15 May 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/pipestream.cc
   M /trunk/asymptote/pipestream.h
   M /trunk/asymptote/runlabel.in

Simplify code.

------------------------------------------------------------------------
r5656 | jcbowman | 2014-05-15 22:13:58 -0600 (Thu, 15 May 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/triple.h

Revert temporary division by 0 in transform of a triple workaround.

------------------------------------------------------------------------
r5655 | jcbowman | 2014-05-15 14:16:42 -0600 (Thu, 15 May 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three.asy
   M /trunk/asymptote/runlabel.in

Support 3D for all texengines (but prc only for latex texengines).

------------------------------------------------------------------------
r5654 | jcbowman | 2014-05-15 10:56:24 -0600 (Thu, 15 May 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/drawlabel.cc

Improve TeX pipe interaction.

------------------------------------------------------------------------
r5653 | jcbowman | 2014-05-15 09:28:22 -0600 (Thu, 15 May 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/asymptote.spec
   M /trunk/asymptote/gsl.cc
   M /trunk/asymptote/runfile.in

Suppress warning messages.

------------------------------------------------------------------------
r5652 | jcbowman | 2014-05-15 09:09:25 -0600 (Thu, 15 May 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/configure.ac

Fix typo.

------------------------------------------------------------------------
r5651 | jcbowman | 2014-05-15 08:34:10 -0600 (Thu, 15 May 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/genv.cc

Use standard STL include.

------------------------------------------------------------------------
r5650 | jcbowman | 2014-05-15 03:22:27 -0600 (Thu, 15 May 2014) | 1 line
Changed paths:
   M /trunk/asymptote/configure.ac

Increment version to 2.30svn.
------------------------------------------------------------------------
r5649 | jcbowman | 2014-05-15 01:52:40 -0600 (Thu, 15 May 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/drawlayer.h
   M /trunk/asymptote/runlabel.in

Enable page breaks and 3D OpenGL with ConTeXt TeX engine.

------------------------------------------------------------------------
r5648 | jcbowman | 2014-05-14 23:28:38 -0600 (Wed, 14 May 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/base/embed.asy
   M /trunk/asymptote/doc/externalprc.tex

Fix inlineimage.

------------------------------------------------------------------------
r5647 | jcbowman | 2014-05-14 22:54:25 -0600 (Wed, 14 May 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/base/embed.asy
   M /trunk/asymptote/drawlabel.cc
   M /trunk/asymptote/drawlabel.h
   M /trunk/asymptote/runlabel.in

Fix inlinetex.

------------------------------------------------------------------------
r5646 | jcbowman | 2014-05-14 19:02:41 -0600 (Wed, 14 May 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/triple.h

Try to recover from division by 0 in transform of a triple.

------------------------------------------------------------------------
r5645 | jcbowman | 2014-05-14 18:16:01 -0600 (Wed, 14 May 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/configure.ac
   M /trunk/asymptote/prc/writePRC.h

Use list unconditionally.

------------------------------------------------------------------------
r5644 | jcbowman | 2014-05-14 18:03:50 -0600 (Wed, 14 May 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/configure.ac
   M /trunk/asymptote/memory.h

Fix typos.

------------------------------------------------------------------------
r5643 | jcbowman | 2014-05-14 17:34:17 -0600 (Wed, 14 May 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/configure.ac
   M /trunk/asymptote/memory.h
   M /trunk/asymptote/prc/writePRC.h

More portability tweaks.

------------------------------------------------------------------------
r5642 | jcbowman | 2014-05-14 16:44:10 -0600 (Wed, 14 May 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/configure.ac
   M /trunk/asymptote/memory.h

More portability tweaks.

------------------------------------------------------------------------
r5641 | jcbowman | 2014-05-14 15:49:17 -0600 (Wed, 14 May 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/Makefile.in
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/drawlabel.cc
   M /trunk/asymptote/drawlabel.h
   A /trunk/asymptote/pipestream.cc
   M /trunk/asymptote/pipestream.h
   M /trunk/asymptote/runlabel.in
   M /trunk/asymptote/settings.cc
   M /trunk/asymptote/settings.h

Simplify code.

------------------------------------------------------------------------
r5640 | jcbowman | 2014-05-14 15:43:56 -0600 (Wed, 14 May 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asyRefCard.tex

Update reference card.

------------------------------------------------------------------------
r5639 | jcbowman | 2014-05-14 00:06:11 -0600 (Wed, 14 May 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/drawimage.h

Remove duplicate variable.

------------------------------------------------------------------------
r5638 | jcbowman | 2014-05-13 22:51:12 -0600 (Tue, 13 May 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/asymptote.spec
   M /trunk/asymptote/pipestream.h

Reinstate tailequals to support MSDOS in bidirectional tex pipe.

------------------------------------------------------------------------
r5637 | jcbowman | 2014-05-13 21:04:05 -0600 (Tue, 13 May 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/drawlabel.cc
   M /trunk/asymptote/pipestream.h
   M /trunk/asymptote/settings.cc
   M /trunk/asymptote/texfile.h

Improve bidirectional pipe; re-enable context tex engine.

------------------------------------------------------------------------
r5636 | jcbowman | 2014-05-13 00:23:51 -0600 (Tue, 13 May 2014) | 5 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/settings.cc

Remove support for the ConTeXT tex engine since piping is broken in the
latest (mkiv) version.

Add support for luatex and lualatex.

------------------------------------------------------------------------
r5635 | jcbowman | 2014-05-12 19:38:09 -0600 (Mon, 12 May 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/texfile.cc
   M /trunk/asymptote/texfile.h

Update ConTeX support.

------------------------------------------------------------------------
r5634 | jcbowman | 2014-05-12 18:59:22 -0600 (Mon, 12 May 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/memory.h
   M /trunk/asymptote/prc/writePRC.h

Portability tweak.

------------------------------------------------------------------------
r5633 | jcbowman | 2014-05-12 14:12:43 -0600 (Mon, 12 May 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/settings.cc
   M /trunk/asymptote/settings.h
   M /trunk/asymptote/texfile.cc
   M /trunk/asymptote/texfile.h

Remove dependency on \put (contributed by Mojca Miklavec).

------------------------------------------------------------------------
r5632 | jcbowman | 2014-05-11 17:27:29 -0600 (Sun, 11 May 2014) | 1 line
Changed paths:
   M /trunk/asymptote/configure.ac

Increment version to 2.29svn.
------------------------------------------------------------------------
r5631 | jcbowman | 2014-05-11 14:56:56 -0600 (Sun, 11 May 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/asymptote.spec
   M /trunk/asymptote/base/bezulate.asy

Reduce number of allowed bezulate refinements to maxrefinements (default 7).

------------------------------------------------------------------------
r5630 | jcbowman | 2014-05-11 14:55:52 -0600 (Sun, 11 May 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/path.cc

Avoid numerical overflow in quadraticroots and cubicroots.

------------------------------------------------------------------------
r5629 | jcbowman | 2014-05-11 10:22:34 -0600 (Sun, 11 May 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three_surface.asy
   M /trunk/asymptote/examples/splitpatch.asy

Update splitpatch example.

------------------------------------------------------------------------
r5628 | jcbowman | 2014-05-10 20:09:33 -0600 (Sat, 10 May 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/Makefile.in

Install refs.bib with slidedemo.asy.

------------------------------------------------------------------------
r5627 | jcbowman | 2014-05-10 17:32:43 -0600 (Sat, 10 May 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/runstring.in

Fix locale bug.

------------------------------------------------------------------------
r5626 | jcbowman | 2014-05-09 08:52:54 -0600 (Fri, 09 May 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three.asy
   M /trunk/asymptote/glrender.cc

Remove minimum window constraints (use viewportsize instead).

------------------------------------------------------------------------
r5625 | jcbowman | 2014-05-08 11:25:35 -0600 (Thu, 08 May 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi

Fix discussion of new T.

------------------------------------------------------------------------
r5624 | jcbowman | 2014-05-08 00:24:42 -0600 (Thu, 08 May 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi

Update links.

------------------------------------------------------------------------
r5623 | jcbowman | 2014-05-08 00:15:03 -0600 (Thu, 08 May 2014) | 4 lines
Changed paths:
   M /trunk/asymptote/base/three.asy
   M /trunk/asymptote/glrender.cc

Work around PRC viewport issue.

Simplify OpenGL minsize code.

------------------------------------------------------------------------
r5622 | jcbowman | 2014-05-08 00:14:01 -0600 (Thu, 08 May 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/examples/animations/embeddedmovie.asy

Update link.

------------------------------------------------------------------------
r5621 | jcbowman | 2014-05-07 11:02:33 -0600 (Wed, 07 May 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/glrender.cc

Fix calculation of minimum width and height for OpenGL window.

------------------------------------------------------------------------
r5620 | jcbowman | 2014-05-06 19:26:10 -0600 (Tue, 06 May 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three.asy

Fix transform(u,v,O).

------------------------------------------------------------------------
r5619 | jcbowman | 2014-05-05 09:58:15 -0600 (Mon, 05 May 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three_surface.asy

Add optional parameters to hsplit and vsplit.

------------------------------------------------------------------------
r5618 | jcbowman | 2014-04-28 12:10:05 -0600 (Mon, 28 Apr 2014) | 1 line
Changed paths:
   M /trunk/asymptote/asymptote.spec
   M /trunk/asymptote/configure.ac

Increment version to 2.28svn.
------------------------------------------------------------------------
r5617 | jcbowman | 2014-04-28 09:46:10 -0600 (Mon, 28 Apr 2014) | 3 lines
Changed paths:
   M /trunk/asymptote/base/plain.asy
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/settings.h
   M /trunk/asymptote/texfile.cc

Move Adobe transparency workaround to C++ code to allow use of texpreamble
again with the pdflatex tex engine.

------------------------------------------------------------------------
r5616 | jcbowman | 2014-04-26 13:40:55 -0600 (Sat, 26 Apr 2014) | 1 line
Changed paths:
   M /trunk/asymptote/configure.ac

Increment version to 2.27svn.
------------------------------------------------------------------------
r5615 | jcbowman | 2014-04-26 10:59:00 -0600 (Sat, 26 Apr 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/patches/flex.patch

Update flex patch.

------------------------------------------------------------------------
r5614 | jcbowman | 2014-04-26 10:24:56 -0600 (Sat, 26 Apr 2014) | 3 lines
Changed paths:
   M /trunk/asymptote/Makefile.in
   M /trunk/asymptote/asymptote.spec
   A /trunk/asymptote/svnrevision

Don't test for an svn release if special file svnrevision is missing, so that
release code imported via svn still uses the official release version.

------------------------------------------------------------------------
r5613 | jcbowman | 2014-04-25 20:58:03 -0600 (Fri, 25 Apr 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/interact.cc

Test for POSIX 2008.

------------------------------------------------------------------------
r5612 | jcbowman | 2014-04-25 20:57:06 -0600 (Fri, 25 Apr 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/Makefile.in

Address portability issue.

------------------------------------------------------------------------
r5611 | jcbowman | 2014-04-25 20:52:07 -0600 (Fri, 25 Apr 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/memory.h
   M /trunk/asymptote/runmath.in

Support c++11.

------------------------------------------------------------------------
r5610 | jcbowman | 2014-04-25 09:58:48 -0600 (Fri, 25 Apr 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/memory.h

Use unordered_map if __GNUC_PREREQ is not set.

------------------------------------------------------------------------
r5609 | jcbowman | 2014-04-22 10:36:57 -0600 (Tue, 22 Apr 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/README
   M /trunk/asymptote/doc/asymptote.texi

Update documentation.

------------------------------------------------------------------------
r5608 | jcbowman | 2014-04-22 08:57:14 -0600 (Tue, 22 Apr 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_arrows.asy
   M /trunk/asymptote/base/three_arrows.asy

Fix degenerate HookHead and SimpleHead arrows.

------------------------------------------------------------------------
r5607 | jcbowman | 2014-04-21 22:56:24 -0600 (Mon, 21 Apr 2014) | 2 lines
Changed paths:
   D /trunk/asymptote/doc/.cvsignore
   M /trunk/asymptote/doc/Makefile.in
   M /trunk/asymptote/doc/extra/intro.asy
   D /trunk/asymptote/examples/.cvsignore
   M /trunk/asymptote/examples/refs.bib

Remove unused files; update references.

------------------------------------------------------------------------
r5606 | jcbowman | 2014-04-21 14:24:14 -0600 (Mon, 21 Apr 2014) | 4 lines
Changed paths:
   M /trunk/asymptote/GUI/xasy2asy.py
   M /trunk/asymptote/GUI/xasyCodeEditor.py
   M /trunk/asymptote/GUI/xasyMainWin.py
   M /trunk/asymptote/GUI/xasyOptions.py

Make xasy terminate asy process upon exit.

Use winpad as the default code editor under MSWindows.

------------------------------------------------------------------------
r5605 | jcbowman | 2014-04-21 11:08:02 -0600 (Mon, 21 Apr 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/GUI/xasyCodeEditor.py

Fix xasy code editor under MSWindows.

------------------------------------------------------------------------
r5604 | jcbowman | 2014-04-20 13:06:53 -0600 (Sun, 20 Apr 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/base/CAD.asy
   M /trunk/asymptote/base/embed.asy
   M /trunk/asymptote/doc/CAD.tex
   M /trunk/asymptote/doc/CAD1.asy
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/doc/extra/intro.asy
   D /trunk/asymptote/doc/extra/intro_.bbl
   M /trunk/asymptote/doc/ocg.sty
   M /trunk/asymptote/examples/worldmap.asy

Miscellaneous CTAN updates.

------------------------------------------------------------------------
r5603 | jcbowman | 2014-04-20 02:57:11 -0600 (Sun, 20 Apr 2014) | 1 line
Changed paths:
   M /trunk/asymptote/configure.ac

Increment version to 2.26svn.
------------------------------------------------------------------------
r5602 | jcbowman | 2014-04-20 00:12:08 -0600 (Sun, 20 Apr 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi

Update SVG documentation.

------------------------------------------------------------------------
r5601 | jcbowman | 2014-04-19 14:21:13 -0600 (Sat, 19 Apr 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/README
   M /trunk/asymptote/memory.h
   M /trunk/asymptote/runsystem.in
   M /trunk/asymptote/settings.cc
   M /trunk/asymptote/symbol.h

Fix Boehm gc compatibility issue with compact option.

------------------------------------------------------------------------
r5600 | jcbowman | 2014-04-19 14:19:12 -0600 (Sat, 19 Apr 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_paths.asy
   M /trunk/asymptote/doc/asymptote.texi

Add brace routine contributed by Charles Staats.

------------------------------------------------------------------------
r5599 | jcbowman | 2014-04-19 14:12:19 -0600 (Sat, 19 Apr 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/GUI/xasyCodeEditor.py

Allow code editor command line options.

------------------------------------------------------------------------
r5598 | jcbowman | 2014-04-19 11:13:02 -0600 (Sat, 19 Apr 2014) | 4 lines
Changed paths:
   M /trunk/asymptote/base/embed.asy
   M /trunk/asymptote/doc/asymptote.texi

Apply noplaybutton workaround only to new versions of media9.

Add link to the excellent tutorial written by Charles Staats.

------------------------------------------------------------------------
r5597 | jcbowman | 2014-04-19 09:50:38 -0600 (Sat, 19 Apr 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_filldraw.asy

Fix numerical precision issue in makepen.

------------------------------------------------------------------------
r5596 | jcbowman | 2014-04-19 09:26:31 -0600 (Sat, 19 Apr 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three_surface.asy

Re-enable mesh lines.

------------------------------------------------------------------------
r5595 | jcbowman | 2014-04-19 01:32:45 -0600 (Sat, 19 Apr 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/patches/cygwin_glu.patch

Update cygwin GLU patch.

------------------------------------------------------------------------
r5594 | jcbowman | 2014-04-19 00:14:11 -0600 (Sat, 19 Apr 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/prc/PRCbitStream.cc
   M /trunk/asymptote/prc/PRCbitStream.h
   M /trunk/asymptote/prc/oPRCFile.cc
   M /trunk/asymptote/prc/oPRCFile.h
   M /trunk/asymptote/prc/test.cc
   M /trunk/asymptote/prc/writePRC.cc
   M /trunk/asymptote/prc/writePRC.h

Acknowledge Michail Vidiassov's extensive contributions to the PRC code.

------------------------------------------------------------------------
r5593 | jcbowman | 2014-04-18 13:25:55 -0600 (Fri, 18 Apr 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three_surface.asy

Sort vector patches to work around opacity artifacts in many rendering engines.

------------------------------------------------------------------------
r5592 | jcbowman | 2014-04-18 11:43:49 -0600 (Fri, 18 Apr 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/base/embed.asy
   M /trunk/asymptote/base/plain.asy
   M /trunk/asymptote/base/plain_shipout.asy
   M /trunk/asymptote/base/three.asy
   M /trunk/asymptote/doc/asymptote.texi

Support raw PRC output with outformat="prc".

------------------------------------------------------------------------
r5591 | jcbowman | 2014-04-18 10:46:40 -0600 (Fri, 18 Apr 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/configure.ac

Improve diagnostic when texi2dvi is missing.

------------------------------------------------------------------------
r5590 | jcbowman | 2014-04-18 10:45:43 -0600 (Fri, 18 Apr 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/base/embed.asy
   M /trunk/asymptote/doc/externalprc.tex

Fix inlineimage under pdflatex.

------------------------------------------------------------------------
r5589 | jcbowman | 2014-04-18 09:15:18 -0600 (Fri, 18 Apr 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain.asy

Implement workarounds for Adobe Reader transparency artifact.

------------------------------------------------------------------------
r5588 | jcbowman | 2014-04-18 02:04:26 -0600 (Fri, 18 Apr 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/asymptote.spec
   M /trunk/asymptote/fftw++.cc

Update FFT support file.

------------------------------------------------------------------------
r5587 | jcbowman | 2014-04-18 01:00:19 -0600 (Fri, 18 Apr 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi

Update documentation.

------------------------------------------------------------------------
r5586 | jcbowman | 2014-04-18 00:30:23 -0600 (Fri, 18 Apr 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/FAQ/asy-faq.bfnn

Update FAQ about changing default arrow size.

------------------------------------------------------------------------
r5585 | jcbowman | 2014-04-18 00:01:09 -0600 (Fri, 18 Apr 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/base/embed.asy

Avoid unwanted play button starting with media9 version 0.35.

------------------------------------------------------------------------
r5584 | jcbowman | 2014-04-17 23:29:00 -0600 (Thu, 17 Apr 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/README
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/fftw++.h

Update fftw++ header file.

------------------------------------------------------------------------
r5583 | jcbowman | 2014-04-17 13:32:16 -0600 (Thu, 17 Apr 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/base/contour.asy
   M /trunk/asymptote/configure.ac

Revert to version r4783 of contour.asy until paraboloid version is fixed.

------------------------------------------------------------------------
r5582 | jcbowman | 2014-04-16 16:34:54 -0600 (Wed, 16 Apr 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/Makefile.in
   M /trunk/asymptote/configure.ac
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/runsystem.in
   M /trunk/asymptote/settings.cc
   M /trunk/asymptote/settings.h
   M /trunk/asymptote/symbol.h

Update to Boehm garbage collector gc 7.4.0.

------------------------------------------------------------------------
r5581 | jcbowman | 2014-04-16 14:42:22 -0600 (Wed, 16 Apr 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/guideflags.h
   M /trunk/asymptote/picture.cc
   M /trunk/asymptote/runtime.in
   M /trunk/asymptote/settings.cc

Under MSWindows, look for ghostscript library in both 32 bit and 64 bit registries.

------------------------------------------------------------------------
r5580 | jcbowman | 2014-04-16 14:40:45 -0600 (Wed, 16 Apr 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/base/math.asy
   M /trunk/asymptote/base/three_surface.asy
   M /trunk/asymptote/doc/asymptote.texi
   A /trunk/asymptote/examples/refs.bib
   M /trunk/asymptote/examples/sqrtx01y1.asy

Update examples and documentation.

------------------------------------------------------------------------
r5579 | jcbowman | 2014-04-16 14:31:36 -0600 (Wed, 16 Apr 2014) | 2 lines
Changed paths:
   M /trunk/asymptote/base/lmfit.asy

Test that printout is nonnull.

------------------------------------------------------------------------
r5578 | hammera | 2013-12-29 16:25:58 -0700 (Sun, 29 Dec 2013) | 2 lines
Changed paths:
   M /trunk/asymptote/application.cc
   M /trunk/asymptote/pair.h

Fix an exact match bug.

------------------------------------------------------------------------
r5577 | hammera | 2013-12-28 16:13:18 -0700 (Sat, 28 Dec 2013) | 2 lines
Changed paths:
   M /trunk/asymptote/guide.cc
   M /trunk/asymptote/guide.h
   M /trunk/asymptote/tests/types/guide.asy

Change multiguide to avoid deep trees in normal use.

------------------------------------------------------------------------
r5576 | jcbowman | 2013-07-12 12:55:49 -0600 (Fri, 12 Jul 2013) | 1 line
Changed paths:
   M /trunk/asymptote/asymptote.spec
   M /trunk/asymptote/configure.ac

Increment version to 2.25svn.
------------------------------------------------------------------------
r5575 | jcbowman | 2013-07-12 10:07:05 -0600 (Fri, 12 Jul 2013) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi

Fix typos in documentation.

------------------------------------------------------------------------
r5574 | jcbowman | 2013-07-12 10:06:47 -0600 (Fri, 12 Jul 2013) | 2 lines
Changed paths:
   M /trunk/asymptote/drawsurface.cc

Fix segmentation fault in drawSphere.

------------------------------------------------------------------------
r5573 | jcbowman | 2013-05-31 02:07:49 -0600 (Fri, 31 May 2013) | 2 lines
Changed paths:
   A /trunk/asymptote/examples/RiemannSphere.asy
   A /trunk/asymptote/examples/circumcircle.asy

Add examples.

------------------------------------------------------------------------
r5572 | jcbowman | 2013-05-30 15:53:24 -0600 (Thu, 30 May 2013) | 2 lines
Changed paths:
   M /trunk/asymptote/README
   M /trunk/asymptote/doc/asymptote.texi

Update link to forum.

------------------------------------------------------------------------
r5571 | jcbowman | 2013-05-30 14:32:04 -0600 (Thu, 30 May 2013) | 2 lines
Changed paths:
   A /trunk/asymptote/doc/latexmkrc_asydir

Add latexmkrc example file that stores figures in a subdirectory.

------------------------------------------------------------------------
r5570 | jcbowman | 2013-05-30 14:30:38 -0600 (Thu, 30 May 2013) | 2 lines
Changed paths:
   M /trunk/asymptote/INSTALL
   M /trunk/asymptote/doc/asymptote.texi

Document new SVN repository URL.

------------------------------------------------------------------------
r5569 | jcbowman | 2013-05-30 13:51:33 -0600 (Thu, 30 May 2013) | 2 lines
Changed paths:
   M /trunk/asymptote/configure.ac

Remove explicit libglapi dependency.

------------------------------------------------------------------------
r5568 | jcbowman | 2013-05-27 19:57:17 -0600 (Mon, 27 May 2013) | 2 lines
Changed paths:
   M /trunk/asymptote/interact.cc

Simplify readpipeline (requires POSIX 2008) again.

------------------------------------------------------------------------
r5567 | jcbowman | 2013-05-27 19:52:26 -0600 (Mon, 27 May 2013) | 2 lines
Changed paths:
   M /trunk/asymptote/runarray.in

Restore function pointer to allow recursive calls to simpson.

------------------------------------------------------------------------
r5566 | jcbowman | 2013-05-27 19:51:11 -0600 (Mon, 27 May 2013) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/png/Makefile.in

Support make -n.

------------------------------------------------------------------------
r5565 | jcbowman | 2013-05-20 10:20:59 -0600 (Mon, 20 May 2013) | 1 line
Changed paths:
   M /trunk/asymptote/asymptote.spec
   M /trunk/asymptote/configure.ac

Increment version to 2.24svn.
------------------------------------------------------------------------
r5564 | jcbowman | 2013-05-18 22:38:07 -0600 (Sat, 18 May 2013) | 6 lines
Changed paths:
   M /trunk/asymptote/Makefile.in
   M /trunk/asymptote/README
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/fftw++.cc
   A /trunk/asymptote/fftw++asy.cc

Allow compilation without fftw again.

Revert to previous wisdom file name (.wisdom).

Update copyright.

------------------------------------------------------------------------
r5563 | jcbowman | 2013-05-15 03:10:39 -0600 (Wed, 15 May 2013) | 1 line
Changed paths:
   M /trunk/asymptote/configure.ac

Increment version to 2.23svn.
------------------------------------------------------------------------
r5562 | jcbowman | 2013-05-15 02:33:47 -0600 (Wed, 15 May 2013) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/FAQ/Makefile

Fix dependencies.

------------------------------------------------------------------------
r5561 | jcbowman | 2013-05-14 21:38:27 -0600 (Tue, 14 May 2013) | 2 lines
Changed paths:
   M /trunk/asymptote/fftw++.h

Update FFTW header.

------------------------------------------------------------------------
r5560 | jcbowman | 2013-05-14 21:37:25 -0600 (Tue, 14 May 2013) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi

Update documentation.

------------------------------------------------------------------------
r5559 | jcbowman | 2013-05-14 21:06:24 -0600 (Tue, 14 May 2013) | 3 lines
Changed paths:
   M /trunk/asymptote/base/plain_picture.asy
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/drawfill.cc
   M /trunk/asymptote/drawfill.h
   M /trunk/asymptote/examples/shade.asy
   M /trunk/asymptote/psfile.cc
   M /trunk/asymptote/psfile.h
   M /trunk/asymptote/runpicture.in
   M /trunk/asymptote/texfile.cc
   M /trunk/asymptote/texfile.h

Expose Postscript extend qualifiers for axial and radial shading
(setting extend=false can work around certain PDF reader bugs).

------------------------------------------------------------------------
r5558 | jcbowman | 2013-05-14 14:39:28 -0600 (Tue, 14 May 2013) | 4 lines
Changed paths:
   M /trunk/asymptote/arrayop.h
   M /trunk/asymptote/base/three_light.asy
   M /trunk/asymptote/base/three_surface.asy
   M /trunk/asymptote/bbox3.h
   M /trunk/asymptote/drawelement.h
   M /trunk/asymptote/drawsurface.cc
   M /trunk/asymptote/drawsurface.h
   M /trunk/asymptote/picture.cc
   M /trunk/asymptote/prc/oPRCFile.cc
   M /trunk/asymptote/prc/writePRC.cc
   M /trunk/asymptote/prc/writePRC.h
   M /trunk/asymptote/runarray.in
   M /trunk/asymptote/triple.h

Fix transformation of normal vectors.

Revert back to usual row-major matrix format.

------------------------------------------------------------------------
r5557 | jcbowman | 2013-05-13 11:04:57 -0600 (Mon, 13 May 2013) | 2 lines
Changed paths:
   M /trunk/asymptote/picture.cc

Make use of --pipe to enter context interactive mode.

------------------------------------------------------------------------
r5556 | jcbowman | 2013-05-13 09:07:53 -0600 (Mon, 13 May 2013) | 2 lines
Changed paths:
   M /trunk/asymptote/GUI/xasy2asy.py
   M /trunk/asymptote/GUI/xasyMainWin.py

Support Fedora migration from python-imaging to python-pillow.

------------------------------------------------------------------------
r5555 | jcbowman | 2013-05-13 08:16:32 -0600 (Mon, 13 May 2013) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi

Fix documentation of irregular contour routine.

------------------------------------------------------------------------
r5554 | jcbowman | 2013-04-08 13:57:50 -0600 (Mon, 08 Apr 2013) | 4 lines
Changed paths:
   M /trunk/asymptote/asymptote.spec
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/drawsurface.cc

Support vertex-colored triangles in Adobe XI.

Remove reference to out-of-date trembling examples.

------------------------------------------------------------------------
r5553 | jcbowman | 2013-04-08 13:46:04 -0600 (Mon, 08 Apr 2013) | 2 lines
Changed paths:
   M /trunk/asymptote/settings.cc

Use TEXMFMAN to find TeXLive sysdir.

------------------------------------------------------------------------
r5552 | jcbowman | 2013-04-04 16:16:19 -0600 (Thu, 04 Apr 2013) | 2 lines
Changed paths:
   M /trunk/asymptote/interact.cc

Temporarily revert 5440 for TeXLive 2013 build systems without Posix 2008.

------------------------------------------------------------------------
r5551 | hammera | 2013-04-04 03:10:22 -0600 (Thu, 04 Apr 2013) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi

Add clarification on 2.. versus 2 ..

------------------------------------------------------------------------
r5550 | jcbowman | 2013-04-03 11:29:11 -0600 (Wed, 03 Apr 2013) | 2 lines
Changed paths:
   M /trunk/asymptote/algebra3.cc

Make portability tweak.

------------------------------------------------------------------------
r5549 | jcbowman | 2013-04-01 11:12:12 -0600 (Mon, 01 Apr 2013) | 2 lines
Changed paths:
   M /trunk/asymptote/runtime.in

Qualify isnan (for solaris).

------------------------------------------------------------------------
r5548 | jcbowman | 2013-02-23 05:29:51 -0700 (Sat, 23 Feb 2013) | 2 lines
Changed paths:
   M /trunk/asymptote/drawpath3.h
   M /trunk/asymptote/drawsurface.h

Avoid unnecessary buffering.

------------------------------------------------------------------------
r5547 | jcbowman | 2013-02-23 05:26:04 -0700 (Sat, 23 Feb 2013) | 2 lines
Changed paths:
   M /trunk/asymptote/fftw++.cc

Update FFTW++ file.

------------------------------------------------------------------------
r5546 | jcbowman | 2013-02-23 05:19:12 -0700 (Sat, 23 Feb 2013) | 2 lines
Changed paths:
   M /trunk/asymptote/base/math.asy

Express segment(bool[]) in terms of more efficient segmentlimits(bool[]) function.

------------------------------------------------------------------------
r5545 | jcbowman | 2013-02-23 05:17:20 -0700 (Sat, 23 Feb 2013) | 2 lines
Changed paths:
   M /trunk/asymptote/fftw++.h
   M /trunk/asymptote/seconds.h

Update FFTW++ headers.

------------------------------------------------------------------------
r5544 | jcbowman | 2013-01-08 14:18:10 -0700 (Tue, 08 Jan 2013) | 3 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi

Recommend freeglut 2.6.0 due to broken menu feature in the 2.8.0 release
(and modifier bugs in various patches for this problem).

------------------------------------------------------------------------
r5543 | jcbowman | 2013-01-06 09:42:17 -0700 (Sun, 06 Jan 2013) | 4 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/glrender.cc

Remove unused code.

Update documentation.

------------------------------------------------------------------------
r5542 | jcbowman | 2013-01-05 08:09:16 -0700 (Sat, 05 Jan 2013) | 2 lines
Changed paths:
   M /trunk/asymptote/camp.l
   M /trunk/asymptote/camp.y

Allow self-defined unary operators.

------------------------------------------------------------------------
r5541 | jcbowman | 2012-12-31 08:27:13 -0700 (Mon, 31 Dec 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/base/graph.asy

Compare formatted strings instead of real values in OmitFormat.

------------------------------------------------------------------------
r5540 | jcbowman | 2012-10-24 12:33:07 -0600 (Wed, 24 Oct 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/examples/tvgen.asy

Update example.

------------------------------------------------------------------------
r5539 | jcbowman | 2012-10-20 16:32:57 -0600 (Sat, 20 Oct 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/Makefile.in

Use C locale for svn info.

------------------------------------------------------------------------
r5538 | jcbowman | 2012-10-17 20:11:03 -0600 (Wed, 17 Oct 2012) | 3 lines
Changed paths:
   M /trunk/asymptote/base/geometry.asy
   M /trunk/asymptote/doc/asymptote.texi

Temporarily revert to using tan(radians(a)) in numerically unstable arclength
calculation in geometry module (note r5466).

------------------------------------------------------------------------
r5537 | jcbowman | 2012-10-10 12:20:47 -0600 (Wed, 10 Oct 2012) | 1 line
Changed paths:
   M /trunk/asymptote/asymptote.spec
   M /trunk/asymptote/configure.ac

Increment version to 2.22svn.
------------------------------------------------------------------------
r5536 | jcbowman | 2012-10-07 06:33:22 -0600 (Sun, 07 Oct 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi

Fix typo.

------------------------------------------------------------------------
r5535 | jcbowman | 2012-10-06 00:38:24 -0600 (Sat, 06 Oct 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/runhistory.in

Fix history recall bug.

------------------------------------------------------------------------
r5534 | jcbowman | 2012-10-04 11:53:09 -0600 (Thu, 04 Oct 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/base/graph.asy
   M /trunk/asymptote/base/graph3.asy
   M /trunk/asymptote/doc/asymptote.texi

Add extend parameter to axes (default true) and axes3 (default false) routines.

------------------------------------------------------------------------
r5533 | jcbowman | 2012-09-30 21:14:47 -0600 (Sun, 30 Sep 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three_surface.asy

Fix alignment point of OpenGL billboard labels.

------------------------------------------------------------------------
r5532 | jcbowman | 2012-09-27 23:37:22 -0600 (Thu, 27 Sep 2012) | 4 lines
Changed paths:
   M /trunk/asymptote/base/plain_Label.asy
   M /trunk/asymptote/base/three_surface.asy

Reinstate billboard rotation for explicitly transformed labels.

Don't request bbox only in label(frame,Label,triple).

------------------------------------------------------------------------
r5531 | jcbowman | 2012-09-27 17:03:39 -0600 (Thu, 27 Sep 2012) | 1 line
Changed paths:
   M /trunk/asymptote/asymptote.spec
   M /trunk/asymptote/configure.ac

Increment version to 2.21svn.
------------------------------------------------------------------------
r5530 | jcbowman | 2012-09-27 15:45:43 -0600 (Thu, 27 Sep 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three.asy

Work around dvipdfmx bug.

------------------------------------------------------------------------
r5529 | jcbowman | 2012-09-27 12:19:08 -0600 (Thu, 27 Sep 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain.asy
   M /trunk/asymptote/base/plain_prethree.asy
   M /trunk/asymptote/base/three_surface.asy
   M /trunk/asymptote/drawsurface.cc
   M /trunk/asymptote/drawsurface.h

Disable billboard rotation for explicitly transformed labels.

------------------------------------------------------------------------
r5528 | jcbowman | 2012-09-25 09:18:30 -0600 (Tue, 25 Sep 2012) | 1 line
Changed paths:
   M /trunk/asymptote/configure.ac

Increment version to 2.20svn.
------------------------------------------------------------------------
r5527 | jcbowman | 2012-09-25 08:31:54 -0600 (Tue, 25 Sep 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/asymptote.spec
   M /trunk/asymptote/examples/projectrevolution.asy

Update example.

------------------------------------------------------------------------
r5526 | jcbowman | 2012-09-25 04:49:46 -0600 (Tue, 25 Sep 2012) | 1 line
Changed paths:
   M /trunk/asymptote/drawpath3.cc
   M /trunk/asymptote/drawsurface.cc
   M /trunk/asymptote/glrender.cc

Fix warning messages.
------------------------------------------------------------------------
r5525 | jcbowman | 2012-09-25 04:30:00 -0600 (Tue, 25 Sep 2012) | 5 lines
Changed paths:
   M /trunk/asymptote/base/three.asy

Pass inverse of modelview matrix directly to media9 to work around numerical
resolution issues.

Fix PRC viewportshift.

------------------------------------------------------------------------
r5524 | jcbowman | 2012-09-20 01:58:07 -0600 (Thu, 20 Sep 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/drawsurface.cc
   M /trunk/asymptote/examples/BezierPatch.asy
   M /trunk/asymptote/examples/cheese.asy

Fix lighting of NURBS surfaces.

------------------------------------------------------------------------
r5523 | jcbowman | 2012-09-20 00:13:48 -0600 (Thu, 20 Sep 2012) | 1 line
Changed paths:
   M /trunk/asymptote/asymptote.spec
   M /trunk/asymptote/configure.ac

Increment version to 2.19svn.
------------------------------------------------------------------------
r5522 | jcbowman | 2012-09-19 19:18:37 -0600 (Wed, 19 Sep 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/base/graph.asy

Set secondary picture size (so that, for example, markthin works properly).

------------------------------------------------------------------------
r5521 | jcbowman | 2012-09-19 19:13:46 -0600 (Wed, 19 Sep 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/interact.cc

Move include.

------------------------------------------------------------------------
r5520 | jcbowman | 2012-09-19 01:47:10 -0600 (Wed, 19 Sep 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/examples/animations/externalmovie.asy

Update example to mp4.

------------------------------------------------------------------------
r5519 | jcbowman | 2012-09-18 20:31:13 -0600 (Tue, 18 Sep 2012) | 1 line
Changed paths:
   M /trunk/asymptote/configure.ac

Increment version to 2.18svn.
------------------------------------------------------------------------
r5518 | jcbowman | 2012-09-18 19:10:38 -0600 (Tue, 18 Sep 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three_arrows.asy

Handle 3D degenerate arrows.

------------------------------------------------------------------------
r5517 | jcbowman | 2012-09-18 13:37:36 -0600 (Tue, 18 Sep 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/interact.cc

Fix warning message.

------------------------------------------------------------------------
r5516 | jcbowman | 2012-09-18 13:27:25 -0600 (Tue, 18 Sep 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/interact.cc

Fix warning message.

------------------------------------------------------------------------
r5515 | jcbowman | 2012-09-18 13:25:39 -0600 (Tue, 18 Sep 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/Makefile.in

Remove obsolete file reference.

------------------------------------------------------------------------
r5514 | jcbowman | 2012-09-18 13:07:43 -0600 (Tue, 18 Sep 2012) | 4 lines
Changed paths:
   M /trunk/asymptote/base/three_surface.asy
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/drawsurface.cc
   M /trunk/asymptote/drawsurface.h
   A /trunk/asymptote/examples/triangles.asy

Make tessellation normals optional.

Add example and documentation for tessellations.

------------------------------------------------------------------------
r5513 | jcbowman | 2012-09-18 12:56:16 -0600 (Tue, 18 Sep 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/Makefile.in

Add missing -P options to dvipdf (required for media9 support).

------------------------------------------------------------------------
r5512 | jcbowman | 2012-09-18 08:38:11 -0600 (Tue, 18 Sep 2012) | 3 lines
Changed paths:
   M /trunk/asymptote/base/three.asy

Implement improved workaround for media9 preview bug, as suggested by
Alexander Grahn.

------------------------------------------------------------------------
r5511 | jcbowman | 2012-09-18 02:44:29 -0600 (Tue, 18 Sep 2012) | 3 lines
Changed paths:
   M /trunk/asymptote/base/three_surface.asy
   M /trunk/asymptote/drawsurface.cc
   M /trunk/asymptote/drawsurface.h
   M /trunk/asymptote/runpicture.in

Implement efficient 3D routine for drawing many triangles, with specified
vertices and normals and optional vertex colors.

------------------------------------------------------------------------
r5510 | jcbowman | 2012-09-18 02:39:06 -0600 (Tue, 18 Sep 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three.asy

Workaround media9 blank poster image bug under latex+dvips.

------------------------------------------------------------------------
r5509 | jcbowman | 2012-09-17 07:39:11 -0600 (Mon, 17 Sep 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/picture.cc

Fix warning message.

------------------------------------------------------------------------
r5508 | hammera | 2012-09-17 00:49:14 -0600 (Mon, 17 Sep 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/program.h

Include stddef for ptrdiff_t.

------------------------------------------------------------------------
r5507 | hammera | 2012-09-17 00:30:52 -0600 (Mon, 17 Sep 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/Makefile.in
   M /trunk/asymptote/base/plain_bounds.asy

Fix asymptote.so dependencies.

------------------------------------------------------------------------
r5506 | jcbowman | 2012-09-13 23:49:20 -0600 (Thu, 13 Sep 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/Makefile.in
   A /trunk/asymptote/base/asy_filetype.vim

Add simple vim ftdetect file that set asy filetype for *.asy files.

------------------------------------------------------------------------
r5505 | jcbowman | 2012-09-13 23:42:03 -0600 (Thu, 13 Sep 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/base/binarytree.asy
   M /trunk/asymptote/doc/binarytreetest.asy

Add condensed binarytree mode (contributed by Gerasimos Dimitriadis).

------------------------------------------------------------------------
r5504 | jcbowman | 2012-09-13 23:23:27 -0600 (Thu, 13 Sep 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/ocg.sty

Add global macros to find the number of a PDF OCG object.

------------------------------------------------------------------------
r5503 | jcbowman | 2012-09-13 12:21:09 -0600 (Thu, 13 Sep 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three_surface.asy

Omit redundant billboard group name.

------------------------------------------------------------------------
r5502 | jcbowman | 2012-09-13 11:04:58 -0600 (Thu, 13 Sep 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_arrows.asy

Fix degenerate arrows (partially revert r2969).

------------------------------------------------------------------------
r5501 | jcbowman | 2012-09-13 07:40:24 -0600 (Thu, 13 Sep 2012) | 3 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi

Mention that media9 v0.13 is required (to support the default 3Dmenu option and
billboard labels).

------------------------------------------------------------------------
r5500 | jcbowman | 2012-09-11 13:11:46 -0600 (Tue, 11 Sep 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three.asy
   M /trunk/asymptote/base/three_tube.asy

Fix PRC linecap for draw(unitsquare3).

------------------------------------------------------------------------
r5499 | jcbowman | 2012-09-11 11:09:24 -0600 (Tue, 11 Sep 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/drawsurface.cc
   M /trunk/asymptote/drawsurface.h
   M /trunk/asymptote/examples/vertexshading.asy

Fix lighting; consolidate duplicate code.

------------------------------------------------------------------------
r5498 | jcbowman | 2012-09-11 10:32:35 -0600 (Tue, 11 Sep 2012) | 4 lines
Changed paths:
   D /trunk/asymptote/asylabels.js
   M /trunk/asymptote/base/three.asy
   M /trunk/asymptote/base/three_surface.asy
   M /trunk/asymptote/drawelement.h
   M /trunk/asymptote/drawpath3.cc
   M /trunk/asymptote/drawpath3.h
   M /trunk/asymptote/drawsurface.cc
   M /trunk/asymptote/drawsurface.h
   M /trunk/asymptote/glrender.cc
   M /trunk/asymptote/picture.cc
   M /trunk/asymptote/picture.h
   M /trunk/asymptote/runpicture.in

Make PRC and OpenGL lighting consistent.

Remove asylabels.js (now included in media9 verion 0.12).

------------------------------------------------------------------------
r5497 | jcbowman | 2012-09-10 08:58:07 -0600 (Mon, 10 Sep 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/base/embed.asy

Simplify media9 inclusion (now that version 0.12 is required).

------------------------------------------------------------------------
r5496 | jcbowman | 2012-09-10 08:49:18 -0600 (Mon, 10 Sep 2012) | 3 lines
Changed paths:
   M /trunk/asymptote/base/three.asy

Make use of 3Dortho and asylabels.js facilities included in version 0.12 of
media9.

------------------------------------------------------------------------
r5495 | jcbowman | 2012-09-10 07:26:03 -0600 (Mon, 10 Sep 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/base/embed.asy
   M /trunk/asymptote/doc/asymptote.texi
   D /trunk/asymptote/doc/media9patch.sty

Upgrade to media9 version 0.12.

------------------------------------------------------------------------
r5494 | jcbowman | 2012-09-09 09:17:35 -0600 (Sun, 09 Sep 2012) | 2 lines
Changed paths:
   A /trunk/asymptote/seconds.h

Add missing file.

------------------------------------------------------------------------
r5493 | jcbowman | 2012-09-09 04:12:41 -0600 (Sun, 09 Sep 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/drawsurface.cc

Restore lighting effects for vertex shading.

------------------------------------------------------------------------
r5492 | jcbowman | 2012-09-09 03:43:27 -0600 (Sun, 09 Sep 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/asylabels.js
   M /trunk/asymptote/base/three.asy
   M /trunk/asymptote/base/three_light.asy
   M /trunk/asymptote/base/three_surface.asy
   M /trunk/asymptote/drawsurface.cc

Fix vertex shading lighting.

------------------------------------------------------------------------
r5491 | jcbowman | 2012-09-08 14:46:13 -0600 (Sat, 08 Sep 2012) | 2 lines
Changed paths:
   A /trunk/asymptote/asylabels.js
   M /trunk/asymptote/base/three.asy

Add updated asylabels.js file and future hook.

------------------------------------------------------------------------
r5490 | jcbowman | 2012-09-08 14:32:33 -0600 (Sat, 08 Sep 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three.asy
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/drawelement.h
   M /trunk/asymptote/drawgroup.h
   M /trunk/asymptote/drawpath3.cc
   M /trunk/asymptote/drawpath3.h
   M /trunk/asymptote/drawsurface.cc
   M /trunk/asymptote/drawsurface.h
   M /trunk/asymptote/picture.cc
   M /trunk/asymptote/picture.h
   M /trunk/asymptote/runpicture.in

Simplify code.

------------------------------------------------------------------------
r5489 | jcbowman | 2012-09-08 10:58:09 -0600 (Sat, 08 Sep 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/Makefile.in
   M /trunk/asymptote/fftw++.cc
   M /trunk/asymptote/fftw++.h

Update FFTW++.

------------------------------------------------------------------------
r5488 | jcbowman | 2012-09-08 10:15:52 -0600 (Sat, 08 Sep 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_bounds.asy
   M /trunk/asymptote/base/plain_paths.asy
   M /trunk/asymptote/path.cc
   M /trunk/asymptote/path.h
   M /trunk/asymptote/runpath.in

Consolidate and standardize min(path[]) and max(path[]) functions.

------------------------------------------------------------------------
r5487 | jcbowman | 2012-09-07 12:47:56 -0600 (Fri, 07 Sep 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/media9patch.sty

Improved media9 patch, thanks to Alexander Grahn.

------------------------------------------------------------------------
r5486 | jcbowman | 2012-08-29 10:47:45 -0600 (Wed, 29 Aug 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/prc/Makefile

Fix Makefile dependencies.

------------------------------------------------------------------------
r5485 | jcbowman | 2012-08-29 10:46:54 -0600 (Wed, 29 Aug 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three.asy
   M /trunk/asymptote/settings.cc

Add settings.axes3 to control visibility of PRC axis.

------------------------------------------------------------------------
r5484 | jcbowman | 2012-08-28 09:09:17 -0600 (Tue, 28 Aug 2012) | 4 lines
Changed paths:
   M /trunk/asymptote/Makefile.in
   M /trunk/asymptote/base/embed.asy
   A /trunk/asymptote/doc/media9patch.sty

Provide interim media9 bigfile patch.

Don't require media9 bigfile support for pdf tex engines.

------------------------------------------------------------------------
r5483 | jcbowman | 2012-08-26 13:28:14 -0600 (Sun, 26 Aug 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_strings.asy

Support prune=false again.

------------------------------------------------------------------------
r5482 | jcbowman | 2012-08-26 13:16:21 -0600 (Sun, 26 Aug 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_strings.asy

Fix split(" ").

------------------------------------------------------------------------
r5481 | jcbowman | 2012-08-26 03:16:16 -0600 (Sun, 26 Aug 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/texfile.h

Initialize ASYprefix with output directory.

------------------------------------------------------------------------
r5480 | jcbowman | 2012-08-26 03:15:15 -0600 (Sun, 26 Aug 2012) | 4 lines
Changed paths:
   M /trunk/asymptote/picture.cc

Tolerate missing inline option on 3D content embedded within latex files.

Cleanup intermediate media9 files.

------------------------------------------------------------------------
r5479 | jcbowman | 2012-08-26 03:10:13 -0600 (Sun, 26 Aug 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asy-latex.dtx

Cleanly handle missing files.

------------------------------------------------------------------------
r5478 | jcbowman | 2012-08-26 03:09:14 -0600 (Sun, 26 Aug 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_Label.asy

Remove newlines from texpath labels for xasy.

------------------------------------------------------------------------
r5477 | jcbowman | 2012-08-24 00:31:17 -0600 (Fri, 24 Aug 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asyRefCard.tex

Improve formatting.

------------------------------------------------------------------------
r5476 | jcbowman | 2012-08-24 00:30:52 -0600 (Fri, 24 Aug 2012) | 4 lines
Changed paths:
   M /trunk/asymptote/base/three.asy
   M /trunk/asymptote/runlabel.in
   M /trunk/asymptote/runsystem.in

Use prefix for media9 label to avoid duplicate label warnings.

Run ghostscript for texpath in the output directory.

------------------------------------------------------------------------
r5475 | jcbowman | 2012-08-24 00:27:29 -0600 (Fri, 24 Aug 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/patches/dvipdf

Add -DSAFER -P default options to improved dvipdf script.

------------------------------------------------------------------------
r5474 | jcbowman | 2012-08-20 08:45:07 -0600 (Mon, 20 Aug 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three.asy

Fix orthoshift.

------------------------------------------------------------------------
r5473 | jcbowman | 2012-08-19 14:53:13 -0600 (Sun, 19 Aug 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three.asy

Further lighting fixes.

------------------------------------------------------------------------
r5472 | jcbowman | 2012-08-19 14:40:51 -0600 (Sun, 19 Aug 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three.asy

Fix lighting.

------------------------------------------------------------------------
r5471 | jcbowman | 2012-08-18 07:40:50 -0600 (Sat, 18 Aug 2012) | 3 lines
Changed paths:
   M /trunk/asymptote/configure.ac

Look for history_list (which seems to be missing from editline) when checking
for GNU readline.

------------------------------------------------------------------------
r5470 | jcbowman | 2012-08-17 12:41:23 -0600 (Fri, 17 Aug 2012) | 3 lines
Changed paths:
   M /trunk/asymptote/base/bezulate.asy

Choose a wider connection when searching near the connecting line
(patch contributed by Orest).

------------------------------------------------------------------------
r5469 | jcbowman | 2012-08-17 08:07:21 -0600 (Fri, 17 Aug 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/Makefile.in
   M /trunk/asymptote/configure.ac
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/util.cc

Update to gc-7.2d.

------------------------------------------------------------------------
r5468 | jcbowman | 2012-08-17 08:06:43 -0600 (Fri, 17 Aug 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/drawsurface.cc

Rename displacement routines.

------------------------------------------------------------------------
r5467 | jcbowman | 2012-08-15 09:04:24 -0600 (Wed, 15 Aug 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three.asy

Change defaultrender.defaultnames to true.

------------------------------------------------------------------------
r5466 | jcbowman | 2012-08-15 07:53:45 -0600 (Wed, 15 Aug 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/runpair.in

Tweak special trigonometric cases to improve PRC compression.

------------------------------------------------------------------------
r5465 | jcbowman | 2012-08-15 07:52:54 -0600 (Wed, 15 Aug 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/base/graph3.asy
   M /trunk/asymptote/base/solids.asy
   M /trunk/asymptote/base/three.asy
   M /trunk/asymptote/base/three_surface.asy

Don't autogenerate RPC part names by default.

------------------------------------------------------------------------
r5464 | jcbowman | 2012-08-15 05:14:26 -0600 (Wed, 15 Aug 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/loggraph.asy
   M /trunk/asymptote/doc/parametricgraph.asy

Use limits rather than separate xlimits and ylimits commands in examples.

------------------------------------------------------------------------
r5463 | jcbowman | 2012-08-14 19:55:56 -0600 (Tue, 14 Aug 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three.asy
   M /trunk/asymptote/base/three_surface.asy

Add missing render argument.

------------------------------------------------------------------------
r5462 | jcbowman | 2012-08-14 19:00:45 -0600 (Tue, 14 Aug 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_arrows.asy
   M /trunk/asymptote/base/three_surface.asy
   M /trunk/asymptote/examples/tvgen.asy

Add missing factor to arrowheads.

------------------------------------------------------------------------
r5461 | jcbowman | 2012-08-14 17:51:38 -0600 (Tue, 14 Aug 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/base/embed.asy
   M /trunk/asymptote/examples/soccerball.asy
   M /trunk/asymptote/picture.cc
   M /trunk/asymptote/runlabel.in

Support large PRC files (requires media9 version dated 10 August 2012).

------------------------------------------------------------------------
r5460 | jcbowman | 2012-08-10 05:56:58 -0600 (Fri, 10 Aug 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/triple.h

Address clang compiler warning.

------------------------------------------------------------------------
r5459 | jcbowman | 2012-08-10 05:40:09 -0600 (Fri, 10 Aug 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three_surface.asy

Restore label grouping.

------------------------------------------------------------------------
r5458 | jcbowman | 2012-08-09 19:38:52 -0600 (Thu, 09 Aug 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asyRefCard.tex

Update copyright of reference card.

------------------------------------------------------------------------
r5457 | jcbowman | 2012-08-09 10:05:37 -0600 (Thu, 09 Aug 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/drawelement.h
   M /trunk/asymptote/examples/100d.views
   M /trunk/asymptote/picture.cc

Fix garbage collection issues.

------------------------------------------------------------------------
r5456 | jcbowman | 2012-08-09 03:41:55 -0600 (Thu, 09 Aug 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/examples/soccerball.asy

Work around LaTeX limitation.

------------------------------------------------------------------------
r5455 | jcbowman | 2012-08-09 02:36:28 -0600 (Thu, 09 Aug 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/examples/animations/embeddedu3d.asy

Update U3D example.

------------------------------------------------------------------------
r5454 | jcbowman | 2012-08-08 22:34:01 -0600 (Wed, 08 Aug 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three.asy
   M /trunk/asymptote/base/three_surface.asy
   M /trunk/asymptote/bbox3.h
   M /trunk/asymptote/drawelement.h
   M /trunk/asymptote/drawgroup.h
   M /trunk/asymptote/drawpath3.cc
   M /trunk/asymptote/drawpath3.h
   M /trunk/asymptote/drawsurface.cc
   M /trunk/asymptote/drawsurface.h
   M /trunk/asymptote/path3.cc
   M /trunk/asymptote/path3.h
   M /trunk/asymptote/picture.cc
   M /trunk/asymptote/prc/oPRCFile.cc
   M /trunk/asymptote/prc/oPRCFile.h
   M /trunk/asymptote/prc/writePRC.cc
   M /trunk/asymptote/prc/writePRC.h
   M /trunk/asymptote/runstring.in
   M /trunk/asymptote/triple.h

Add simplified version of Michail's local coordinate patch.

------------------------------------------------------------------------
r5453 | jcbowman | 2012-08-08 10:55:30 -0600 (Wed, 08 Aug 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_Label.asy
   M /trunk/asymptote/base/plain_strings.asy

Improve support for none TeX engines.

------------------------------------------------------------------------
r5452 | jcbowman | 2012-07-31 09:55:09 -0600 (Tue, 31 Jul 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/base/embed.asy

Remove unnecessary xelatex detection.

------------------------------------------------------------------------
r5451 | jcbowman | 2012-07-30 09:58:52 -0600 (Mon, 30 Jul 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three.asy

Remove spurious code.

------------------------------------------------------------------------
r5450 | jcbowman | 2012-07-29 23:46:15 -0600 (Sun, 29 Jul 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/patches/README
   D /trunk/asymptote/patches/movie15_dvipdfmx.patch
   D /trunk/asymptote/patches/movie15_dvipdfmx.sty

Remove obsolete movie15 patches.

------------------------------------------------------------------------
r5449 | jcbowman | 2012-07-29 23:44:19 -0600 (Sun, 29 Jul 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/asymptote.spec
   M /trunk/asymptote/base/three.asy

Remove duplicate code.

------------------------------------------------------------------------
r5448 | jcbowman | 2012-07-29 14:46:18 -0600 (Sun, 29 Jul 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/base/embed.asy
   M /trunk/asymptote/base/external.asy
   M /trunk/asymptote/base/plain_shipout.asy
   M /trunk/asymptote/base/three.asy
   M /trunk/asymptote/base/three_surface.asy
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/examples/BezierSurface.asy
   M /trunk/asymptote/examples/animations/embeddedmovie.asy
   M /trunk/asymptote/examples/animations/embeddedu3d.asy
   M /trunk/asymptote/examples/animations/externalmovie.asy
   M /trunk/asymptote/examples/animations/slidemovies.asy
   M /trunk/asymptote/examples/pdb.asy

Upgrade from movie15 to media9 LaTeX style file.

------------------------------------------------------------------------
r5447 | jcbowman | 2012-07-28 00:53:19 -0600 (Sat, 28 Jul 2012) | 3 lines
Changed paths:
   M /trunk/asymptote/configure.ac
   M /trunk/asymptote/settings.cc

Compile with offscreen rendering if and only if both libOSMesa and libglapi
are available. Make settings.offscreen default to false.

------------------------------------------------------------------------
r5446 | jcbowman | 2012-07-27 23:45:26 -0600 (Fri, 27 Jul 2012) | 3 lines
Changed paths:
   M /trunk/asymptote/configure.ac

Support OSMesa version 8 (which allows offscreen and non-offscreen
rendering in a single binary).

------------------------------------------------------------------------
r5445 | jcbowman | 2012-07-27 22:59:28 -0600 (Fri, 27 Jul 2012) | 1 line
Changed paths:
   M /trunk/asymptote/policy.h

Fix string length type.
------------------------------------------------------------------------
r5444 | jcbowman | 2012-07-27 16:26:37 -0600 (Fri, 27 Jul 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asyRefCard.tex

Fix typo.

------------------------------------------------------------------------
r5443 | jcbowman | 2012-06-19 23:47:52 -0600 (Tue, 19 Jun 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/base/graph3.asy

Fix autoscale3.

------------------------------------------------------------------------
r5442 | jcbowman | 2012-06-19 22:42:00 -0600 (Tue, 19 Jun 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/base/graph.asy
   M /trunk/asymptote/base/graph3.asy

Partially revert r5283 (which broke autoscaled logarithmic axes).

------------------------------------------------------------------------
r5441 | jcbowman | 2012-06-04 05:44:19 -0600 (Mon, 04 Jun 2012) | 3 lines
Changed paths:
   M /trunk/asymptote/Makefile.in

Propogate -m64 flag to the linker to fix solaris 64 bit builds (will cause
a clang warning message, though).

------------------------------------------------------------------------
r5440 | jcbowman | 2012-06-01 10:33:18 -0600 (Fri, 01 Jun 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/interact.cc

Simplify code.

------------------------------------------------------------------------
r5439 | jcbowman | 2012-05-31 21:34:02 -0600 (Thu, 31 May 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/interact.cc

Declare strlen.

------------------------------------------------------------------------
r5438 | jcbowman | 2012-05-31 11:24:27 -0600 (Thu, 31 May 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/base/palette.asy
   M /trunk/asymptote/psfile.cc

Fix bug with non-square pen function images.

------------------------------------------------------------------------
r5437 | jcbowman | 2012-05-31 09:46:34 -0600 (Thu, 31 May 2012) | 1 line
Changed paths:
   M /trunk/asymptote/configure.ac

Increment version to 2.17svn.
------------------------------------------------------------------------
r5436 | jcbowman | 2012-05-31 09:41:14 -0600 (Thu, 31 May 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/LICENSE.LESSER
   M /trunk/asymptote/base/asy-kate.sh
   M /trunk/asymptote/base/graph_splinetype.asy
   M /trunk/asymptote/base/nopapersize.ps
   M /trunk/asymptote/base/palette.asy
   M /trunk/asymptote/examples/NURBSsurface.asy
   M /trunk/asymptote/examples/condor.asy
   M /trunk/asymptote/examples/functionshading.asy
   M /trunk/asymptote/examples/layers.asy
   M /trunk/asymptote/examples/oneoverx.asy
   M /trunk/asymptote/examples/pipeintersection.asy
   M /trunk/asymptote/examples/spheresilhouette.asy
   M /trunk/asymptote/examples/splitpatch.asy
   M /trunk/asymptote/examples/threeviews.asy
   M /trunk/asymptote/examples/trefoilknot.asy
   M /trunk/asymptote/psfile.cc
   M /trunk/asymptote/runbacktrace.in

Revert r5435.

------------------------------------------------------------------------
r5435 | jcbowman | 2012-05-31 07:38:33 -0600 (Thu, 31 May 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/base/palette.asy
   M /trunk/asymptote/psfile.cc

Fix bug with non-square pen function images.

------------------------------------------------------------------------
r5434 | jcbowman | 2012-05-30 13:45:48 -0600 (Wed, 30 May 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/GUI/xasy2asy.py

Work around Windows Python bug.

------------------------------------------------------------------------
r5433 | jcbowman | 2012-05-30 11:53:45 -0600 (Wed, 30 May 2012) | 3 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/fileio.h
   M /trunk/asymptote/runfile.in

Replace xinput by input(mode="xdr") and xoutput by input(mode="xdr").
Replace binput by input(mode="binary") and xoutput by input(mode="binary").

------------------------------------------------------------------------
r5432 | jcbowman | 2012-05-30 10:35:57 -0600 (Wed, 30 May 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/runhistory.in

Update setting.

------------------------------------------------------------------------
r5431 | jcbowman | 2012-05-30 10:24:17 -0600 (Wed, 30 May 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/GUI/xasy2asy.py
   M /trunk/asymptote/base/plain_constants.asy
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/fileio.h
   M /trunk/asymptote/interact.cc
   M /trunk/asymptote/runfile.in
   M /trunk/asymptote/settings.cc

Workaround limited pipe support in cygwin.

------------------------------------------------------------------------
r5430 | jcbowman | 2012-05-29 23:06:58 -0600 (Tue, 29 May 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/settings.cc

Fix type in conditional.

------------------------------------------------------------------------
r5429 | jcbowman | 2012-05-29 10:02:48 -0600 (Tue, 29 May 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/GUI/xasy2asy.py
   M /trunk/asymptote/GUI/xasyMainWin.py
   M /trunk/asymptote/doc/asymptote.texi

Update diagnostics and documentation.

------------------------------------------------------------------------
r5428 | jcbowman | 2012-05-29 07:20:20 -0600 (Tue, 29 May 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/configure.ac
   M /trunk/asymptote/glrender.cc
   M /trunk/asymptote/locate.cc
   M /trunk/asymptote/main.cc
   M /trunk/asymptote/picture.cc
   M /trunk/asymptote/psfile.cc
   M /trunk/asymptote/runlabel.in
   M /trunk/asymptote/runsystem.in
   M /trunk/asymptote/settings.cc
   M /trunk/asymptote/util.cc

Support compilation of native CYGWIN binaries.

------------------------------------------------------------------------
r5427 | jcbowman | 2012-05-29 06:12:56 -0600 (Tue, 29 May 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/fileio.h

Fix pair and triple pipe output.

------------------------------------------------------------------------
r5426 | jcbowman | 2012-05-29 06:09:25 -0600 (Tue, 29 May 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/fileio.h

Simplify opipe formatting.

------------------------------------------------------------------------
r5425 | jcbowman | 2012-05-29 04:30:35 -0600 (Tue, 29 May 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/fileio.h

Work around compiler bug.

------------------------------------------------------------------------
r5424 | jcbowman | 2012-05-29 03:34:25 -0600 (Tue, 29 May 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/Makefile.in

Fix makefile.

------------------------------------------------------------------------
r5423 | jcbowman | 2012-05-29 02:24:29 -0600 (Tue, 29 May 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/Makefile.in

Improve msdos build.

------------------------------------------------------------------------
r5422 | jcbowman | 2012-05-29 02:19:52 -0600 (Tue, 29 May 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/Makefile.in

Fix MSDOS makefile dependencies.

------------------------------------------------------------------------
r5421 | jcbowman | 2012-05-29 00:03:06 -0600 (Tue, 29 May 2012) | 1 line
Changed paths:
   M /trunk/asymptote/util.h

Fix CYGWIN build.
------------------------------------------------------------------------
r5420 | jcbowman | 2012-05-28 23:58:08 -0600 (Mon, 28 May 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/configure.ac

Reinstate -fno-var-tracking option for older compilers.

------------------------------------------------------------------------
r5419 | jcbowman | 2012-05-28 22:42:37 -0600 (Mon, 28 May 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/interact.cc

Support arbitrarily long input lines in xasy.

------------------------------------------------------------------------
r5418 | jcbowman | 2012-05-28 17:29:40 -0600 (Mon, 28 May 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/GUI/xasyOptionsDialog.py

Remove broken asy path validation code.

------------------------------------------------------------------------
r5417 | jcbowman | 2012-05-28 16:30:26 -0600 (Mon, 28 May 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/Makefile.in
   M /trunk/asymptote/configure.ac

Fix warning messages.

------------------------------------------------------------------------
r5416 | jcbowman | 2012-05-28 14:52:16 -0600 (Mon, 28 May 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/fileio.h

Fix portability issues.

------------------------------------------------------------------------
r5415 | jcbowman | 2012-05-28 09:47:51 -0600 (Mon, 28 May 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/GUI/xasy2asy.py
   M /trunk/asymptote/GUI/xasyMainWin.py
   M /trunk/asymptote/base/plain_constants.asy
   M /trunk/asymptote/fileio.cc
   M /trunk/asymptote/fileio.h
   M /trunk/asymptote/interact.cc
   M /trunk/asymptote/runfile.in
   M /trunk/asymptote/runpicture.in
   M /trunk/asymptote/runsystem.in
   M /trunk/asymptote/settings.cc

Use pipes for xasy communication.

------------------------------------------------------------------------
r5414 | jcbowman | 2012-05-25 09:04:06 -0600 (Fri, 25 May 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/examples/electromagnetic.asy

Improve example.

------------------------------------------------------------------------
r5413 | jcbowman | 2012-05-25 09:02:15 -0600 (Fri, 25 May 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three_arrows.asy

Fix division by zero.

------------------------------------------------------------------------
r5412 | jcbowman | 2012-05-25 09:00:56 -0600 (Fri, 25 May 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/base/graph.asy

Don't autoscale ticks when N is specified and autoscale is false.

------------------------------------------------------------------------
r5411 | jcbowman | 2012-05-25 08:57:08 -0600 (Fri, 25 May 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three.asy
   M /trunk/asymptote/doc/asymptote.texi

Add new new routine for computing camera positions.

------------------------------------------------------------------------
r5410 | jcbowman | 2012-05-24 22:38:45 -0600 (Thu, 24 May 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/Makefile.in
   M /trunk/asymptote/configure.ac
   M /trunk/asymptote/doc/asymptote.texi

Update to gc-7.2b.

------------------------------------------------------------------------
r5409 | jcbowman | 2012-05-24 15:49:39 -0600 (Thu, 24 May 2012) | 8 lines
Changed paths:
   M /trunk/asymptote/base/three_surface.asy
   M /trunk/asymptote/examples/splitpatch.asy

Respect straight flag in external().

Add partialu and partialv derivatives for patches.

Add a general split function.

Move split structure into splitpatch example.

------------------------------------------------------------------------
r5408 | jcbowman | 2012-05-19 22:51:47 -0600 (Sat, 19 May 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/base/palette.asy

Fix palette range (bug 3487991).

------------------------------------------------------------------------
r5407 | jcbowman | 2012-05-19 14:38:43 -0600 (Sat, 19 May 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/configure.ac

Remove obsolete --no-var-tracking compilation option.

------------------------------------------------------------------------
r5406 | jcbowman | 2012-05-19 13:44:58 -0600 (Sat, 19 May 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/prc/oPRCFile.cc

Remove unused value.

------------------------------------------------------------------------
r5405 | jcbowman | 2012-05-19 13:21:30 -0600 (Sat, 19 May 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/main.cc

Block SIGCHLD.

------------------------------------------------------------------------
r5404 | jcbowman | 2012-05-19 13:20:12 -0600 (Sat, 19 May 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/common.h

Force assert to be active.

------------------------------------------------------------------------
r5403 | jcbowman | 2012-05-19 10:55:16 -0600 (Sat, 19 May 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/base/graph.asy
   M /trunk/asymptote/base/graph3.asy

Fix manual tick scaling.

------------------------------------------------------------------------
r5402 | jcbowman | 2012-05-19 09:40:33 -0600 (Sat, 19 May 2012) | 3 lines
Changed paths:
   M /trunk/asymptote/base/graph.asy
   M /trunk/asymptote/base/graph3.asy
   M /trunk/asymptote/base/plain_Label.asy
   M /trunk/asymptote/doc/asymptote.texi

Use currentpen rather than nullpen so that current value of currentpen is
respected.

------------------------------------------------------------------------
r5401 | jcbowman | 2012-05-15 05:54:54 -0600 (Tue, 15 May 2012) | 2 lines
Changed paths:
   A /trunk/asymptote/config.guess

Add missing file.

------------------------------------------------------------------------
r5400 | jcbowman | 2012-05-15 05:50:40 -0600 (Tue, 15 May 2012) | 1 line
Changed paths:
   A /trunk/asymptote/config.sub

Add missing file.
------------------------------------------------------------------------
r5399 | jcbowman | 2012-05-15 05:36:47 -0600 (Tue, 15 May 2012) | 2 lines
Changed paths:
   A /trunk/asymptote/ax_pthread.m4

Add missing file.

------------------------------------------------------------------------
r5398 | jcbowman | 2012-05-15 05:28:40 -0600 (Tue, 15 May 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/Makefile.in
   M /trunk/asymptote/asymptote.spec
   M /trunk/asymptote/common.h
   M /trunk/asymptote/configure.ac
   M /trunk/asymptote/glrender.cc
   M /trunk/asymptote/main.cc
   M /trunk/asymptote/picture.cc
   M /trunk/asymptote/settings.h

Update POSIX thread support.

------------------------------------------------------------------------
r5397 | jcbowman | 2012-05-15 03:49:45 -0600 (Tue, 15 May 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/pipestream.h

Fix warning message.

------------------------------------------------------------------------
r5396 | jcbowman | 2012-05-15 03:08:30 -0600 (Tue, 15 May 2012) | 4 lines
Changed paths:
   M /trunk/asymptote/Makefile.in
   M /trunk/asymptote/configure.ac
   M /trunk/asymptote/doc/asymptote.texi

Update to gc-7.2.

Simplify makefile; fix shared library version.

------------------------------------------------------------------------
r5395 | jcbowman | 2012-05-10 18:06:16 -0600 (Thu, 10 May 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/process.cc

Fix the erase command so it behaves as documented (no reset).

------------------------------------------------------------------------
r5394 | jcbowman | 2012-05-10 15:54:47 -0600 (Thu, 10 May 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asy-latex.dtx
   M /trunk/asymptote/doc/latexusage.tex

Don't force a default viewportwidth.

------------------------------------------------------------------------
r5393 | jcbowman | 2012-05-10 15:47:54 -0600 (Thu, 10 May 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/examples/animations/wheel.asy

Improve wheel.asy example to allow pdf animations.

------------------------------------------------------------------------
r5392 | jcbowman | 2012-05-10 15:27:32 -0600 (Thu, 10 May 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three_surface.asy
   M /trunk/asymptote/examples/splitpatch.asy

Fix split structure.

------------------------------------------------------------------------
r5391 | jcbowman | 2012-05-09 13:24:12 -0600 (Wed, 09 May 2012) | 2 lines
Changed paths:
   A /trunk/asymptote/EnvVarUpdate.nsh
   A /trunk/asymptote/lnkX64IconFix.nsh

Add NSIS support files.

------------------------------------------------------------------------
r5390 | jcbowman | 2012-05-09 12:51:37 -0600 (Wed, 09 May 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/asymptote.nsi

Fix icon directory on 64-bit MSWindows systems.

------------------------------------------------------------------------
r5389 | jcbowman | 2012-05-09 12:42:42 -0600 (Wed, 09 May 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/base/solids.asy
   M /trunk/asymptote/examples/hyperboloid.asy
   M /trunk/asymptote/examples/hyperboloidsilhouette.asy

Remove obsolete constructor; update examples.

------------------------------------------------------------------------
r5388 | jcbowman | 2012-05-09 12:40:29 -0600 (Wed, 09 May 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi

Update documentation.

------------------------------------------------------------------------
r5387 | jcbowman | 2012-05-03 19:39:30 -0600 (Thu, 03 May 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three_surface.asy
   M /trunk/asymptote/examples/splitpatch.asy

Make split compute subpatches for each input patch.

------------------------------------------------------------------------
r5386 | hammera | 2012-03-28 20:36:39 -0600 (Wed, 28 Mar 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/tests/Makefile
   A /trunk/asymptote/tests/pic
   A /trunk/asymptote/tests/pic/trans.asy

Add picture bounds test.

------------------------------------------------------------------------
r5385 | hammera | 2012-03-28 20:35:51 -0600 (Wed, 28 Mar 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_bounds.asy

Changed name of class to avoid confusion. 

------------------------------------------------------------------------
r5384 | hammera | 2012-03-28 18:48:45 -0600 (Wed, 28 Mar 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_bounds.asy

Fix translated bound error.

------------------------------------------------------------------------
r5383 | jcbowman | 2012-01-26 09:09:57 -0700 (Thu, 26 Jan 2012) | 2 lines
Changed paths:
   M /trunk/asymptote/path.cc

Fix numerical underflow.

------------------------------------------------------------------------
r5382 | hammera | 2011-12-28 14:08:25 -0700 (Wed, 28 Dec 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/application.cc
   M /trunk/asymptote/application.h
   M /trunk/asymptote/errors
   M /trunk/asymptote/exp.h
   M /trunk/asymptote/tests/types/keyword.asy
   A /trunk/asymptote/tests/types/order.asy

Allow named arguments after rest arguments.

------------------------------------------------------------------------
r5381 | hammera | 2011-12-28 14:08:00 -0700 (Wed, 28 Dec 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/program.cc

Nicer debug output with COMPACT flag.

------------------------------------------------------------------------
r5380 | hammera | 2011-12-28 14:07:37 -0700 (Wed, 28 Dec 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/stack.cc

Refactor vm::frame allocation.

------------------------------------------------------------------------
r5379 | wspr | 2011-12-18 00:07:26 -0700 (Sun, 18 Dec 2011) | 1 line
Changed paths:
   M /trunk/asymptote/doc/asy-latex.dtx

fix \CatchFileDef fallback command
------------------------------------------------------------------------
r5378 | jcbowman | 2011-12-16 01:05:37 -0700 (Fri, 16 Dec 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/runstring.in

Fix trailing zero removal.

------------------------------------------------------------------------
r5377 | jcbowman | 2011-12-11 21:46:58 -0700 (Sun, 11 Dec 2011) | 3 lines
Changed paths:
   M /trunk/asymptote/base/plain_strings.asy
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/runstring.in

Make format more consistent with fprintf; add a defaultseparator argument
for typesetting scientific notation.

------------------------------------------------------------------------
r5376 | jcbowman | 2011-11-19 16:08:57 -0700 (Sat, 19 Nov 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi

Work around quote translation problem.

------------------------------------------------------------------------
r5375 | jcbowman | 2011-11-16 18:37:09 -0700 (Wed, 16 Nov 2011) | 1 line
Changed paths:
   M /trunk/asymptote/asymptote.spec
   M /trunk/asymptote/configure.ac

Increment version to 2.16svn.
------------------------------------------------------------------------
r5374 | jcbowman | 2011-11-16 14:35:43 -0700 (Wed, 16 Nov 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/runtime.in

Add missing isnan declaration for MacOS X.

------------------------------------------------------------------------
r5373 | jcbowman | 2011-11-16 01:55:41 -0700 (Wed, 16 Nov 2011) | 1 line
Changed paths:
   M /trunk/asymptote/configure.ac

Increment version to 2.15svn.
------------------------------------------------------------------------
r5372 | jcbowman | 2011-11-16 00:58:35 -0700 (Wed, 16 Nov 2011) | 1 line
Changed paths:
   M /trunk/asymptote/util.h

Add missing CYGWIN declarations.
------------------------------------------------------------------------
r5371 | jcbowman | 2011-11-15 23:20:57 -0700 (Tue, 15 Nov 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/base/solids.asy
   M /trunk/asymptote/examples/animations/earthmoon.asy
   M /trunk/asymptote/examples/animations/sphere.asy
   A /trunk/asymptote/examples/pseudosphere.asy
   A /trunk/asymptote/tests/gc/label.asy
   A /trunk/asymptote/tests/gc/shipout.asy

Update examples.

------------------------------------------------------------------------
r5370 | jcbowman | 2011-11-15 14:23:53 -0700 (Tue, 15 Nov 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asyRefCard.tex

Fix typo.

------------------------------------------------------------------------
r5369 | jcbowman | 2011-11-15 14:18:41 -0700 (Tue, 15 Nov 2011) | 4 lines
Changed paths:
   M /trunk/asymptote/base/geometry.asy
   M /trunk/asymptote/base/plain_Label.asy
   M /trunk/asymptote/doc/Makefile.in
   A /trunk/asymptote/doc/asyRefCard.tex
   M /trunk/asymptote/doc/asymptote.texi

Move obsolete rotate(explicit pair dir) routine to geometry module.

Add quick reference card.

------------------------------------------------------------------------
r5368 | jcbowman | 2011-11-15 14:17:39 -0700 (Tue, 15 Nov 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three.asy

Fix render=0 bugs.

------------------------------------------------------------------------
r5367 | jcbowman | 2011-11-15 13:04:28 -0700 (Tue, 15 Nov 2011) | 3 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/gsl.cc

Implement Jacobi elliptic function sndncn(real u, real m), which returns
real[] {sn,dn,cn}.

------------------------------------------------------------------------
r5366 | jcbowman | 2011-11-15 12:36:33 -0700 (Tue, 15 Nov 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/runstring.in

Implement int ascii(string s).

------------------------------------------------------------------------
r5365 | jcbowman | 2011-11-15 12:27:56 -0700 (Tue, 15 Nov 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/Makefile.in

Added manpage target to build man page only.

------------------------------------------------------------------------
r5364 | jcbowman | 2011-11-15 11:45:15 -0700 (Tue, 15 Nov 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/asymptote.spec
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/runtime.in

Add bool isnan(real).

------------------------------------------------------------------------
r5363 | jcbowman | 2011-11-15 01:45:48 -0700 (Tue, 15 Nov 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three.asy
   M /trunk/asymptote/base/three_surface.asy

Fix preview surfaces with render=0.

------------------------------------------------------------------------
r5362 | jcbowman | 2011-11-14 23:55:06 -0700 (Mon, 14 Nov 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/fileio.h

Fix string reads from binary files.

------------------------------------------------------------------------
r5361 | jcbowman | 2011-11-14 23:53:24 -0700 (Mon, 14 Nov 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi

Blank lines are not allowed after \begin{asy}.

------------------------------------------------------------------------
r5360 | jcbowman | 2011-11-14 23:00:27 -0700 (Mon, 14 Nov 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three.asy

Generate missing preview images for fitted pictures.

------------------------------------------------------------------------
r5359 | jcbowman | 2011-11-14 16:52:20 -0700 (Mon, 14 Nov 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/base/solids.asy

Fix draw(revolution).

------------------------------------------------------------------------
r5358 | jcbowman | 2011-11-10 17:07:05 -0700 (Thu, 10 Nov 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/base/graph.asy
   M /trunk/asymptote/base/solids.asy

Fix axis bug introduced in r5349.

------------------------------------------------------------------------
r5357 | jcbowman | 2011-09-30 08:23:17 -0600 (Fri, 30 Sep 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/pen.h
   M /trunk/asymptote/prc/writePRC.cc

Portability fixes.

------------------------------------------------------------------------
r5356 | jcbowman | 2011-09-29 22:14:23 -0600 (Thu, 29 Sep 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/drawlabel.cc
   M /trunk/asymptote/pen.cc

Move lastpen to the end of pen.cc so that it is initialized last.

------------------------------------------------------------------------
r5355 | hammera | 2011-09-29 13:32:22 -0600 (Thu, 29 Sep 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/impdatum.cc
   M /trunk/asymptote/policy.h

Change Int to int_typ in policy.h

------------------------------------------------------------------------
r5354 | jcbowman | 2011-09-29 08:38:53 -0600 (Thu, 29 Sep 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/process.cc

Avoid compiler warnings about virtual function overloading.

------------------------------------------------------------------------
r5353 | jcbowman | 2011-09-29 07:54:09 -0600 (Thu, 29 Sep 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/drawfill.cc
   M /trunk/asymptote/pen.cc
   M /trunk/asymptote/pen.h

Avoid further static initialization issues (courtesy of Michail Vidiassov).

------------------------------------------------------------------------
r5352 | jcbowman | 2011-09-29 07:50:13 -0600 (Thu, 29 Sep 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/runtime.in

Remove extraneous comparison.

------------------------------------------------------------------------
r5351 | jcbowman | 2011-09-29 07:42:10 -0600 (Thu, 29 Sep 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/camp.l

Avoid unused function warning message.

------------------------------------------------------------------------
r5350 | jcbowman | 2011-09-29 07:04:03 -0600 (Thu, 29 Sep 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/dec.h
   M /trunk/asymptote/drawelement.h
   M /trunk/asymptote/drawpath3.h
   M /trunk/asymptote/exp.h
   M /trunk/asymptote/impdatum.cc
   M /trunk/asymptote/program.h
   M /trunk/asymptote/record.h
   M /trunk/asymptote/settings.cc
   M /trunk/asymptote/stack.h
   M /trunk/asymptote/texfile.cc
   M /trunk/asymptote/texfile.h
   M /trunk/asymptote/vm.h

Fix warning messages.

------------------------------------------------------------------------
r5349 | jcbowman | 2011-09-29 06:25:04 -0600 (Thu, 29 Sep 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/base/graph.asy
   M /trunk/asymptote/base/graph3.asy

Fix extended axes.

------------------------------------------------------------------------
r5348 | jcbowman | 2011-09-28 11:51:42 -0600 (Wed, 28 Sep 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/Makefile.in
   A /trunk/asymptote/pen.cc
   M /trunk/asymptote/pen.h
   M /trunk/asymptote/process.h

Work around static initialization fiasco.

------------------------------------------------------------------------
r5347 | jcbowman | 2011-09-28 11:17:50 -0600 (Wed, 28 Sep 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/access.h

Fix typo.

------------------------------------------------------------------------
r5346 | jcbowman | 2011-09-28 10:49:33 -0600 (Wed, 28 Sep 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_paths.asy
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/runpath.in

Update documentation.

------------------------------------------------------------------------
r5345 | jcbowman | 2011-09-28 10:44:41 -0600 (Wed, 28 Sep 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/drawimage.h

Remove unused member.

------------------------------------------------------------------------
r5344 | jcbowman | 2011-09-28 10:24:10 -0600 (Wed, 28 Sep 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/gsl.cc

Fix comparison.

------------------------------------------------------------------------
r5343 | jcbowman | 2011-09-28 10:16:20 -0600 (Wed, 28 Sep 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/glrender.cc

Remove extraneous comparisons.

------------------------------------------------------------------------
r5342 | jcbowman | 2011-09-28 10:12:33 -0600 (Wed, 28 Sep 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/texfile.cc

Fix comparison.

------------------------------------------------------------------------
r5341 | hammera | 2011-09-19 21:18:30 -0600 (Mon, 19 Sep 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/Makefile.in
   M /trunk/asymptote/stm.cc

TRANSJUMP no longer an option.

------------------------------------------------------------------------
r5340 | hammera | 2011-09-15 16:15:35 -0600 (Thu, 15 Sep 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/camp.l
   M /trunk/asymptote/opsymbols.pl
   M /trunk/asymptote/tests/types/constructor.asy

Add 'operator tuple' via EXTRASYMBOL command.

------------------------------------------------------------------------
r5339 | jcbowman | 2011-09-15 09:23:55 -0600 (Thu, 15 Sep 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/camp.l

Fix build.

------------------------------------------------------------------------
r5338 | hammera | 2011-09-07 20:39:57 -0600 (Wed, 07 Sep 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/aspy.py

Add operator overloading to aspy.

------------------------------------------------------------------------
r5337 | hammera | 2011-09-07 18:29:08 -0600 (Wed, 07 Sep 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/builtin.cc
   M /trunk/asymptote/camp.y
   M /trunk/asymptote/tests/types/constructor.asy

Add 'operator tuple'.

------------------------------------------------------------------------
r5336 | hammera | 2011-09-05 18:01:39 -0600 (Mon, 05 Sep 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/Makefile.in
   A /trunk/asymptote/aspy.py
   M /trunk/asymptote/common.h
   M /trunk/asymptote/dec.cc
   M /trunk/asymptote/dec.h
   M /trunk/asymptote/errormsg.cc
   M /trunk/asymptote/genv.cc
   A /trunk/asymptote/impdatum.cc
   M /trunk/asymptote/main.cc
   M /trunk/asymptote/picture.cc
   A /trunk/asymptote/policy.h
   M /trunk/asymptote/process.cc
   M /trunk/asymptote/settings.cc
   M /trunk/asymptote/stack.cc
   M /trunk/asymptote/stm.h
   M /trunk/asymptote/types.h

Can compile Asymptote as a shared library.

------------------------------------------------------------------------
r5335 | jcbowman | 2011-08-30 16:10:39 -0600 (Tue, 30 Aug 2011) | 4 lines
Changed paths:
   M /trunk/asymptote/builtin.cc
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/examples/ring.asy
   M /trunk/asymptote/runarray.in
   M /trunk/asymptote/runstring.in

Generalize copy, map, and sequence functions to arbitrary depths.

Add locale string to format(string,int).

------------------------------------------------------------------------
r5334 | jcbowman | 2011-08-22 10:46:31 -0600 (Mon, 22 Aug 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_bounds.asy

Improve nullpath handling.

------------------------------------------------------------------------
r5333 | jcbowman | 2011-08-22 09:22:55 -0600 (Mon, 22 Aug 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_bounds.asy

Allow draw(nullpath) again.

------------------------------------------------------------------------
r5332 | jcbowman | 2011-08-21 18:31:43 -0600 (Sun, 21 Aug 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asy-latex.dtx

Update version number.

------------------------------------------------------------------------
r5331 | jcbowman | 2011-08-21 16:09:54 -0600 (Sun, 21 Aug 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/util.h

Remove portability tweak for MIPS.

------------------------------------------------------------------------
r5330 | jcbowman | 2011-08-21 15:09:03 -0600 (Sun, 21 Aug 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/util.cc

Specify arbitrary size if MAXPATHLEN is undefined.

------------------------------------------------------------------------
r5329 | wspr | 2011-08-17 02:51:20 -0600 (Wed, 17 Aug 2011) | 3 lines
Changed paths:
   M /trunk/asymptote/doc/asy-latex.dtx

some missing comment chars in \asyinclude

also bumped the version number of the .sty by a minor increment (hope this is okay)
------------------------------------------------------------------------
r5328 | jcbowman | 2011-08-13 02:50:17 -0600 (Sat, 13 Aug 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_markers.asy

Build Mark and MarkFill from MarkPath.

------------------------------------------------------------------------
r5327 | jcbowman | 2011-08-12 23:50:06 -0600 (Fri, 12 Aug 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_markers.asy

Implement markthin(path) marker with opacity thinning.

------------------------------------------------------------------------
r5326 | jcbowman | 2011-08-04 21:48:05 -0600 (Thu, 04 Aug 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/README

Update link to cygwin1.dll source code.

------------------------------------------------------------------------
r5325 | jcbowman | 2011-07-12 08:35:36 -0600 (Tue, 12 Jul 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/drawsurface.cc

Disable billboard interaction for offscreen rendering.

------------------------------------------------------------------------
r5324 | pivaldi | 2011-06-29 10:09:51 -0600 (Wed, 29 Jun 2011) | 1 line
Changed paths:
   M /trunk/asymptote/base/geometry.asy

Fix double drawing of path when showing triangle in geometry.asy
------------------------------------------------------------------------
r5323 | pivaldi | 2011-06-27 16:35:42 -0600 (Mon, 27 Jun 2011) | 1 line
Changed paths:
   M /trunk/asymptote/base/geometry.asy

remove trailing char
------------------------------------------------------------------------
r5322 | pivaldi | 2011-06-27 11:04:13 -0600 (Mon, 27 Jun 2011) | 4 lines
Changed paths:
   M /trunk/asymptote/base/geometry.asy

Fix arc orientation in arcfromcenter
Enable again arcfromcenter for line (with explicit constraint)
Cleaning and improving code

------------------------------------------------------------------------
r5321 | pivaldi | 2011-06-23 08:58:15 -0600 (Thu, 23 Jun 2011) | 1 line
Changed paths:
   M /trunk/asymptote/base/geometry.asy

Remove previous modification in geometry.asy
------------------------------------------------------------------------
r5320 | jcbowman | 2011-06-22 20:55:18 -0600 (Wed, 22 Jun 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/Makefile.in

Prebuilt target should not rebuild asy-keywords.el.

------------------------------------------------------------------------
r5319 | pivaldi | 2011-06-20 14:56:04 -0600 (Mon, 20 Jun 2011) | 1 line
Changed paths:
   M /trunk/asymptote/base/geometry.asy

Fix inverse(real, point, point) in geometry.asy
------------------------------------------------------------------------
r5318 | jcbowman | 2011-06-19 17:29:55 -0600 (Sun, 19 Jun 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/process.cc

Print version number with -vv.

------------------------------------------------------------------------
r5317 | jcbowman | 2011-06-19 13:34:43 -0600 (Sun, 19 Jun 2011) | 1 line
Changed paths:
   M /trunk/asymptote/asymptote.spec
   M /trunk/asymptote/configure.ac

Increment version to 2.14svn.
------------------------------------------------------------------------
r5316 | jcbowman | 2011-06-19 07:40:51 -0600 (Sun, 19 Jun 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/configure.ac
   M /trunk/asymptote/prc/PRCdouble.cc
   M /trunk/asymptote/prc/PRCdouble.h

Autodetect memrchr.

------------------------------------------------------------------------
r5315 | jcbowman | 2011-06-19 07:31:50 -0600 (Sun, 19 Jun 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/Makefile.in

Make install-prebuilt also install asy-keywords.el.

------------------------------------------------------------------------
r5314 | jcbowman | 2011-06-18 20:03:42 -0600 (Sat, 18 Jun 2011) | 1 line
Changed paths:
   M /trunk/asymptote/asymptote.spec
   M /trunk/asymptote/configure.ac

Increment version to 2.13svn.
------------------------------------------------------------------------
r5313 | jcbowman | 2011-06-18 17:29:56 -0600 (Sat, 18 Jun 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/picture.cc

Support --disable-gl again.

------------------------------------------------------------------------
r5312 | jcbowman | 2011-06-18 10:55:00 -0600 (Sat, 18 Jun 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/prc/PRCdouble.h

Include cstring instead of string.h.

------------------------------------------------------------------------
r5311 | jcbowman | 2011-06-18 10:50:11 -0600 (Sat, 18 Jun 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/prc/PRCdouble.h

Add missing include.

------------------------------------------------------------------------
r5310 | jcbowman | 2011-06-18 01:55:15 -0600 (Sat, 18 Jun 2011) | 1 line
Changed paths:
   M /trunk/asymptote/configure.ac

Increment version to 2.12svn.
------------------------------------------------------------------------
r5309 | jcbowman | 2011-06-18 00:40:24 -0600 (Sat, 18 Jun 2011) | 1 line
Changed paths:
   M /trunk/asymptote/README

Update README.
------------------------------------------------------------------------
r5308 | jcbowman | 2011-06-18 00:39:21 -0600 (Sat, 18 Jun 2011) | 1 line
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi

Update copyright.
------------------------------------------------------------------------
r5307 | jcbowman | 2011-06-18 00:35:24 -0600 (Sat, 18 Jun 2011) | 1 line
Changed paths:
   M /trunk/asymptote/doc/Makefile.in

Add missing install-prebuilt dependency.
------------------------------------------------------------------------
r5306 | jcbowman | 2011-06-17 17:27:04 -0600 (Fri, 17 Jun 2011) | 1 line
Changed paths:
   M /trunk/asymptote/glrender.cc

Remove unwanted preprocessor conditionals.
------------------------------------------------------------------------
r5305 | jcbowman | 2011-06-17 11:50:18 -0600 (Fri, 17 Jun 2011) | 1 line
Changed paths:
   M /trunk/asymptote/glrender.cc

Fix diagnostic.
------------------------------------------------------------------------
r5304 | jcbowman | 2011-06-17 01:56:37 -0600 (Fri, 17 Jun 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/picture.cc

Fix preprocessor conditional.

------------------------------------------------------------------------
r5303 | jcbowman | 2011-06-17 01:44:31 -0600 (Fri, 17 Jun 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/configure.ac
   M /trunk/asymptote/glrender.cc
   M /trunk/asymptote/picture.cc
   M /trunk/asymptote/settings.h

Support compilation without GLUT library.

------------------------------------------------------------------------
r5302 | jcbowman | 2011-06-17 01:04:36 -0600 (Fri, 17 Jun 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/common.h
   M /trunk/asymptote/configure.ac
   M /trunk/asymptote/glrender.cc
   M /trunk/asymptote/picture.cc
   M /trunk/asymptote/settings.cc

Disable offscreen rendering support by default.

------------------------------------------------------------------------
r5301 | jcbowman | 2011-06-16 14:25:20 -0600 (Thu, 16 Jun 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/main.cc

Don't require LIBGLUT for thread support.

------------------------------------------------------------------------
r5300 | jcbowman | 2011-06-16 14:19:21 -0600 (Thu, 16 Jun 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/TeXShopAndAsymptote.tex

Remove unused include.

------------------------------------------------------------------------
r5299 | jcbowman | 2011-06-16 13:13:15 -0600 (Thu, 16 Jun 2011) | 1 line
Changed paths:
   M /trunk/asymptote/glrender.cc

Add preprocessor conditional for CYGWIN.
------------------------------------------------------------------------
r5298 | jcbowman | 2011-06-16 00:13:01 -0600 (Thu, 16 Jun 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/configure.ac
   M /trunk/asymptote/glrender.cc
   M /trunk/asymptote/picture.cc
   M /trunk/asymptote/settings.cc

Allow offscreen rendering to be toggled at runtime.

------------------------------------------------------------------------
r5297 | jcbowman | 2011-06-15 15:39:19 -0600 (Wed, 15 Jun 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/asymptote.spec
   M /trunk/asymptote/transform.h

Fix pen shift bounds.

------------------------------------------------------------------------
r5296 | jcbowman | 2011-06-14 16:45:08 -0600 (Tue, 14 Jun 2011) | 1 line
Changed paths:
   M /trunk/asymptote/patches/README

Update README.
------------------------------------------------------------------------
r5295 | jcbowman | 2011-06-14 16:44:35 -0600 (Tue, 14 Jun 2011) | 1 line
Changed paths:
   M /trunk/asymptote/configure.ac

Enable offscreen rendering; address autoconf warning messages.
------------------------------------------------------------------------
r5294 | jcbowman | 2011-06-14 13:01:48 -0600 (Tue, 14 Jun 2011) | 1 line
Changed paths:
   M /trunk/asymptote/configure.ac

Use tirpc library under CYGWIN.
------------------------------------------------------------------------
r5293 | jcbowman | 2011-06-13 15:42:24 -0600 (Mon, 13 Jun 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/base/obj.asy
   M /trunk/asymptote/fileio.cc

Fix handling of whitespace in word mode.

------------------------------------------------------------------------
r5292 | jcbowman | 2011-06-13 11:01:30 -0600 (Mon, 13 Jun 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/base/palette.asy

Fix implementation of data transpose.

------------------------------------------------------------------------
r5291 | jcbowman | 2011-06-10 04:19:55 -0600 (Fri, 10 Jun 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/base/palette.asy

Implement transpose option more efficiently.

------------------------------------------------------------------------
r5290 | jcbowman | 2011-06-10 03:51:30 -0600 (Fri, 10 Jun 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/base/palette.asy
   M /trunk/asymptote/doc/asymptote.texi

Implement transpose argument for pen function images.

------------------------------------------------------------------------
r5289 | pivaldi | 2011-06-09 16:10:37 -0600 (Thu, 09 Jun 2011) | 1 line
Changed paths:
   M /trunk/asymptote/base/geometry.asy

Fix coding style
------------------------------------------------------------------------
r5288 | pivaldi | 2011-06-09 11:36:27 -0600 (Thu, 09 Jun 2011) | 1 line
Changed paths:
   M /trunk/asymptote/base/geometry.asy

Fix limit calculation of parabola and hyperbola
------------------------------------------------------------------------
r5287 | jcbowman | 2011-05-30 09:51:41 -0600 (Mon, 30 May 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/prc/PRCdouble.h

Remove extraneous declaration.

------------------------------------------------------------------------
r5286 | jcbowman | 2011-05-27 17:14:44 -0600 (Fri, 27 May 2011) | 3 lines
Changed paths:
   M /trunk/asymptote/common.h
   M /trunk/asymptote/configure.ac
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/doc/penfunctionimage.asy
   M /trunk/asymptote/glrender.cc
   M /trunk/asymptote/glrender.h
   M /trunk/asymptote/main.cc
   M /trunk/asymptote/picture.cc
   M /trunk/asymptote/settings.cc
   M /trunk/asymptote/settings.h

Add Orest Shardt's offscreen rendering patch (currently implemented and
tested only for UNIX).

------------------------------------------------------------------------
r5285 | jcbowman | 2011-05-27 01:56:19 -0600 (Fri, 27 May 2011) | 1 line
Changed paths:
   M /trunk/asymptote/configure.ac

Increment version to 2.11svn.
------------------------------------------------------------------------
r5284 | jcbowman | 2011-05-26 23:29:46 -0600 (Thu, 26 May 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/examples/extrudedcontour.asy

Speed up example.

------------------------------------------------------------------------
r5283 | jcbowman | 2011-05-26 23:25:08 -0600 (Thu, 26 May 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/asymptote.spec
   M /trunk/asymptote/base/graph.asy

Use complete userMax/userMin functions.

------------------------------------------------------------------------
r5282 | jcbowman | 2011-05-26 19:43:31 -0600 (Thu, 26 May 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/drawimage.h

Fix rendered preview images.

------------------------------------------------------------------------
r5281 | jcbowman | 2011-05-26 18:21:42 -0600 (Thu, 26 May 2011) | 1 line
Changed paths:
   M /trunk/asymptote/configure.ac

Increment version to 2.10svn.
------------------------------------------------------------------------
r5280 | jcbowman | 2011-05-26 14:06:11 -0600 (Thu, 26 May 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi

Add missing index entries.

------------------------------------------------------------------------
r5279 | jcbowman | 2011-05-26 12:37:41 -0600 (Thu, 26 May 2011) | 4 lines
Changed paths:
   M /trunk/asymptote/base/three_surface.asy
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/drawsurface.cc
   M /trunk/asymptote/drawsurface.h
   M /trunk/asymptote/examples/pdb.asy
   M /trunk/asymptote/runpicture.in

Implement
void pixel(picture pic=currentpicture, triple v, pen p=currentpen,
           real width=1);

------------------------------------------------------------------------
r5278 | jcbowman | 2011-05-26 02:58:37 -0600 (Thu, 26 May 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/prc/oPRCFile.cc

Map [0,1] uniformly to [0,255].

------------------------------------------------------------------------
r5277 | jcbowman | 2011-05-26 02:50:51 -0600 (Thu, 26 May 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/base/geometry.asy

Don't apply picture transform when computing limits of hyperbola.

------------------------------------------------------------------------
r5276 | jcbowman | 2011-05-26 01:28:15 -0600 (Thu, 26 May 2011) | 7 lines
Changed paths:
   M /trunk/asymptote/base/palette.asy
   M /trunk/asymptote/doc/asymptote.texi
   A /trunk/asymptote/doc/penfunctionimage.asy
   M /trunk/asymptote/drawimage.h
   M /trunk/asymptote/glrender.cc
   M /trunk/asymptote/psfile.cc
   M /trunk/asymptote/psfile.h
   M /trunk/asymptote/runpicture.in

Check that arrays passed to the image routines are rectangular.

Implement general pen image routine, along with an example:

void image(picture pic=currentpicture, pen f(int,int), int width, int height,
           pair initial, pair final, bool antialias=false);

------------------------------------------------------------------------
r5275 | jcbowman | 2011-05-26 01:22:42 -0600 (Thu, 26 May 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/base/simplex.asy

Fix validity test in simplex.asy.

------------------------------------------------------------------------
r5274 | jcbowman | 2011-05-25 14:46:20 -0600 (Wed, 25 May 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_picture.asy
   M /trunk/asymptote/base/plain_scaling.asy

Simplify code.

------------------------------------------------------------------------
r5273 | jcbowman | 2011-05-25 14:19:16 -0600 (Wed, 25 May 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_bounds.asy

Fix bug in optimized sizing routines.

------------------------------------------------------------------------
r5272 | jcbowman | 2011-05-25 08:07:29 -0600 (Wed, 25 May 2011) | 4 lines
Changed paths:
   M /trunk/asymptote/drawsurface.cc
   M /trunk/asymptote/drawsurface.h
   M /trunk/asymptote/examples/vertexshading.asy
   M /trunk/asymptote/prc/Makefile
   M /trunk/asymptote/prc/PRC.h
   M /trunk/asymptote/prc/PRCbitStream.cc
   M /trunk/asymptote/prc/PRCbitStream.h
   M /trunk/asymptote/prc/oPRCFile.cc
   M /trunk/asymptote/prc/oPRCFile.h
   M /trunk/asymptote/prc/test.cc
   M /trunk/asymptote/prc/writePRC.cc
   M /trunk/asymptote/prc/writePRC.h

Add Michail's recent PRC enhancements.

Implement PRC vertex-shading for straight patches.

------------------------------------------------------------------------
r5271 | jcbowman | 2011-05-16 00:06:31 -0600 (Mon, 16 May 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/camp.l

Eliminate gcc warning about unused yyunput routine.

------------------------------------------------------------------------
r5270 | jcbowman | 2011-05-15 10:29:31 -0600 (Sun, 15 May 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asy-latex.dtx
   M /trunk/asymptote/doc/asymptote.texi

Implement keepAspect keyval option in asymptote.sty.

------------------------------------------------------------------------
r5269 | jcbowman | 2011-05-15 08:54:13 -0600 (Sun, 15 May 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_arrows.asy

Test for null Label in arrow().

------------------------------------------------------------------------
r5268 | jcbowman | 2011-05-14 00:52:04 -0600 (Sat, 14 May 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/runstring.in

Check translation table size.

------------------------------------------------------------------------
r5267 | jcbowman | 2011-05-13 02:51:05 -0600 (Fri, 13 May 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three.asy

Don't strip directory for .js and .prc file names.

------------------------------------------------------------------------
r5266 | jcbowman | 2011-05-13 01:45:05 -0600 (Fri, 13 May 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/examples/orthocenter.asy
   M /trunk/asymptote/picture.cc

Support PDF TeX engines in xasy.

------------------------------------------------------------------------
r5265 | hammera | 2011-04-13 21:49:11 -0600 (Wed, 13 Apr 2011) | 3 lines
Changed paths:
   M /trunk/asymptote/camp.y

Removed old rules.


------------------------------------------------------------------------
r5264 | jcbowman | 2011-04-06 20:49:10 -0600 (Wed, 06 Apr 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/drawsurface.cc
   M /trunk/asymptote/examples/NURBScurve.asy
   M /trunk/asymptote/examples/NURBSsurface.asy

Remove unused code.

------------------------------------------------------------------------
r5263 | jcbowman | 2011-03-30 09:24:10 -0600 (Wed, 30 Mar 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asy-latex.dtx

Increment asymptote.sty version.

------------------------------------------------------------------------
r5262 | jcbowman | 2011-03-30 09:21:48 -0600 (Wed, 30 Mar 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asy-latex.dtx
   M /trunk/asymptote/doc/asymptote.texi

Allow leading spaces before \end{asy}.

------------------------------------------------------------------------
r5261 | jcbowman | 2011-03-30 09:07:07 -0600 (Wed, 30 Mar 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/base/slide.asy
   M /trunk/asymptote/examples/slidedemo.asy

Add step option to indexedfigure.

------------------------------------------------------------------------
r5260 | jcbowman | 2011-03-30 09:00:57 -0600 (Wed, 30 Mar 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/item.h

Simplify item casts.

------------------------------------------------------------------------
r5259 | jcbowman | 2011-03-11 00:19:33 -0700 (Fri, 11 Mar 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/Makefile.in
   A /trunk/asymptote/doc/TeXShopAndAsymptote.tex

Update TeXShopAndAsymptote instructions.

------------------------------------------------------------------------
r5258 | hammera | 2011-03-06 08:18:26 -0700 (Sun, 06 Mar 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi

Add documentation for keyword-only arguments.

------------------------------------------------------------------------
r5257 | hammera | 2011-03-06 07:58:46 -0700 (Sun, 06 Mar 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/application.cc
   M /trunk/asymptote/camp.y
   M /trunk/asymptote/entry.cc
   M /trunk/asymptote/errors
   M /trunk/asymptote/errortest.asy
   M /trunk/asymptote/exp.h
   M /trunk/asymptote/fundec.cc
   M /trunk/asymptote/fundec.h
   A /trunk/asymptote/tests/types/keyword.asy
   M /trunk/asymptote/types.cc
   M /trunk/asymptote/types.h

Add keyword only formals.

------------------------------------------------------------------------
r5256 | jcbowman | 2011-02-24 23:04:21 -0700 (Thu, 24 Feb 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/examples/SierpinskiSponge.asy

Update example.

------------------------------------------------------------------------
r5255 | hammera | 2011-02-24 16:17:48 -0700 (Thu, 24 Feb 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/errors
   M /trunk/asymptote/errortest.asy
   M /trunk/asymptote/exp.cc

Fixed assert on array assignment.

------------------------------------------------------------------------
r5254 | jcbowman | 2011-02-22 16:45:01 -0700 (Tue, 22 Feb 2011) | 6 lines
Changed paths:
   M /trunk/asymptote/base/geometry.asy

Avoid overloading built-in circle and ellipse functions.

Remove unused code.

Fix transform bug in drawline.

------------------------------------------------------------------------
r5253 | jcbowman | 2011-02-22 16:34:59 -0700 (Tue, 22 Feb 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/base/math.asy

Fix transform bug in drawline.

------------------------------------------------------------------------
r5252 | jcbowman | 2011-02-22 16:34:03 -0700 (Tue, 22 Feb 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/base/trembling.asy
   M /trunk/asymptote/examples/floatingdisk.asy

Improve interface to trembling routine.

------------------------------------------------------------------------
r5251 | jcbowman | 2011-02-12 08:28:39 -0700 (Sat, 12 Feb 2011) | 1 line
Changed paths:
   M /trunk/asymptote/drawgroup.h

Remove unused member of drawBegin3.
------------------------------------------------------------------------
r5250 | jcbowman | 2011-02-06 16:42:39 -0700 (Sun, 06 Feb 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/prc/writePRC.cc
   M /trunk/asymptote/prcfile.h

Move unit constant into constructor.

------------------------------------------------------------------------
r5249 | jcbowman | 2011-01-27 12:38:09 -0700 (Thu, 27 Jan 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/common.h
   M /trunk/asymptote/mathop.h

Speed up long long integer multiplication.

------------------------------------------------------------------------
r5248 | jcbowman | 2011-01-25 08:19:29 -0700 (Tue, 25 Jan 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/fpu.h

Change Int to int.

------------------------------------------------------------------------
r5247 | jcbowman | 2011-01-20 07:54:32 -0700 (Thu, 20 Jan 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/texfile.cc
   M /trunk/asymptote/texfile.h

Always output preamble definitions.

------------------------------------------------------------------------
r5246 | jcbowman | 2011-01-08 17:08:39 -0700 (Sat, 08 Jan 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/asymptote.spec
   M /trunk/asymptote/doc/diatom.asy
   M /trunk/asymptote/examples/filesurface.asy

Update examples.

------------------------------------------------------------------------
r5245 | jcbowman | 2011-01-08 15:36:57 -0700 (Sat, 08 Jan 2011) | 2 lines
Changed paths:
   M /trunk/asymptote/base/bsp.asy
   M /trunk/asymptote/base/geometry.asy
   M /trunk/asymptote/base/graph.asy
   M /trunk/asymptote/base/graph3.asy
   M /trunk/asymptote/base/grid3.asy
   M /trunk/asymptote/base/plain_bounds.asy
   M /trunk/asymptote/base/plain_picture.asy
   D /trunk/asymptote/base/plain_repicture.asy
   D /trunk/asymptote/base/regraph.asy
   D /trunk/asymptote/base/regraph3.asy
   D /trunk/asymptote/base/regrid3.asy
   D /trunk/asymptote/base/rethree.asy
   M /trunk/asymptote/base/three.asy

Enable Andy's new sizing routines.

------------------------------------------------------------------------
r5244 | jcbowman | 2010-12-30 22:58:29 -0700 (Thu, 30 Dec 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/regraph.asy
   M /trunk/asymptote/base/regraph3.asy
   M /trunk/asymptote/base/regrid3.asy
   M /trunk/asymptote/base/rethree.asy

Update refactored files.

------------------------------------------------------------------------
r5243 | jcbowman | 2010-12-27 18:50:38 -0700 (Mon, 27 Dec 2010) | 3 lines
Changed paths:
   M /trunk/asymptote/exp.cc

Use a temporary expression for self operators to avoid side effects, as
suggested by Orest.

------------------------------------------------------------------------
r5242 | jcbowman | 2010-12-22 05:40:48 -0700 (Wed, 22 Dec 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/texfile.cc

It is no longer necessary to append to an existing preamble. 

------------------------------------------------------------------------
r5241 | hammera | 2010-11-30 06:34:19 -0700 (Tue, 30 Nov 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/bsp.asy

Add commented out code in bsp for new sizing routines.

------------------------------------------------------------------------
r5240 | hammera | 2010-11-30 05:55:53 -0700 (Tue, 30 Nov 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_bounds.asy

No error on userMin of empty data.

------------------------------------------------------------------------
r5239 | hammera | 2010-11-29 15:02:26 -0700 (Mon, 29 Nov 2010) | 1 line
Changed paths:
   M /trunk/asymptote/base/plain_repicture.asy

Fix merge typo.
------------------------------------------------------------------------
r5238 | jcbowman | 2010-11-28 10:41:26 -0700 (Sun, 28 Nov 2010) | 3 lines
Changed paths:
   M /trunk/asymptote/examples/interpolate1.asy

Move limits commands to after draw commands to work with recoded picture
sizing routines.

------------------------------------------------------------------------
r5237 | jcbowman | 2010-11-28 10:37:44 -0700 (Sun, 28 Nov 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_bounds.asy
   M /trunk/asymptote/base/plain_repicture.asy
   M /trunk/asymptote/base/plain_scaling.asy
   M /trunk/asymptote/base/regraph.asy
   A /trunk/asymptote/base/regraph3.asy
   A /trunk/asymptote/base/regrid3.asy
   A /trunk/asymptote/base/rethree.asy

Begin to port graph, graph3, and three to use recoded picture sizing routines.

------------------------------------------------------------------------
r5236 | jcbowman | 2010-11-28 10:07:58 -0700 (Sun, 28 Nov 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/runstring.in

Fix unused value warnings.

------------------------------------------------------------------------
r5235 | hammera | 2010-11-22 18:33:07 -0700 (Mon, 22 Nov 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_bounds.asy

Fix userMin calculation.

------------------------------------------------------------------------
r5234 | hammera | 2010-11-22 05:41:12 -0700 (Mon, 22 Nov 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_bounds.asy

Add fill paths to userMin calculation.

------------------------------------------------------------------------
r5233 | jcbowman | 2010-11-21 09:29:59 -0700 (Sun, 21 Nov 2010) | 1 line
Changed paths:
   M /trunk/asymptote/base/plain_pens.asy

Fix definition of heavygrey.
------------------------------------------------------------------------
r5232 | hammera | 2010-11-15 20:17:37 -0700 (Mon, 15 Nov 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_bounds.asy

Emulate old userMin/Max behaviour after transform.

------------------------------------------------------------------------
r5231 | hammera | 2010-11-15 19:38:23 -0700 (Mon, 15 Nov 2010) | 2 lines
Changed paths:
   A /trunk/asymptote/base/regraph.asy

Changes to userMin/userMax interface for graph.

------------------------------------------------------------------------
r5230 | hammera | 2010-11-15 19:36:57 -0700 (Mon, 15 Nov 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_bounds.asy
   M /trunk/asymptote/base/plain_repicture.asy

Re-implement userMin/userMax in repicture.

------------------------------------------------------------------------
r5229 | jcbowman | 2010-11-15 18:10:19 -0700 (Mon, 15 Nov 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/geometry.asy

Fix horizontal and vertical lines in Drawline.

------------------------------------------------------------------------
r5228 | jcbowman | 2010-11-14 10:43:27 -0700 (Sun, 14 Nov 2010) | 4 lines
Changed paths:
   M /trunk/asymptote/base/math.asy
   M /trunk/asymptote/doc/FAQ/asy-faq.bfnn

Update FAQ.

Add integer version of partialsum routines.

------------------------------------------------------------------------
r5227 | hammera | 2010-11-06 07:19:07 -0600 (Sat, 06 Nov 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/stack.cc

Fix SIMPLE_FRAME flags.

------------------------------------------------------------------------
r5226 | jcbowman | 2010-11-03 21:22:25 -0600 (Wed, 03 Nov 2010) | 1 line
Changed paths:
   M /trunk/asymptote/asymptote.spec
   M /trunk/asymptote/configure.ac

Increment version to 2.09svn.
------------------------------------------------------------------------
r5225 | jcbowman | 2010-11-02 22:50:12 -0600 (Tue, 02 Nov 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_arrows.asy

Fix incorrect marker optimization in r5194.

------------------------------------------------------------------------
r5224 | jcbowman | 2010-10-30 21:40:15 -0600 (Sat, 30 Oct 2010) | 1 line
Changed paths:
   M /trunk/asymptote/asymptote.spec
   M /trunk/asymptote/configure.ac

Increment version to 2.08svn.
------------------------------------------------------------------------
r5223 | jcbowman | 2010-10-30 19:20:47 -0600 (Sat, 30 Oct 2010) | 1 line
Changed paths:
   M /trunk/asymptote/runfile.in

Work around missing CYGWIN prototype.
------------------------------------------------------------------------
r5222 | hammera | 2010-10-30 12:53:00 -0600 (Sat, 30 Oct 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/tests/frames/loop.asy

Test while and do loops.

------------------------------------------------------------------------
r5221 | hammera | 2010-10-30 12:43:15 -0600 (Sat, 30 Oct 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/stm.cc

Fix loop ordering.

------------------------------------------------------------------------
r5220 | jcbowman | 2010-10-30 08:56:41 -0600 (Sat, 30 Oct 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/runfile.in

Implement string mktemp(string).

------------------------------------------------------------------------
r5219 | jcbowman | 2010-10-30 08:53:08 -0600 (Sat, 30 Oct 2010) | 3 lines
Changed paths:
   M /trunk/asymptote/doc/asy-latex.dtx

Improve asyinclude so that asy source file is not required by publisher;
make .asy extension optional.

------------------------------------------------------------------------
r5218 | hammera | 2010-10-30 08:00:30 -0600 (Sat, 30 Oct 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/builtin.cc
   M /trunk/asymptote/coder.cc
   M /trunk/asymptote/frame.h
   M /trunk/asymptote/item.h
   M /trunk/asymptote/record.cc
   M /trunk/asymptote/stack.cc
   M /trunk/asymptote/stack.h

Experimental closure implementation.

------------------------------------------------------------------------
r5217 | hammera | 2010-10-30 06:01:39 -0600 (Sat, 30 Oct 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/access.cc

Refactoring of variable access.

------------------------------------------------------------------------
r5216 | hammera | 2010-10-27 18:44:51 -0600 (Wed, 27 Oct 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/coder.cc
   M /trunk/asymptote/coder.h
   M /trunk/asymptote/inst.h
   M /trunk/asymptote/opcodes.h
   M /trunk/asymptote/stack.cc
   M /trunk/asymptote/stack.h

Removes inst::alloc.

------------------------------------------------------------------------
r5215 | jcbowman | 2010-10-27 16:51:40 -0600 (Wed, 27 Oct 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/picture.cc

Add -P option required by gs 9.00.

------------------------------------------------------------------------
r5214 | hammera | 2010-10-27 16:30:35 -0600 (Wed, 27 Oct 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/TODO
   M /trunk/asymptote/access.cc
   M /trunk/asymptote/builtin.h
   M /trunk/asymptote/coder.h
   M /trunk/asymptote/frame.h
   M /trunk/asymptote/inst.h
   M /trunk/asymptote/item.h
   M /trunk/asymptote/stack.cc
   M /trunk/asymptote/stack.h

Allocates closures only when needed.

------------------------------------------------------------------------
r5213 | hammera | 2010-10-26 17:35:37 -0600 (Tue, 26 Oct 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/coder.cc
   M /trunk/asymptote/coder.h
   M /trunk/asymptote/frame.h
   M /trunk/asymptote/stack.cc
   M /trunk/asymptote/stm.cc

Don't push a frame on every loop iteration.

------------------------------------------------------------------------
r5212 | jcbowman | 2010-10-26 10:36:51 -0600 (Tue, 26 Oct 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/graph.asy
   M /trunk/asymptote/base/graph3.asy

Make limits work with reversed axes.

------------------------------------------------------------------------
r5211 | hammera | 2010-10-26 08:23:51 -0600 (Tue, 26 Oct 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_bounds.asy
   M /trunk/asymptote/inst.h
   A /trunk/asymptote/opcodes.h
   M /trunk/asymptote/program.cc

Defines opcodes in a header.

------------------------------------------------------------------------
r5210 | hammera | 2010-10-26 07:40:00 -0600 (Tue, 26 Oct 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/tests/frames/loop.asy

Additional for loop testing.

------------------------------------------------------------------------
r5209 | hammera | 2010-10-25 20:31:29 -0600 (Mon, 25 Oct 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/drawlabel.cc
   M /trunk/asymptote/path.cc

Refactoring of texpipe queries.

------------------------------------------------------------------------
r5208 | hammera | 2010-10-25 19:53:13 -0600 (Mon, 25 Oct 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/env.cc

Removes dead code.

------------------------------------------------------------------------
r5207 | jcbowman | 2010-10-23 19:11:32 -0600 (Sat, 23 Oct 2010) | 1 line
Changed paths:
   M /trunk/asymptote/asymptote.spec
   M /trunk/asymptote/configure.ac

Increment version to 2.07svn.
------------------------------------------------------------------------
r5206 | jcbowman | 2010-10-23 16:14:41 -0600 (Sat, 23 Oct 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/Makefile.in

Force generation of asymptote.sty when building documentation.

------------------------------------------------------------------------
r5205 | jcbowman | 2010-10-19 08:07:30 -0600 (Tue, 19 Oct 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/memory.h

Add missing CONST qualifier.

------------------------------------------------------------------------
r5204 | jcbowman | 2010-10-18 19:08:41 -0600 (Mon, 18 Oct 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/Makefile.in

Add missing sty targets.

------------------------------------------------------------------------
r5203 | jcbowman | 2010-10-18 02:17:25 -0600 (Mon, 18 Oct 2010) | 1 line
Changed paths:
   M /trunk/asymptote/asymptote.spec
   M /trunk/asymptote/configure.ac

Increment version to 2.06svn.
------------------------------------------------------------------------
r5202 | jcbowman | 2010-10-17 23:58:30 -0600 (Sun, 17 Oct 2010) | 3 lines
Changed paths:
   M /trunk/asymptote/Makefile.in
   M /trunk/asymptote/doc/Makefile.in
   A /trunk/asymptote/doc/asy-latex.dtx
   D /trunk/asymptote/doc/asymptote.sty
   M /trunk/asymptote/doc/asymptote.texi

Replace asymptote.sty with auto-generated version 1.21 contributed by Will
Robertson, with a new latexmk-compatible asyinclude feature.

------------------------------------------------------------------------
r5201 | jcbowman | 2010-10-17 21:44:20 -0600 (Sun, 17 Oct 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/picture.cc

In inlinetex mode, avoid interference from pre-existing aux file.

------------------------------------------------------------------------
r5200 | hammera | 2010-10-10 08:31:10 -0600 (Sun, 10 Oct 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/picture.cc

Faster texprocess string matching.

------------------------------------------------------------------------
r5199 | jcbowman | 2010-09-27 20:59:34 -0600 (Mon, 27 Sep 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.sty

Remove quotes from textattachfile.

------------------------------------------------------------------------
r5198 | jcbowman | 2010-09-27 01:50:25 -0600 (Mon, 27 Sep 2010) | 4 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.sty

Allow spaces in file names.

Support attaching of eps files when using dvips driver.

------------------------------------------------------------------------
r5197 | hammera | 2010-09-25 22:43:34 -0600 (Sat, 25 Sep 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/coder.cc
   M /trunk/asymptote/coder.h
   M /trunk/asymptote/exp.cc
   M /trunk/asymptote/exp.h
   M /trunk/asymptote/fundec.cc
   M /trunk/asymptote/program.h
   M /trunk/asymptote/stm.cc

Re-implement label system in coder.

------------------------------------------------------------------------
r5196 | hammera | 2010-09-24 16:43:08 -0600 (Fri, 24 Sep 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/tests/array/fields.asy

Faster fields test.

------------------------------------------------------------------------
r5195 | hammera | 2010-09-24 16:42:13 -0600 (Fri, 24 Sep 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_repicture.asy

Optimizations in plain_repicture.

------------------------------------------------------------------------
r5194 | hammera | 2010-09-24 10:12:24 -0600 (Fri, 24 Sep 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_arrows.asy
   M /trunk/asymptote/base/plain_picture.asy

Handles default draw calls more efficiently.

------------------------------------------------------------------------
r5193 | hammera | 2010-09-24 09:06:05 -0600 (Fri, 24 Sep 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_shipout.asy
   M /trunk/asymptote/base/plain_xasy.asy
   M /trunk/asymptote/runpicture.in

Avoid calling xasy commands during shipout.

------------------------------------------------------------------------
r5192 | hammera | 2010-09-24 08:59:21 -0600 (Fri, 24 Sep 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_bounds.asy

Crazy optimizations for plain_bounds.

------------------------------------------------------------------------
r5191 | hammera | 2010-09-24 08:49:59 -0600 (Fri, 24 Sep 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/builtin.cc

Adds printBytecode function.

------------------------------------------------------------------------
r5190 | hammera | 2010-09-24 08:33:57 -0600 (Fri, 24 Sep 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/application.h
   M /trunk/asymptote/fundec.cc
   M /trunk/asymptote/inst.h
   M /trunk/asymptote/program.cc
   M /trunk/asymptote/stack.cc

Opcodes for default arguments.

------------------------------------------------------------------------
r5189 | hammera | 2010-09-24 08:32:42 -0600 (Fri, 24 Sep 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/errormsg.h

Terse position info output by profiler.

------------------------------------------------------------------------
r5188 | hammera | 2010-09-24 08:29:48 -0600 (Fri, 24 Sep 2010) | 5 lines
Changed paths:
   M /trunk/asymptote/profiler.h

Profiler improvements.

Adds timing of builtin function.  Now gives output directly readable by
kcachegrind.

------------------------------------------------------------------------
r5187 | hammera | 2010-09-20 09:26:06 -0600 (Mon, 20 Sep 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/profiler.h

Use old, deprecated timer for profiling for compatibility.

------------------------------------------------------------------------
r5186 | hammera | 2010-09-20 08:36:00 -0600 (Mon, 20 Sep 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_Label.asy
   M /trunk/asymptote/base/plain_arrows.asy

Change NullLabel to just null.

------------------------------------------------------------------------
r5185 | hammera | 2010-09-20 08:12:23 -0600 (Mon, 20 Sep 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/profiler.h

Test for clock_gettime support.

------------------------------------------------------------------------
r5184 | jcbowman | 2010-09-19 20:20:43 -0600 (Sun, 19 Sep 2010) | 1 line
Changed paths:
   M /trunk/asymptote/base/plain_picture.asy
   M /trunk/asymptote/examples/worksheet.asy

Handle above argument.
------------------------------------------------------------------------
r5183 | hammera | 2010-09-19 18:45:23 -0600 (Sun, 19 Sep 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_bounds.asy
   M /trunk/asymptote/base/plain_repicture.asy

Re-implement userMin/userMax.

------------------------------------------------------------------------
r5182 | hammera | 2010-09-19 17:56:37 -0600 (Sun, 19 Sep 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_bounds.asy
   M /trunk/asymptote/base/plain_repicture.asy

Renamed smartBounds to just bounds.

------------------------------------------------------------------------
r5181 | hammera | 2010-09-19 17:47:48 -0600 (Sun, 19 Sep 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_bounds.asy
   M /trunk/asymptote/runpath.in

Sizing of transformed path arrays handled in C++.

------------------------------------------------------------------------
r5180 | hammera | 2010-09-19 17:34:34 -0600 (Sun, 19 Sep 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_Label.asy
   M /trunk/asymptote/base/plain_arrows.asy

Use NullLabel to avoid Label instantiation.

------------------------------------------------------------------------
r5179 | hammera | 2010-09-19 17:04:56 -0600 (Sun, 19 Sep 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/profile.py
   M /trunk/asymptote/profiler.h

Add nanosecond counter to profiler.

------------------------------------------------------------------------
r5178 | hammera | 2010-09-19 16:12:17 -0600 (Sun, 19 Sep 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_bounds.asy
   M /trunk/asymptote/base/plain_repicture.asy
   M /trunk/asymptote/runpath.in

Calculate bounds of path arrays in C++.

------------------------------------------------------------------------
r5177 | hammera | 2010-09-18 17:51:11 -0600 (Sat, 18 Sep 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_bounds.asy

More efficient calculation of extremes.

------------------------------------------------------------------------
r5176 | hammera | 2010-09-18 17:08:14 -0600 (Sat, 18 Sep 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/dec.cc

Avoid creating arrays of celltype error.

------------------------------------------------------------------------
r5175 | hammera | 2010-09-18 16:29:25 -0600 (Sat, 18 Sep 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_bounds.asy
   M /trunk/asymptote/base/plain_scaling.asy

Adds calculation of extremal bounds.

------------------------------------------------------------------------
r5174 | hammera | 2010-09-17 19:03:15 -0600 (Fri, 17 Sep 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_bounds.asy
   M /trunk/asymptote/base/plain_repicture.asy

Stores paths for sizing data.

------------------------------------------------------------------------
r5173 | hammera | 2010-09-17 18:21:16 -0600 (Fri, 17 Sep 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_bounds.asy
   M /trunk/asymptote/base/plain_repicture.asy

Reimplementation of transforms of pictures.

------------------------------------------------------------------------
r5172 | hammera | 2010-09-17 18:20:27 -0600 (Fri, 17 Sep 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/profile.py
   M /trunk/asymptote/profiler.h
   M /trunk/asymptote/stack.cc

Dump profile to a file.

------------------------------------------------------------------------
r5171 | hammera | 2010-09-15 17:41:34 -0600 (Wed, 15 Sep 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_bounds.asy

Adds transformedBounds.

------------------------------------------------------------------------
r5170 | hammera | 2010-09-15 15:52:30 -0600 (Wed, 15 Sep 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_bounds.asy
   M /trunk/asymptote/base/plain_repicture.asy

Adds freezableBounds.

------------------------------------------------------------------------
r5169 | hammera | 2010-09-14 08:34:57 -0600 (Tue, 14 Sep 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_bounds.asy
   M /trunk/asymptote/base/plain_repicture.asy

More sizing refactoring.

------------------------------------------------------------------------
r5168 | hammera | 2010-09-14 07:43:00 -0600 (Tue, 14 Sep 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_bounds.asy
   M /trunk/asymptote/base/plain_repicture.asy

Minor refactoring.

------------------------------------------------------------------------
r5167 | hammera | 2010-09-14 07:21:37 -0600 (Tue, 14 Sep 2010) | 2 lines
Changed paths:
   A /trunk/asymptote/base/plain_bounds.asy
   A /trunk/asymptote/base/plain_prethree.asy
   A /trunk/asymptote/base/plain_repicture.asy
   A /trunk/asymptote/base/plain_scaling.asy

Start of refactoring of plain_picture.

------------------------------------------------------------------------
r5166 | hammera | 2010-09-11 16:21:45 -0600 (Sat, 11 Sep 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/Makefile.in
   M /trunk/asymptote/findsym.pl
   M /trunk/asymptote/opsymbols.pl
   M /trunk/asymptote/symbol.cc

PRESYM is no longer an option.

------------------------------------------------------------------------
r5165 | hammera | 2010-09-11 16:07:45 -0600 (Sat, 11 Sep 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/Makefile.in
   M /trunk/asymptote/builtin.cc
   M /trunk/asymptote/exp.cc
   M /trunk/asymptote/exp.h

NO_FUNC_OPS is no longer an option.

------------------------------------------------------------------------
r5164 | hammera | 2010-09-11 16:01:33 -0600 (Sat, 11 Sep 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/Makefile.in
   M /trunk/asymptote/builtin.cc

TEST_ADDED_OPS no longer an option.

------------------------------------------------------------------------
r5163 | hammera | 2010-09-11 15:54:55 -0600 (Sat, 11 Sep 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/Makefile.in
   M /trunk/asymptote/application.cc

EXACT_MATCH is no longer an option.

------------------------------------------------------------------------
r5162 | hammera | 2010-09-11 15:49:22 -0600 (Sat, 11 Sep 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/Makefile.in
   M /trunk/asymptote/entry.cc
   M /trunk/asymptote/entry.h
   M /trunk/asymptote/exp.cc

CALLEE_SEARCH is no longer an option.

------------------------------------------------------------------------
r5161 | hammera | 2010-09-11 15:31:32 -0600 (Sat, 11 Sep 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/Makefile.in
   M /trunk/asymptote/application.cc
   M /trunk/asymptote/env.cc
   M /trunk/asymptote/env.h
   M /trunk/asymptote/exp.cc

FASTCAST no longer an option.

------------------------------------------------------------------------
r5160 | hammera | 2010-09-11 14:50:43 -0600 (Sat, 11 Sep 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/tests/output/Makefile

Avoid false positives in output testing.

------------------------------------------------------------------------
r5159 | hammera | 2010-09-11 14:48:52 -0600 (Sat, 11 Sep 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/application.cc

Remove inappropriate comment.

------------------------------------------------------------------------
r5158 | jcbowman | 2010-08-28 09:42:09 -0600 (Sat, 28 Aug 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/solids.asy
   M /trunk/asymptote/builtin.cc
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/runarray.in

Update documentation.

------------------------------------------------------------------------
r5157 | hammera | 2010-08-27 21:39:49 -0600 (Fri, 27 Aug 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/main.cc
   A /trunk/asymptote/profile.py
   A /trunk/asymptote/profiler.h
   M /trunk/asymptote/stack.cc

A nascant profiler.

------------------------------------------------------------------------
r5156 | hammera | 2010-08-27 21:36:43 -0600 (Fri, 27 Aug 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/runarray.in

Also needed for arbitrary depth array constructors.

------------------------------------------------------------------------
r5155 | hammera | 2010-08-27 21:35:28 -0600 (Fri, 27 Aug 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/builtin.cc

Re-implement arbitrary depth array constructors.

------------------------------------------------------------------------
r5154 | hammera | 2010-08-27 21:34:39 -0600 (Fri, 27 Aug 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/access.cc
   M /trunk/asymptote/access.h

Implement callableAccess.

------------------------------------------------------------------------
r5153 | hammera | 2010-08-27 21:34:08 -0600 (Fri, 27 Aug 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/program.cc

Re-implement item printing.

------------------------------------------------------------------------
r5152 | hammera | 2010-08-27 16:28:35 -0600 (Fri, 27 Aug 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/TODO

Remove TODO items we have no plans to implement.

------------------------------------------------------------------------
r5151 | hammera | 2010-08-27 16:11:52 -0600 (Fri, 27 Aug 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/TODO

Add TODO item.

------------------------------------------------------------------------
r5150 | hammera | 2010-08-27 11:46:45 -0600 (Fri, 27 Aug 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/TODO

Add TODO item.

------------------------------------------------------------------------
r5149 | jcbowman | 2010-08-20 16:48:08 -0600 (Fri, 20 Aug 2010) | 1 line
Changed paths:
   M /trunk/asymptote/configure.ac

Increment version to 2.05svn.
------------------------------------------------------------------------
r5148 | jcbowman | 2010-08-20 00:26:35 -0600 (Fri, 20 Aug 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/asymptote.spec
   M /trunk/asymptote/picture.cc
   M /trunk/asymptote/texfile.cc

Fix jobname extraction.

------------------------------------------------------------------------
r5147 | jcbowman | 2010-08-20 00:25:24 -0600 (Fri, 20 Aug 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/embed.asy

Avoid hyperref/fp conflicts.

------------------------------------------------------------------------
r5146 | jcbowman | 2010-08-19 14:17:55 -0600 (Thu, 19 Aug 2010) | 1 line
Changed paths:
   M /trunk/asymptote/picture.cc

Work around MikTeX jobname bug.
------------------------------------------------------------------------
r5145 | jcbowman | 2010-08-19 09:42:38 -0600 (Thu, 19 Aug 2010) | 3 lines
Changed paths:
   M /trunk/asymptote/base/plain_strings.asy
   M /trunk/asymptote/base/three.asy
   M /trunk/asymptote/doc/asymptote.sty
   M /trunk/asymptote/picture.cc
   M /trunk/asymptote/texfile.cc

Use \jobname in generated TeX files in inlinetex mode (to allow renaming
of files).

------------------------------------------------------------------------
r5144 | jcbowman | 2010-08-17 07:14:43 -0600 (Tue, 17 Aug 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_strings.asy
   M /trunk/asymptote/base/three.asy
   M /trunk/asymptote/doc/latexusage.tex

Make asyprefix work with obsolete versions of graphicx package.

------------------------------------------------------------------------
r5143 | jcbowman | 2010-08-17 06:12:53 -0600 (Tue, 17 Aug 2010) | 1 line
Changed paths:
   M /trunk/asymptote/base/embed.asy

Suppress messages from FP package.
------------------------------------------------------------------------
r5142 | jcbowman | 2010-08-13 06:05:44 -0600 (Fri, 13 Aug 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three.asy

Fix documentation of render.merge=default.

------------------------------------------------------------------------
r5141 | jcbowman | 2010-08-13 06:04:46 -0600 (Fri, 13 Aug 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three_surface.asy

Do not fill subdivision cracks in transparent labels.

------------------------------------------------------------------------
r5140 | jcbowman | 2010-08-10 13:37:07 -0600 (Tue, 10 Aug 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_strings.asy

Revert r5139.

------------------------------------------------------------------------
r5139 | jcbowman | 2010-08-10 13:27:42 -0600 (Tue, 10 Aug 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_strings.asy
   M /trunk/asymptote/fftw++.h

Work around quoting problems with obsolete versions of graphicx.sty.

------------------------------------------------------------------------
r5138 | jcbowman | 2010-08-05 13:57:53 -0600 (Thu, 05 Aug 2010) | 1 line
Changed paths:
   M /trunk/asymptote/settings.cc

Fix man page.
------------------------------------------------------------------------
r5137 | jcbowman | 2010-08-05 03:23:38 -0600 (Thu, 05 Aug 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_constants.asy
   M /trunk/asymptote/doc/asymptote.texi

Add DOSendl and DOSnewl line xterminators.

------------------------------------------------------------------------
r5136 | jcbowman | 2010-08-04 14:56:21 -0600 (Wed, 04 Aug 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/fileio.cc

Handle MSDOS line terminators.

------------------------------------------------------------------------
r5135 | jcbowman | 2010-08-03 13:10:10 -0600 (Tue, 03 Aug 2010) | 1 line
Changed paths:
   M /trunk/asymptote/configure.ac

Increment version to 2.04svn.
------------------------------------------------------------------------
r5134 | jcbowman | 2010-08-03 06:14:46 -0600 (Tue, 03 Aug 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/runlabel.in

Fix blank 3D labels.

------------------------------------------------------------------------
r5133 | jcbowman | 2010-08-03 06:07:51 -0600 (Tue, 03 Aug 2010) | 2 lines
Changed paths:
   A /trunk/asymptote/examples/worldmap.asy

Add world map example, courtesy of Jens Schwaiger.

------------------------------------------------------------------------
r5132 | jcbowman | 2010-08-03 02:54:52 -0600 (Tue, 03 Aug 2010) | 3 lines
Changed paths:
   M /trunk/asymptote/base/three.asy
   M /trunk/asymptote/doc/asymptote.sty
   M /trunk/asymptote/doc/latexusage.tex
   M /trunk/asymptote/texfile.cc
   M /trunk/asymptote/texfile.h

Add latexusage \asydir support for putting asy files in a subdirectory
(within which one then runs asy latexusage-*.asy).

------------------------------------------------------------------------
r5131 | jcbowman | 2010-08-02 21:28:08 -0600 (Mon, 02 Aug 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_shipout.asy

Fix inlineimage option.

------------------------------------------------------------------------
r5130 | jcbowman | 2010-08-01 01:42:17 -0600 (Sun, 01 Aug 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/Makefile.in

Use $(MAKE) everywhere.

------------------------------------------------------------------------
r5129 | jcbowman | 2010-08-01 01:08:42 -0600 (Sun, 01 Aug 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/Makefile.in
   M /trunk/asymptote/doc/Makefile.in
   M /trunk/asymptote/doc/png/Makefile.in

Clean up auto-generated files.

------------------------------------------------------------------------
r5128 | jcbowman | 2010-07-29 06:26:17 -0600 (Thu, 29 Jul 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/flowchart.asy

Add missing pen and margin parameters to blockconnector function calls.

------------------------------------------------------------------------
r5127 | jcbowman | 2010-07-26 11:45:32 -0600 (Mon, 26 Jul 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_pens.asy

Improve definition of Dotted.

------------------------------------------------------------------------
r5126 | pivaldi | 2010-07-25 06:48:26 -0600 (Sun, 25 Jul 2010) | 1 line
Changed paths:
   M /trunk/asymptote/base/geometry.asy

Implement fix of Olivier
------------------------------------------------------------------------
r5125 | pivaldi | 2010-07-25 06:33:27 -0600 (Sun, 25 Jul 2010) | 1 line
Changed paths:
   M /trunk/asymptote/base/geometry.asy

Remove trailing code
------------------------------------------------------------------------
r5124 | pivaldi | 2010-07-25 05:41:48 -0600 (Sun, 25 Jul 2010) | 1 line
Changed paths:
   M /trunk/asymptote/base/geometry.asy

Fix casting degenerated ellipse to path
------------------------------------------------------------------------
r5123 | jcbowman | 2010-07-24 00:09:39 -0600 (Sat, 24 Jul 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_shipout.asy

Add missing arguments.

------------------------------------------------------------------------
r5122 | jcbowman | 2010-07-22 23:30:17 -0600 (Thu, 22 Jul 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.sty
   M /trunk/asymptote/doc/asymptote.texi

Fix typo in asymptote.sty.

------------------------------------------------------------------------
r5121 | jcbowman | 2010-07-22 11:32:23 -0600 (Thu, 22 Jul 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.sty
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/doc/latexusage.tex

Remove unwanted blank lines from asymptote.sty; support XeLaTeX again.

------------------------------------------------------------------------
r5120 | jcbowman | 2010-07-17 21:24:51 -0600 (Sat, 17 Jul 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_shipout.asy
   M /trunk/asymptote/base/three.asy

Support nonrendered preview images via render=0.

------------------------------------------------------------------------
r5119 | hammera | 2010-07-17 13:36:06 -0600 (Sat, 17 Jul 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/types.cc
   M /trunk/asymptote/virtualfieldaccess.cc
   M /trunk/asymptote/virtualfieldaccess.h

Optimize virtual methods.

------------------------------------------------------------------------
r5118 | jcbowman | 2010-07-15 14:36:44 -0600 (Thu, 15 Jul 2010) | 1 line
Changed paths:
   M /trunk/asymptote/doc/Makefile.in

Fix man page.
------------------------------------------------------------------------
r5117 | jcbowman | 2010-07-15 14:27:57 -0600 (Thu, 15 Jul 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi

Improve documentation.

------------------------------------------------------------------------
r5116 | jcbowman | 2010-07-13 13:40:55 -0600 (Tue, 13 Jul 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/doc/square.asy

Update documentation.

------------------------------------------------------------------------
r5115 | jcbowman | 2010-07-13 11:29:26 -0600 (Tue, 13 Jul 2010) | 1 line
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi

Update MSWindows documentation on setting environment variables.
------------------------------------------------------------------------
r5114 | jcbowman | 2010-07-13 11:24:33 -0600 (Tue, 13 Jul 2010) | 1 line
Changed paths:
   M /trunk/asymptote/asymptote.nsi

Automatically add Asymptote installation directory to MSWindows path.
------------------------------------------------------------------------
r5113 | pivaldi | 2010-07-12 16:23:41 -0600 (Mon, 12 Jul 2010) | 1 line
Changed paths:
   M /trunk/asymptote/base/geometry.asy

Fix directions with arcs in geometry.asy module
------------------------------------------------------------------------
r5112 | jcbowman | 2010-07-12 01:52:22 -0600 (Mon, 12 Jul 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/tests/Makefile

Add output test to make check-all.

------------------------------------------------------------------------
r5111 | jcbowman | 2010-07-12 01:11:22 -0600 (Mon, 12 Jul 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/asymptote.spec
   M /trunk/asymptote/doc/Makefile.in

Fix latexusage Makefile dependencies.

------------------------------------------------------------------------
r5110 | jcbowman | 2010-07-11 23:33:06 -0600 (Sun, 11 Jul 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/Makefile.in

Fix makefile dependency.

------------------------------------------------------------------------
r5109 | jcbowman | 2010-07-11 22:54:35 -0600 (Sun, 11 Jul 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/Makefile.in
   M /trunk/asymptote/doc/extra/intro.asy

Remove perl dependence from source tarball.

------------------------------------------------------------------------
r5108 | jcbowman | 2010-07-11 09:52:09 -0600 (Sun, 11 Jul 2010) | 1 line
Changed paths:
   M /trunk/asymptote/configure.ac

Increment version to 2.03svn.
------------------------------------------------------------------------
r5107 | jcbowman | 2010-07-11 01:42:54 -0600 (Sun, 11 Jul 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/latexmkrc

Quote file argument.

------------------------------------------------------------------------
r5106 | jcbowman | 2010-07-11 00:38:31 -0600 (Sun, 11 Jul 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/latexusage.tex

Fix typo.

------------------------------------------------------------------------
r5105 | hammera | 2010-07-10 16:33:22 -0600 (Sat, 10 Jul 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/errors

Changed extended for statement errors.

------------------------------------------------------------------------
r5104 | hammera | 2010-07-10 15:06:05 -0600 (Sat, 10 Jul 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/stm.cc

Better error reporting for extended for statement.

------------------------------------------------------------------------
r5103 | jcbowman | 2010-07-10 12:03:58 -0600 (Sat, 10 Jul 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/latexmkrc

Add latexmk custom dependency for EPS files.

------------------------------------------------------------------------
r5102 | jcbowman | 2010-07-10 10:52:15 -0600 (Sat, 10 Jul 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/Makefile.in
   M /trunk/asymptote/doc/Makefile.in
   M /trunk/asymptote/doc/asymptote.texi

Fix makefile dependency; clean up files.

------------------------------------------------------------------------
r5101 | jcbowman | 2010-07-10 02:19:57 -0600 (Sat, 10 Jul 2010) | 4 lines
Changed paths:
   M /trunk/asymptote/base/plain.asy
   M /trunk/asymptote/doc/extra/intro.asy
   D /trunk/asymptote/examples/slidemovies.asy

Fix asy() command.

Delete duplicate example.

------------------------------------------------------------------------
r5100 | jcbowman | 2010-07-10 01:17:53 -0600 (Sat, 10 Jul 2010) | 14 lines
Changed paths:
   M /trunk/asymptote/Makefile.in
   M /trunk/asymptote/doc/Makefile.in
   M /trunk/asymptote/doc/asymptote.sty
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/doc/externalprc.tex
   A /trunk/asymptote/doc/latexmkrc
   M /trunk/asymptote/doc/latexusage.tex
   M /trunk/asymptote/examples/animations/inlinemovie.tex
   M /trunk/asymptote/examples/animations/inlinemovie3.tex
   M /trunk/asymptote/picture.cc
   M /trunk/asymptote/runpicture.in
   M /trunk/asymptote/texfile.cc

Rename *_.pre preamble files to *.pre.

In inlinetex mode, rename *_.tex files to *.tex.

Allow the inline option to be specified for every figure.

Implement a global attach default option.

Do not generate a global latexusage.asy file along with the individual
latexusage-*.asy files (this is a backwards incompatible change).

Add latexmk support for compiling individually only those figures that have
changed.

------------------------------------------------------------------------
r5099 | jcbowman | 2010-07-09 08:41:10 -0600 (Fri, 09 Jul 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/examples/washermethod.asy

Fix example.

------------------------------------------------------------------------
r5098 | jcbowman | 2010-07-08 12:01:55 -0600 (Thu, 08 Jul 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/runlabel.in

Minor simplification.

------------------------------------------------------------------------
r5097 | jcbowman | 2010-07-08 11:56:43 -0600 (Thu, 08 Jul 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/psfile.h
   M /trunk/asymptote/runlabel.in

Simplify texpath.

------------------------------------------------------------------------
r5096 | jcbowman | 2010-07-08 10:54:27 -0600 (Thu, 08 Jul 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/psfile.h
   M /trunk/asymptote/runlabel.in

Fix multiple fraction bar bug.

------------------------------------------------------------------------
r5095 | jcbowman | 2010-07-08 10:46:59 -0600 (Thu, 08 Jul 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_Label.asy

Fix texpath("\relax").

------------------------------------------------------------------------
r5094 | jcbowman | 2010-07-07 09:54:38 -0600 (Wed, 07 Jul 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/prc/writePRC.cc
   M /trunk/asymptote/runmath.in

More portability fixes.

------------------------------------------------------------------------
r5093 | jcbowman | 2010-07-07 09:05:00 -0600 (Wed, 07 Jul 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/prc/writePRC.cc

Define __GNUC_PREREQ if undefined.

------------------------------------------------------------------------
r5092 | jcbowman | 2010-07-07 08:58:43 -0600 (Wed, 07 Jul 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/memory.h
   M /trunk/asymptote/prc/PRC.h
   M /trunk/asymptote/prc/PRCbitStream.h
   M /trunk/asymptote/prc/writePRC.cc
   M /trunk/asymptote/runmath.in

More portability fixes.

------------------------------------------------------------------------
r5091 | hammera | 2010-07-07 07:22:38 -0600 (Wed, 07 Jul 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/entry.cc

Re-implemented sanity checks in venv.

------------------------------------------------------------------------
r5090 | jcbowman | 2010-07-06 23:45:57 -0600 (Tue, 06 Jul 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/asymptote.spec
   A /trunk/asymptote/examples/cards.asy
   M /trunk/asymptote/item.h
   M /trunk/asymptote/path.cc
   M /trunk/asymptote/path.h
   M /trunk/asymptote/prc/PRC.h
   M /trunk/asymptote/prc/PRCbitStream.h

Fix warning messages/portability issues.

------------------------------------------------------------------------
r5089 | jcbowman | 2010-07-06 15:22:58 -0600 (Tue, 06 Jul 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_picture.asy

Remove obsolete infinite coordinates.

------------------------------------------------------------------------
r5088 | jcbowman | 2010-07-06 14:57:47 -0600 (Tue, 06 Jul 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/drawlabel.cc

Revert r4988 for frames.

------------------------------------------------------------------------
r5087 | jcbowman | 2010-07-06 11:57:08 -0600 (Tue, 06 Jul 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.sty
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/doc/latexusage.tex

Fix conflict between asymptote.sty and changebar package.

------------------------------------------------------------------------
r5086 | hammera | 2010-07-05 14:30:12 -0600 (Mon, 05 Jul 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/entry.cc
   M /trunk/asymptote/entry.h

Minimized the impact of the NOHASH directive.

------------------------------------------------------------------------
r5085 | hammera | 2010-07-05 13:56:17 -0600 (Mon, 05 Jul 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/entry.cc

Common sub-expression elimination.

------------------------------------------------------------------------
r5084 | hammera | 2010-07-05 13:53:15 -0600 (Mon, 05 Jul 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/entry.cc
   M /trunk/asymptote/entry.h

Removed 'key' class from venv.

------------------------------------------------------------------------
r5083 | hammera | 2010-07-05 13:35:19 -0600 (Mon, 05 Jul 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/entry.cc
   M /trunk/asymptote/entry.h

Removed dead code.

------------------------------------------------------------------------
r5082 | hammera | 2010-07-05 11:46:23 -0600 (Mon, 05 Jul 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/entry.cc
   M /trunk/asymptote/entry.h
   M /trunk/asymptote/record.h
   M /trunk/asymptote/symbol.cc
   M /trunk/asymptote/symbol.h
   M /trunk/asymptote/types.cc
   M /trunk/asymptote/types.h

Custom hash table in venv.

------------------------------------------------------------------------
r5081 | jcbowman | 2010-07-05 02:44:07 -0600 (Mon, 05 Jul 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/animation.asy

Support xelatex animations.

------------------------------------------------------------------------
r5080 | jcbowman | 2010-07-05 02:27:26 -0600 (Mon, 05 Jul 2010) | 1 line
Changed paths:
   M /trunk/asymptote/configure.ac

Increment version to 2.02svn.
------------------------------------------------------------------------
r5079 | jcbowman | 2010-07-05 01:23:04 -0600 (Mon, 05 Jul 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/png/Makefile.in

Remove invalid option.

------------------------------------------------------------------------
r5078 | jcbowman | 2010-07-05 01:12:29 -0600 (Mon, 05 Jul 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.sty
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/doc/latexusage.tex

Support individual processing of each figure within a LaTeX document.

------------------------------------------------------------------------
r5077 | jcbowman | 2010-07-05 01:03:52 -0600 (Mon, 05 Jul 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/extra/intro.asy
   A /trunk/asymptote/examples/quilt.asy

Update talk.

------------------------------------------------------------------------
r5076 | jcbowman | 2010-07-05 00:22:55 -0600 (Mon, 05 Jul 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/fontsize.asy
   M /trunk/asymptote/doc/asymptote.texi

Revert to type1cm.sty since fix-cm.sty does not work as advertised.

------------------------------------------------------------------------
r5075 | hammera | 2010-07-03 16:56:38 -0600 (Sat, 03 Jul 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi

For loop and var documentation.

------------------------------------------------------------------------
r5074 | hammera | 2010-07-03 16:52:23 -0600 (Sat, 03 Jul 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/errors
   M /trunk/asymptote/errortest.asy
   M /trunk/asymptote/stm.cc
   M /trunk/asymptote/tests/array/fields.asy

Allow var in extended for statement.

------------------------------------------------------------------------
r5073 | jcbowman | 2010-07-03 01:37:08 -0600 (Sat, 03 Jul 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain.asy

Delete old aux file.

------------------------------------------------------------------------
r5072 | jcbowman | 2010-07-03 01:32:58 -0600 (Sat, 03 Jul 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/texfile.cc

Use settings.outname().

------------------------------------------------------------------------
r5071 | hammera | 2010-07-01 17:05:34 -0600 (Thu, 01 Jul 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/Makefile.in

Enabled transConditionalJump.

------------------------------------------------------------------------
r5070 | hammera | 2010-07-01 17:04:30 -0600 (Thu, 01 Jul 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/TODO
   M /trunk/asymptote/application.cc
   M /trunk/asymptote/builtin.cc
   M /trunk/asymptote/builtin.h
   M /trunk/asymptote/coder.cc
   M /trunk/asymptote/coder.h
   M /trunk/asymptote/constructor.cc
   M /trunk/asymptote/dec.cc
   M /trunk/asymptote/entry.cc
   M /trunk/asymptote/entry.h
   M /trunk/asymptote/exp.cc
   M /trunk/asymptote/exp.h
   M /trunk/asymptote/fundec.cc
   M /trunk/asymptote/inst.h
   M /trunk/asymptote/process.cc
   M /trunk/asymptote/program.cc
   M /trunk/asymptote/program.h
   M /trunk/asymptote/record.cc
   M /trunk/asymptote/runarray.in
   M /trunk/asymptote/stack.cc
   M /trunk/asymptote/stm.cc

Slightly more optimized bytecode.

------------------------------------------------------------------------
r5069 | jcbowman | 2010-06-30 09:24:59 -0600 (Wed, 30 Jun 2010) | 1 line
Changed paths:
   M /trunk/asymptote/doc/extra/intro.asy
   M /trunk/asymptote/examples/arrows3.asy

Update example.
------------------------------------------------------------------------
r5068 | jcbowman | 2010-06-30 03:51:04 -0600 (Wed, 30 Jun 2010) | 1 line
Changed paths:
   M /trunk/asymptote/doc/extra/intro.asy
   M /trunk/asymptote/doc/extra/intro_.bbl

Update lecture.
------------------------------------------------------------------------
r5067 | jcbowman | 2010-06-30 02:50:12 -0600 (Wed, 30 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three.asy
   M /trunk/asymptote/examples/billboard.asy

Fix normal vector for perspective projections.

------------------------------------------------------------------------
r5066 | jcbowman | 2010-06-30 02:43:26 -0600 (Wed, 30 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/runlabel.in

Revert r5061.

------------------------------------------------------------------------
r5065 | jcbowman | 2010-06-30 02:20:14 -0600 (Wed, 30 Jun 2010) | 2 lines
Changed paths:
   A /trunk/asymptote/examples/mergeExample.asy
   A /trunk/asymptote/examples/partitionExample.asy

Add new examples.

------------------------------------------------------------------------
r5064 | jcbowman | 2010-06-29 23:55:45 -0600 (Tue, 29 Jun 2010) | 1 line
Changed paths:
   M /trunk/asymptote/Makefile.in
   M /trunk/asymptote/configure.ac

Revert docdir changes since they break rpmbuild.
------------------------------------------------------------------------
r5063 | jcbowman | 2010-06-29 23:39:30 -0600 (Tue, 29 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/Makefile.in
   M /trunk/asymptote/asymptote.spec
   M /trunk/asymptote/configure.ac

Fix docdir.

------------------------------------------------------------------------
r5062 | jcbowman | 2010-06-29 22:53:02 -0600 (Tue, 29 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/binarytree.asy
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/doc/extra/intro.asy

Use PenMargin in drawing a binarytree.

------------------------------------------------------------------------
r5061 | jcbowman | 2010-06-29 22:49:17 -0600 (Tue, 29 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/runlabel.in

Check for \r as well as \n terminator.

------------------------------------------------------------------------
r5060 | jcbowman | 2010-06-28 18:45:05 -0600 (Mon, 28 Jun 2010) | 1 line
Changed paths:
   M /trunk/asymptote/configure.ac

Support docdir.
------------------------------------------------------------------------
r5059 | jcbowman | 2010-06-28 08:44:34 -0600 (Mon, 28 Jun 2010) | 1 line
Changed paths:
   M /trunk/asymptote/examples/xstitch.asy

Improve example.
------------------------------------------------------------------------
r5058 | jcbowman | 2010-06-28 08:29:15 -0600 (Mon, 28 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/examples/basealign.asy

Improve example.

------------------------------------------------------------------------
r5057 | jcbowman | 2010-06-27 17:57:33 -0600 (Sun, 27 Jun 2010) | 3 lines
Changed paths:
   M /trunk/asymptote/runtime.in

Use values for BoolTruthValue and BoolFalseValue less likely confused with
another type.

------------------------------------------------------------------------
r5056 | jcbowman | 2010-06-27 16:46:03 -0600 (Sun, 27 Jun 2010) | 4 lines
Changed paths:
   M /trunk/asymptote/arrayop.h
   M /trunk/asymptote/item.h
   M /trunk/asymptote/runtime.in

Add quasi-type checking for bools.

Clear uninitialized item bits.

------------------------------------------------------------------------
r5055 | jcbowman | 2010-06-25 21:44:33 -0600 (Fri, 25 Jun 2010) | 1 line
Changed paths:
   M /trunk/asymptote/examples/workcone.asy

Update example.
------------------------------------------------------------------------
r5054 | jcbowman | 2010-06-25 16:29:44 -0600 (Fri, 25 Jun 2010) | 1 line
Changed paths:
   M /trunk/asymptote/configure.ac

Increment version to 2.01svn.
------------------------------------------------------------------------
r5053 | jcbowman | 2010-06-25 13:27:05 -0600 (Fri, 25 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/builtin.cc

Fix warning message.

------------------------------------------------------------------------
r5052 | jcbowman | 2010-06-25 12:57:35 -0600 (Fri, 25 Jun 2010) | 1 line
Changed paths:
   M /trunk/asymptote/util.h

Port to CYGWIN.
------------------------------------------------------------------------
r5051 | jcbowman | 2010-06-25 12:09:33 -0600 (Fri, 25 Jun 2010) | 2 lines
Changed paths:
   A /trunk/asymptote/examples/bars3.asy
   M /trunk/asymptote/examples/pipes.asy

Add 3D bar graph example.

------------------------------------------------------------------------
r5050 | jcbowman | 2010-06-25 11:49:46 -0600 (Fri, 25 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/examples/cones.asy
   M /trunk/asymptote/examples/cylinder.asy
   M /trunk/asymptote/examples/hyperboloid.asy
   A /trunk/asymptote/examples/pipes.asy
   M /trunk/asymptote/examples/projectrevolution.asy
   M /trunk/asymptote/examples/sacone3D.asy
   M /trunk/asymptote/examples/sacylinder3D.asy
   M /trunk/asymptote/examples/shellmethod.asy
   M /trunk/asymptote/examples/teapot.asy
   M /trunk/asymptote/examples/torus.asy
   M /trunk/asymptote/examples/workcone.asy

Update examples.

------------------------------------------------------------------------
r5049 | jcbowman | 2010-06-25 11:44:08 -0600 (Fri, 25 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three.asy

Fix viewportmargin.

------------------------------------------------------------------------
r5048 | jcbowman | 2010-06-25 11:14:09 -0600 (Fri, 25 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three.asy

Fix orthographic sizing.

------------------------------------------------------------------------
r5047 | jcbowman | 2010-06-25 02:32:04 -0600 (Fri, 25 Jun 2010) | 2 lines
Changed paths:
   D /trunk/asymptote/tests/gsl/gsl.asy
   A /trunk/asymptote/tests/gsl/random.asy (from /trunk/asymptote/tests/gsl/gsl.asy:5046)

Rename GSL test.

------------------------------------------------------------------------
r5046 | jcbowman | 2010-06-25 02:25:11 -0600 (Fri, 25 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/drawsurface.cc
   M /trunk/asymptote/prc/writePRC.cc

Fix displayed PRC units.

------------------------------------------------------------------------
r5045 | jcbowman | 2010-06-25 01:08:24 -0600 (Fri, 25 Jun 2010) | 1 line
Changed paths:
   M /trunk/asymptote/drawsurface.h

Remove unused array.
------------------------------------------------------------------------
r5044 | jcbowman | 2010-06-24 17:01:12 -0600 (Thu, 24 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three.asy

Fix drawing of 3D thick lines of length 0.

------------------------------------------------------------------------
r5043 | jcbowman | 2010-06-24 00:57:58 -0600 (Thu, 24 Jun 2010) | 6 lines
Changed paths:
   M /trunk/asymptote/arrayop.h
   M /trunk/asymptote/base/graph3.asy
   M /trunk/asymptote/base/math.asy
   M /trunk/asymptote/base/plain_Label.asy
   M /trunk/asymptote/base/plain_picture.asy
   M /trunk/asymptote/base/three.asy
   M /trunk/asymptote/base/three_surface.asy
   M /trunk/asymptote/builtin.cc
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/examples/splitpatch.asy
   M /trunk/asymptote/runarray.in
   M /trunk/asymptote/runlabel.in
   M /trunk/asymptote/settings.cc
   A /trunk/asymptote/tests/array/sort.asy

Make lexorder in math.asy a strict partial order.

Implement int search(T[] a, T key, bool less(T i, T j)).

Batch 3D TeX labels.

------------------------------------------------------------------------
r5042 | jcbowman | 2010-06-23 00:09:35 -0600 (Wed, 23 Jun 2010) | 1 line
Changed paths:
   M /trunk/asymptote/base/three_surface.asy

Remove unused code.
------------------------------------------------------------------------
r5041 | jcbowman | 2010-06-21 08:54:34 -0600 (Mon, 21 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/texfile.cc

Suppress plain TeX page numbers.

------------------------------------------------------------------------
r5040 | jcbowman | 2010-06-20 12:32:46 -0600 (Sun, 20 Jun 2010) | 1 line
Changed paths:
   M /trunk/asymptote/tests/gsl/gsl.asy

Disable nonportable GSL tests.
------------------------------------------------------------------------
r5039 | jcbowman | 2010-06-20 12:20:46 -0600 (Sun, 20 Jun 2010) | 1 line
Changed paths:
   M /trunk/asymptote/Makefile.in
   M /trunk/asymptote/tests/Makefile

Make gsl optional by moving it to make check-all.
------------------------------------------------------------------------
r5038 | jcbowman | 2010-06-20 11:54:27 -0600 (Sun, 20 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/Makefile.in
   M /trunk/asymptote/main.cc
   M /trunk/asymptote/tests/Makefile
   M /trunk/asymptote/tests/gsl/gsl.asy

More GSL portability fixes.

------------------------------------------------------------------------
r5037 | jcbowman | 2010-06-20 09:15:43 -0600 (Sun, 20 Jun 2010) | 4 lines
Changed paths:
   M /trunk/asymptote/Makefile.in
   M /trunk/asymptote/asymptote.spec
   M /trunk/asymptote/gsl.cc
   M /trunk/asymptote/tests/Makefile
   A /trunk/asymptote/tests/gsl
   A /trunk/asymptote/tests/gsl/gsl.asy

Fix GSL typos; add tests.

Restrict make check to a single processor.

------------------------------------------------------------------------
r5036 | jcbowman | 2010-06-19 22:25:10 -0600 (Sat, 19 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/common.h

Fix preprocessor conditional.

------------------------------------------------------------------------
r5035 | jcbowman | 2010-06-19 22:16:51 -0600 (Sat, 19 Jun 2010) | 1 line
Changed paths:
   M /trunk/asymptote/Makefile.in

Fix typo.
------------------------------------------------------------------------
r5034 | jcbowman | 2010-06-19 22:16:08 -0600 (Sat, 19 Jun 2010) | 4 lines
Changed paths:
   M /trunk/asymptote/Makefile.in
   M /trunk/asymptote/arrayop.h
   M /trunk/asymptote/builtin.cc
   M /trunk/asymptote/builtin.h
   A /trunk/asymptote/gsl.cc
   M /trunk/asymptote/runhistory.in
   M /trunk/asymptote/runtime.pl
   M /trunk/asymptote/runtimebase.in
   M /trunk/asymptote/types.cc

Move GSL functions to gsl.cc; implement Elmar's contributed GSL functions.

Invoke the C preprocessor in pretranslating symbols.

------------------------------------------------------------------------
r5033 | jcbowman | 2010-06-19 21:51:07 -0600 (Sat, 19 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/item.h

Add unsigned int constructors.

------------------------------------------------------------------------
r5032 | jcbowman | 2010-06-19 09:08:34 -0600 (Sat, 19 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/examples/condor.asy
   M /trunk/asymptote/glrender.cc

Update example.

------------------------------------------------------------------------
r5031 | jcbowman | 2010-06-18 02:44:57 -0600 (Fri, 18 Jun 2010) | 1 line
Changed paths:
   M /trunk/asymptote/asymptote.spec
   M /trunk/asymptote/configure.ac

Increment version to 2.00svn.
------------------------------------------------------------------------
r5030 | jcbowman | 2010-06-18 02:07:40 -0600 (Fri, 18 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/glrender.cc

Fix warning message.

------------------------------------------------------------------------
r5029 | jcbowman | 2010-06-18 01:01:53 -0600 (Fri, 18 Jun 2010) | 1 line
Changed paths:
   M /trunk/asymptote/tests/gc/pen.asy

Update test.
------------------------------------------------------------------------
r5028 | jcbowman | 2010-06-18 00:56:06 -0600 (Fri, 18 Jun 2010) | 1 line
Changed paths:
   M /trunk/asymptote/examples/xstitch.asy

Reduce example output.
------------------------------------------------------------------------
r5027 | jcbowman | 2010-06-18 00:43:38 -0600 (Fri, 18 Jun 2010) | 1 line
Changed paths:
   M /trunk/asymptote/base/bezulate.asy

Fix bug in bezulate containmentTree.
------------------------------------------------------------------------
r5026 | jcbowman | 2010-06-17 14:04:11 -0600 (Thu, 17 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/graph3.asy
   M /trunk/asymptote/base/three_surface.asy
   M /trunk/asymptote/base/three_tube.asy

Optimize parametric surface generation.

------------------------------------------------------------------------
r5025 | jcbowman | 2010-06-17 13:39:00 -0600 (Thu, 17 Jun 2010) | 1 line
Changed paths:
   M /trunk/asymptote/configure.ac

Remove --no-var-tracking for major g++ versions < 4.
------------------------------------------------------------------------
r5024 | jcbowman | 2010-06-16 18:11:49 -0600 (Wed, 16 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three.asy
   M /trunk/asymptote/examples/animations/torusanimation.asy

Fix perspective animations; update example.

------------------------------------------------------------------------
r5023 | hammera | 2010-06-16 17:08:10 -0600 (Wed, 16 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/entry.cc

Removed TODOs in venv that don't need doing.

------------------------------------------------------------------------
r5022 | hammera | 2010-06-16 17:03:56 -0600 (Wed, 16 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/entry.cc
   M /trunk/asymptote/entry.h

Removed value allocation in venv.

------------------------------------------------------------------------
r5021 | hammera | 2010-06-16 16:39:03 -0600 (Wed, 16 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/TODO
   M /trunk/asymptote/entry.cc
   M /trunk/asymptote/entry.h
   M /trunk/asymptote/env.cc
   M /trunk/asymptote/exp.h
   M /trunk/asymptote/types.h

Removed stack of hash tables from venv.

------------------------------------------------------------------------
r5020 | hammera | 2010-06-16 16:25:59 -0600 (Wed, 16 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/tests/types/resolve.asy

Added test based on previous bug.

------------------------------------------------------------------------
r5019 | hammera | 2010-06-16 16:23:05 -0600 (Wed, 16 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/knot.cc

Eliminated string copying in knot.cc.

------------------------------------------------------------------------
r5018 | hammera | 2010-06-16 16:21:11 -0600 (Wed, 16 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/exp.cc
   M /trunk/asymptote/exp.h

Fixed bug in equalityExp.

------------------------------------------------------------------------
r5017 | jcbowman | 2010-06-16 01:48:07 -0600 (Wed, 16 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/glrender.cc
   M /trunk/asymptote/settings.cc

Add settings.framedelay for working around OpenGL rendering buffer overflows.

------------------------------------------------------------------------
r5016 | hammera | 2010-06-15 11:37:52 -0600 (Tue, 15 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/entry.cc

Added a (crucial) semi-colon.

------------------------------------------------------------------------
r5015 | jcbowman | 2010-06-15 08:59:21 -0600 (Tue, 15 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/item.h

Simplify code.

------------------------------------------------------------------------
r5014 | jcbowman | 2010-06-15 08:56:55 -0600 (Tue, 15 Jun 2010) | 2 lines
Changed paths:
   A /trunk/asymptote/examples/xstitch.asy

Add example.

------------------------------------------------------------------------
r5013 | jcbowman | 2010-06-14 18:16:05 -0600 (Mon, 14 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/item.h

Fix segmentation fault.

------------------------------------------------------------------------
r5012 | hammera | 2010-06-14 17:10:17 -0600 (Mon, 14 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/entry.cc
   M /trunk/asymptote/entry.h

Avoid allocating in venv::key.

------------------------------------------------------------------------
r5011 | hammera | 2010-06-14 17:00:42 -0600 (Mon, 14 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/TODO
   M /trunk/asymptote/application.cc
   M /trunk/asymptote/camp.l
   M /trunk/asymptote/env.cc
   M /trunk/asymptote/env.h
   M /trunk/asymptote/exp.cc
   M /trunk/asymptote/types.cc

More optimizations.

------------------------------------------------------------------------
r5010 | jcbowman | 2010-06-14 03:43:38 -0600 (Mon, 14 Jun 2010) | 1 line
Changed paths:
   M /trunk/asymptote/asymptote.spec
   M /trunk/asymptote/configure.ac

Increment version to 1.99svn.
------------------------------------------------------------------------
r5009 | jcbowman | 2010-06-14 02:39:57 -0600 (Mon, 14 Jun 2010) | 6 lines
Changed paths:
   M /trunk/asymptote/array.cc
   M /trunk/asymptote/array.h
   M /trunk/asymptote/builtin.cc
   M /trunk/asymptote/common.h
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/item.h
   M /trunk/asymptote/program.cc
   M /trunk/asymptote/runarray.in
   M /trunk/asymptote/runsystem.in
   M /trunk/asymptote/runtime.in

On C99-compliant machines with 64 bit integers, use compact items for
the virtual machine, relying on Asymptote's internal type checking (compile
with -DCOMPACT=0 to re-enable the type_info data field). This change required
restricting T[] array(int n, T value, int depth=intMax) to 0, 1, or 2
dimensional arrays.

------------------------------------------------------------------------
r5008 | jcbowman | 2010-06-14 00:43:24 -0600 (Mon, 14 Jun 2010) | 1 line
Changed paths:
   M /trunk/asymptote/base/plain_constants.asy
   M /trunk/asymptote/path.cc

Fix definition of undefined.
------------------------------------------------------------------------
r5007 | jcbowman | 2010-06-13 16:47:27 -0600 (Sun, 13 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three.asy
   M /trunk/asymptote/base/three_tube.asy

Rename tube to pipe.

------------------------------------------------------------------------
r5006 | jcbowman | 2010-06-13 16:11:19 -0600 (Sun, 13 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/runlabel.in

Work around bug in gs 8.71: discard noncyclic stokepaths.

------------------------------------------------------------------------
r5005 | hammera | 2010-06-13 10:56:15 -0600 (Sun, 13 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/application.cc
   M /trunk/asymptote/application.h

Half-exact function matching.

------------------------------------------------------------------------
r5004 | hammera | 2010-06-13 10:55:44 -0600 (Sun, 13 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/Makefile.in
   M /trunk/asymptote/base/three_tube.asy
   M /trunk/asymptote/builtin.cc
   M /trunk/asymptote/camp.y
   M /trunk/asymptote/exp.cc
   M /trunk/asymptote/exp.h
   M /trunk/asymptote/tests/types/constructor.asy
   M /trunk/asymptote/tests/types/resolve.asy

Handle function equality specially.

------------------------------------------------------------------------
r5003 | jcbowman | 2010-06-13 10:03:39 -0600 (Sun, 13 Jun 2010) | 1 line
Changed paths:
   M /trunk/asymptote/examples/sinc.asy

Improve example.
------------------------------------------------------------------------
r5002 | jcbowman | 2010-06-13 09:24:04 -0600 (Sun, 13 Jun 2010) | 1 line
Changed paths:
   M /trunk/asymptote/asymptote.nsi
   M /trunk/asymptote/patches/fixmem.reg

Make heap_chunk_in_mb a multiple of 256MB.
------------------------------------------------------------------------
r5001 | jcbowman | 2010-06-12 12:14:19 -0600 (Sat, 12 Jun 2010) | 1 line
Changed paths:
   M /trunk/asymptote/memory.h

Revert -r4971:4973.
------------------------------------------------------------------------
r5000 | hammera | 2010-06-12 12:06:29 -0600 (Sat, 12 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/Makefile.in
   M /trunk/asymptote/TODO
   M /trunk/asymptote/application.cc
   M /trunk/asymptote/application.h
   M /trunk/asymptote/builtin.cc
   M /trunk/asymptote/drawpath.cc
   M /trunk/asymptote/entry.cc
   M /trunk/asymptote/entry.h
   M /trunk/asymptote/env.cc
   M /trunk/asymptote/env.h
   M /trunk/asymptote/exp.cc
   M /trunk/asymptote/exp.h
   M /trunk/asymptote/name.cc
   M /trunk/asymptote/record.cc
   M /trunk/asymptote/tests/types/resolve.asy
   M /trunk/asymptote/types.h

Overloading resolution optimizations.

------------------------------------------------------------------------
r4999 | jcbowman | 2010-06-12 01:24:50 -0600 (Sat, 12 Jun 2010) | 1 line
Changed paths:
   M /trunk/asymptote/examples/basealign.asy

Improve example.
------------------------------------------------------------------------
r4998 | jcbowman | 2010-06-12 01:15:54 -0600 (Sat, 12 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_Label.asy
   M /trunk/asymptote/drawlabel.cc
   M /trunk/asymptote/transform.h

Align labels with rotational instead of shiftless part of transform.

------------------------------------------------------------------------
r4997 | jcbowman | 2010-06-12 01:14:29 -0600 (Sat, 12 Jun 2010) | 1 line
Changed paths:
   M /trunk/asymptote/examples/xxsq01y.asy

Update example.
------------------------------------------------------------------------
r4996 | jcbowman | 2010-06-11 23:47:28 -0600 (Fri, 11 Jun 2010) | 1 line
Changed paths:
   M /trunk/asymptote/examples/xxsq01.asy

Fix example.
------------------------------------------------------------------------
r4995 | jcbowman | 2010-06-11 23:46:51 -0600 (Fri, 11 Jun 2010) | 1 line
Changed paths:
   M /trunk/asymptote/configure.ac

Increment version to 1.98svn.
------------------------------------------------------------------------
r4994 | jcbowman | 2010-06-11 22:19:24 -0600 (Fri, 11 Jun 2010) | 1 line
Changed paths:
   M /trunk/asymptote/prc/test.cc
   M /trunk/asymptote/prc/writePRC.h

Replace M_PI by pi for portability.
------------------------------------------------------------------------
r4993 | jcbowman | 2010-06-11 21:47:41 -0600 (Fri, 11 Jun 2010) | 1 line
Changed paths:
   M /trunk/asymptote/runarray.in

Fix warning message.
------------------------------------------------------------------------
r4992 | jcbowman | 2010-06-11 21:27:14 -0600 (Fri, 11 Jun 2010) | 1 line
Changed paths:
   M /trunk/asymptote/configure.ac

Fix typo.
------------------------------------------------------------------------
r4991 | jcbowman | 2010-06-11 17:26:38 -0600 (Fri, 11 Jun 2010) | 4 lines
Changed paths:
   M /trunk/asymptote/asymptote.spec
   M /trunk/asymptote/configure.ac
   M /trunk/asymptote/prc/oPRCFile.cc
   M /trunk/asymptote/prc/writePRC.h

Remove tr1 includes.

Improve local gc detection.

------------------------------------------------------------------------
r4990 | jcbowman | 2010-06-11 14:59:59 -0600 (Fri, 11 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/prc/writePRC.cc

Rename log2 to Log2.

------------------------------------------------------------------------
r4989 | jcbowman | 2010-06-11 14:54:47 -0600 (Fri, 11 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/GaussianSurface.asy
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/examples/BezierPatch.asy
   M /trunk/asymptote/examples/Klein.asy
   M /trunk/asymptote/examples/RiemannSurface.asy
   M /trunk/asymptote/examples/RiemannSurfaceRoot.asy
   M /trunk/asymptote/examples/SierpinskiGasket.asy
   M /trunk/asymptote/examples/SierpinskiSponge.asy
   M /trunk/asymptote/examples/cheese.asy
   M /trunk/asymptote/examples/cyclohexane.asy
   M /trunk/asymptote/examples/elevation.asy
   M /trunk/asymptote/examples/epix.asy
   M /trunk/asymptote/examples/equilchord.asy
   M /trunk/asymptote/examples/extrudedcontour.asy
   M /trunk/asymptote/examples/filesurface.asy
   M /trunk/asymptote/examples/magnetic.asy
   M /trunk/asymptote/examples/p-orbital.asy
   M /trunk/asymptote/examples/parametricelevation.asy
   M /trunk/asymptote/examples/parametricsurface.asy
   M /trunk/asymptote/examples/pipeintersection.asy
   M /trunk/asymptote/examples/roll.asy
   M /trunk/asymptote/examples/shellsqrtx01.asy
   M /trunk/asymptote/examples/slidedemo.asy
   M /trunk/asymptote/examples/soccerball.asy
   M /trunk/asymptote/examples/sphere.asy
   M /trunk/asymptote/examples/sphericalharmonic.asy
   M /trunk/asymptote/examples/spiral3.asy
   M /trunk/asymptote/examples/splitpatch.asy
   M /trunk/asymptote/examples/sqrtx01.asy
   M /trunk/asymptote/examples/sqrtx01y1.asy
   M /trunk/asymptote/examples/stroke3.asy
   M /trunk/asymptote/examples/threeviews.asy
   M /trunk/asymptote/examples/torus.asy
   M /trunk/asymptote/examples/trefoilknot.asy
   M /trunk/asymptote/examples/trumpet.asy
   M /trunk/asymptote/examples/truncatedIcosahedron.asy
   M /trunk/asymptote/examples/twistedtubes.asy
   M /trunk/asymptote/examples/vectorfieldsphere.asy
   M /trunk/asymptote/examples/washer.asy
   M /trunk/asymptote/examples/washermethod.asy
   M /trunk/asymptote/examples/wedge.asy
   M /trunk/asymptote/examples/xxsq01.asy
   M /trunk/asymptote/examples/xxsq01x-1.asy

Update examples to use merge=true for surfaces.

------------------------------------------------------------------------
r4988 | jcbowman | 2010-06-11 14:53:22 -0600 (Fri, 11 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/item.h

Remove unused preprocessor conditionals.

------------------------------------------------------------------------
r4987 | jcbowman | 2010-06-11 11:51:54 -0600 (Fri, 11 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/prc/oPRCFile.h
   M /trunk/asymptote/prc/writePRC.h

Fix more memory leaks.

------------------------------------------------------------------------
r4986 | jcbowman | 2010-06-11 02:15:51 -0600 (Fri, 11 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/prc/oPRCFile.h
   M /trunk/asymptote/prc/writePRC.h

Fix more memory leaks.

------------------------------------------------------------------------
r4985 | jcbowman | 2010-06-11 01:48:05 -0600 (Fri, 11 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/prc/oPRCFile.h

Fix PRC memory leak.

------------------------------------------------------------------------
r4984 | jcbowman | 2010-06-10 17:09:05 -0600 (Thu, 10 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/prc/PRCbitStream.cc
   M /trunk/asymptote/prc/oPRCFile.cc
   M /trunk/asymptote/prc/oPRCFile.h
   M /trunk/asymptote/prc/test.cc
   M /trunk/asymptote/prc/writePRC.cc
   M /trunk/asymptote/prc/writePRC.h

Remove tr1 (gcc-4.3) dependence, courtesy of Michail.

------------------------------------------------------------------------
r4983 | jcbowman | 2010-06-10 10:24:59 -0600 (Thu, 10 Jun 2010) | 4 lines
Changed paths:
   M /trunk/asymptote/base/three.asy
   M /trunk/asymptote/base/three_surface.asy
   M /trunk/asymptote/drawpath3.cc
   M /trunk/asymptote/examples/cos3.asy
   M /trunk/asymptote/examples/exp3.asy
   M /trunk/asymptote/examples/gamma3.asy
   M /trunk/asymptote/examples/sin3.asy
   M /trunk/asymptote/glrender.cc

Add option (default true) to fill subdivision cracks in unlighted labels.

Update examples.

------------------------------------------------------------------------
r4982 | jcbowman | 2010-06-10 09:28:59 -0600 (Thu, 10 Jun 2010) | 1 line
Changed paths:
   M /trunk/asymptote/patches/README
   A /trunk/asymptote/patches/fixmem.reg

Add patch to fix MSWindows memory limit.
------------------------------------------------------------------------
r4981 | jcbowman | 2010-06-10 09:24:16 -0600 (Thu, 10 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/camp.l

Add missing include.

------------------------------------------------------------------------
r4980 | jcbowman | 2010-06-09 23:08:24 -0600 (Wed, 09 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/exp.h

Fix typename of symbol.

------------------------------------------------------------------------
r4979 | jcbowman | 2010-06-09 22:00:22 -0600 (Wed, 09 Jun 2010) | 4 lines
Changed paths:
   M /trunk/asymptote/drawelement.h
   M /trunk/asymptote/drawpath3.cc
   M /trunk/asymptote/drawpath3.h
   M /trunk/asymptote/drawsurface.cc
   M /trunk/asymptote/drawsurface.h
   M /trunk/asymptote/glrender.cc
   M /trunk/asymptote/glrender.h
   M /trunk/asymptote/runpicture.in

Add billboard support for Bezier curves.

Fix OpenGL zoom flicker.

------------------------------------------------------------------------
r4978 | jcbowman | 2010-06-09 21:01:46 -0600 (Wed, 09 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/asymptote.nsi

Update location of heap_chunk_in_mb in Windows registry.

------------------------------------------------------------------------
r4977 | jcbowman | 2010-06-09 16:25:20 -0600 (Wed, 09 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/prc/PRC.h
   M /trunk/asymptote/prc/writePRC.cc
   M /trunk/asymptote/runmath.in

Use a portable integer log2 function.

------------------------------------------------------------------------
r4976 | jcbowman | 2010-06-09 16:22:08 -0600 (Wed, 09 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/interact.cc

Work around missing readline include.

------------------------------------------------------------------------
r4975 | hammera | 2010-06-09 11:39:07 -0600 (Wed, 09 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/camp.l

Don't print non-printable characters.

------------------------------------------------------------------------
r4974 | jcbowman | 2010-06-09 11:02:20 -0600 (Wed, 09 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/drawsurface.cc
   M /trunk/asymptote/drawsurface.h

Fix offscreen detection (broken in r4627).

------------------------------------------------------------------------
r4973 | jcbowman | 2010-06-09 08:57:03 -0600 (Wed, 09 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/memory.h

Fix __GNU_PREREQ.

------------------------------------------------------------------------
r4972 | jcbowman | 2010-06-08 21:38:12 -0600 (Tue, 08 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/memory.h

Require tr1/unordered_map on systems without __GNUC_PREREQ.

------------------------------------------------------------------------
r4971 | jcbowman | 2010-06-08 21:26:55 -0600 (Tue, 08 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/configure.ac

Support older g++ compilers.

------------------------------------------------------------------------
r4970 | jcbowman | 2010-06-08 14:50:38 -0600 (Tue, 08 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/configure.ac

Avoid g++ informational message and speed up compilation.

------------------------------------------------------------------------
r4969 | hammera | 2010-06-08 11:39:49 -0600 (Tue, 08 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/TODO
   M /trunk/asymptote/application.cc
   M /trunk/asymptote/application.h
   M /trunk/asymptote/builtin.cc
   M /trunk/asymptote/builtin.h
   M /trunk/asymptote/camp.l
   M /trunk/asymptote/camp.y
   M /trunk/asymptote/coder.cc
   M /trunk/asymptote/coder.h
   M /trunk/asymptote/constructor.cc
   M /trunk/asymptote/dec.cc
   M /trunk/asymptote/dec.h
   M /trunk/asymptote/entry.cc
   M /trunk/asymptote/entry.h
   M /trunk/asymptote/env.cc
   M /trunk/asymptote/env.h
   M /trunk/asymptote/envcompleter.cc
   M /trunk/asymptote/errors
   M /trunk/asymptote/exp.cc
   M /trunk/asymptote/exp.h
   M /trunk/asymptote/findsym.pl
   M /trunk/asymptote/fundec.cc
   M /trunk/asymptote/fundec.h
   M /trunk/asymptote/genv.cc
   M /trunk/asymptote/genv.h
   M /trunk/asymptote/name.cc
   M /trunk/asymptote/name.h
   M /trunk/asymptote/opsymbols.pl
   M /trunk/asymptote/record.cc
   M /trunk/asymptote/record.h
   M /trunk/asymptote/runtime.in
   M /trunk/asymptote/stm.cc
   M /trunk/asymptote/stm.h
   M /trunk/asymptote/symbol.cc
   M /trunk/asymptote/symbol.h
   M /trunk/asymptote/table.h
   M /trunk/asymptote/tests/arith/integer.asy
   M /trunk/asymptote/types.cc
   M /trunk/asymptote/types.h

Replaced symbol table with custom hash table.

------------------------------------------------------------------------
r4968 | jcbowman | 2010-06-07 11:29:30 -0600 (Mon, 07 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi

Emphasize that version 9.0 of Adobe Reader is now required.

------------------------------------------------------------------------
r4967 | jcbowman | 2010-06-07 10:05:16 -0600 (Mon, 07 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/graph3.asy
   M /trunk/asymptote/base/three.asy
   M /trunk/asymptote/examples/vectorfieldsphere.asy

Update grouping.

------------------------------------------------------------------------
r4966 | jcbowman | 2010-06-07 07:55:14 -0600 (Mon, 07 Jun 2010) | 3 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi

Acknowledge contributions of Michail Vidiassov (coauthor with Orest Shardt of
current PRC driver).

------------------------------------------------------------------------
r4965 | jcbowman | 2010-06-06 09:58:38 -0600 (Sun, 06 Jun 2010) | 1 line
Changed paths:
   M /trunk/asymptote/asymptote.spec
   M /trunk/asymptote/configure.ac

Increment version to 1.97svn.
------------------------------------------------------------------------
r4964 | jcbowman | 2010-06-06 08:19:42 -0600 (Sun, 06 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/algebra3.cc
   M /trunk/asymptote/algebra3.h
   M /trunk/asymptote/fftw++.cc
   M /trunk/asymptote/fftw++.h
   M /trunk/asymptote/glrender.cc
   M /trunk/asymptote/prc/oPRCFile.cc
   M /trunk/asymptote/prc/writePRC.h
   M /trunk/asymptote/quaternion.cc
   M /trunk/asymptote/tr.cc

Remove M_PI.

------------------------------------------------------------------------
r4963 | jcbowman | 2010-06-06 07:40:50 -0600 (Sun, 06 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three.asy
   M /trunk/asymptote/examples/100d.views
   M /trunk/asymptote/examples/BezierSurface.asy
   M /trunk/asymptote/examples/pdb.asy

Update viewpoint, views, and examples.

------------------------------------------------------------------------
r4962 | jcbowman | 2010-06-05 19:23:09 -0600 (Sat, 05 Jun 2010) | 1 line
Changed paths:
   M /trunk/asymptote/configure.ac

Increment version to 1.96svn.
------------------------------------------------------------------------
r4961 | jcbowman | 2010-06-05 17:20:23 -0600 (Sat, 05 Jun 2010) | 1 line
Changed paths:
   M /trunk/asymptote/algebra3.h
   M /trunk/asymptote/prc/writePRC.h
   M /trunk/asymptote/tr.cc

Define M_PI.
------------------------------------------------------------------------
r4960 | jcbowman | 2010-06-05 11:20:07 -0600 (Sat, 05 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/bezulate.asy
   M /trunk/asymptote/base/embed.asy
   M /trunk/asymptote/base/geometry.asy
   M /trunk/asymptote/base/graph3.asy
   M /trunk/asymptote/base/labelpath3.asy
   M /trunk/asymptote/base/lmfit.asy
   M /trunk/asymptote/base/plain_arrows.asy
   M /trunk/asymptote/base/three.asy
   M /trunk/asymptote/base/three_surface.asy
   M /trunk/asymptote/base/three_tube.asy
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/fftw++.h

Reformat.

------------------------------------------------------------------------
r4959 | jcbowman | 2010-06-05 10:25:26 -0600 (Sat, 05 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/graph3.asy
   M /trunk/asymptote/base/solids.asy
   M /trunk/asymptote/base/three.asy
   M /trunk/asymptote/base/three_surface.asy
   M /trunk/asymptote/base/three_tube.asy
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/doc/latexusage.tex
   M /trunk/asymptote/drawsurface.h
   M /trunk/asymptote/examples/NURBSsphere.asy
   M /trunk/asymptote/examples/sphere.asy
   M /trunk/asymptote/runpicture.in

Improve interace to render options.

------------------------------------------------------------------------
r4958 | jcbowman | 2010-06-05 02:12:43 -0600 (Sat, 05 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three.asy
   M /trunk/asymptote/base/three_tube.asy

Remove tubesectors; simplify tube construction.

------------------------------------------------------------------------
r4957 | jcbowman | 2010-06-05 01:46:06 -0600 (Sat, 05 Jun 2010) | 10 lines
Changed paths:
   M /trunk/asymptote/base/graph3.asy
   M /trunk/asymptote/base/solids.asy
   M /trunk/asymptote/base/three.asy
   M /trunk/asymptote/base/three_surface.asy
   M /trunk/asymptote/base/three_tube.asy
   M /trunk/asymptote/drawgroup.h
   M /trunk/asymptote/drawsurface.cc
   M /trunk/asymptote/examples/pipeintersection.asy
   M /trunk/asymptote/runpicture.in

Implement render structure containing PRC rendering parameters.

Use begingroup3/endgroup3 consistently for both 3D pictures and frames,
respective default rendering parameters.

Add render(merge=true) to pipeintersection.asy to improve rendering speed.

Improve PRC line capping. Use spheres for curved joints and roundcap.
Use a higher resolution disk for squarecap/extendcap.

------------------------------------------------------------------------
r4956 | jcbowman | 2010-06-04 21:41:47 -0600 (Fri, 04 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/glrender.cc

Fix zoom.

------------------------------------------------------------------------
r4955 | jcbowman | 2010-06-04 16:46:49 -0600 (Fri, 04 Jun 2010) | 1 line
Changed paths:
   M /trunk/asymptote/base/three.asy
   M /trunk/asymptote/base/three_surface.asy
   M /trunk/asymptote/drawgroup.h
   M /trunk/asymptote/examples/pipeintersection.asy
   M /trunk/asymptote/prc/oPRCFile.cc
   M /trunk/asymptote/prc/oPRCFile.h
   M /trunk/asymptote/prc/writePRC.cc
   M /trunk/asymptote/prc/writePRC.h
   M /trunk/asymptote/runpicture.in

Expose granularity.
------------------------------------------------------------------------
r4954 | jcbowman | 2010-06-04 14:53:45 -0600 (Fri, 04 Jun 2010) | 1 line
Changed paths:
   M /trunk/asymptote/base/three_arrows.asy

Remove linesectors.
------------------------------------------------------------------------
r4953 | jcbowman | 2010-06-04 14:52:15 -0600 (Fri, 04 Jun 2010) | 4 lines
Changed paths:
   M /trunk/asymptote/base/three.asy
   M /trunk/asymptote/base/three_tube.asy

Implement Circular spline type corresponding to Bezier unitcircle approximation.

Rename linesectors to tubesectors and change default value to 4.

------------------------------------------------------------------------
r4952 | jcbowman | 2010-06-04 12:58:16 -0600 (Fri, 04 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/graph3.asy
   M /trunk/asymptote/base/three.asy
   M /trunk/asymptote/base/three_surface.asy
   M /trunk/asymptote/base/three_tube.asy

Optimize tube spline routines.

------------------------------------------------------------------------
r4951 | jcbowman | 2010-06-04 01:35:59 -0600 (Fri, 04 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/graph3.asy
   M /trunk/asymptote/base/math.asy
   M /trunk/asymptote/base/solids.asy
   M /trunk/asymptote/base/three.asy
   M /trunk/asymptote/base/three_surface.asy
   M /trunk/asymptote/drawelement.h
   M /trunk/asymptote/drawgroup.h
   M /trunk/asymptote/drawpath3.cc
   M /trunk/asymptote/drawpath3.h
   M /trunk/asymptote/drawsurface.cc
   M /trunk/asymptote/drawsurface.h
   M /trunk/asymptote/picture.cc
   M /trunk/asymptote/picture.h

Improve group naming.

------------------------------------------------------------------------
r4950 | hammera | 2010-06-02 19:51:22 -0600 (Wed, 02 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/Makefile.in
   M /trunk/asymptote/builtin.cc
   A /trunk/asymptote/findsym.pl
   M /trunk/asymptote/opsymbols.pl
   M /trunk/asymptote/runtime.pl
   M /trunk/asymptote/symbol.cc
   M /trunk/asymptote/types.cc

Added pre-translation of runtime symbols.

------------------------------------------------------------------------
r4949 | hammera | 2010-06-02 15:53:23 -0600 (Wed, 02 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/Makefile.in
   M /trunk/asymptote/runtime.pl
   M /trunk/asymptote/runtimebase.in

Use pre-translated operator symbols in runtime files.

------------------------------------------------------------------------
r4948 | hammera | 2010-06-02 15:38:52 -0600 (Wed, 02 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/builtin.cc

Use pre-translated operator symbols in builtin.cc.

------------------------------------------------------------------------
r4947 | hammera | 2010-06-02 15:35:23 -0600 (Wed, 02 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi

Added var documentation.

------------------------------------------------------------------------
r4946 | hammera | 2010-06-02 15:25:28 -0600 (Wed, 02 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/Makefile.in
   M /trunk/asymptote/TODO
   M /trunk/asymptote/builtin.cc
   M /trunk/asymptote/builtin.h
   M /trunk/asymptote/camp.l
   A /trunk/asymptote/opsymbols.pl
   M /trunk/asymptote/runtime.pl
   M /trunk/asymptote/symbol.cc
   M /trunk/asymptote/symbol.h
   M /trunk/asymptote/types.cc
   M /trunk/asymptote/types.h

Pre-translate operator symbols.

------------------------------------------------------------------------
r4945 | hammera | 2010-06-02 15:23:49 -0600 (Wed, 02 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/errors

Update errors for ambiguous cast to error.

------------------------------------------------------------------------
r4944 | hammera | 2010-06-02 15:09:17 -0600 (Wed, 02 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/application.cc
   M /trunk/asymptote/entry.cc
   M /trunk/asymptote/entry.h
   M /trunk/asymptote/env.h
   M /trunk/asymptote/exp.cc
   M /trunk/asymptote/exp.h
   M /trunk/asymptote/fundec.cc
   M /trunk/asymptote/name.cc
   M /trunk/asymptote/name.h
   M /trunk/asymptote/newexp.cc
   M /trunk/asymptote/newexp.h

Added a (disabled) experimental function resolution optimization.

------------------------------------------------------------------------
r4943 | jcbowman | 2010-06-02 13:48:16 -0600 (Wed, 02 Jun 2010) | 6 lines
Changed paths:
   M /trunk/asymptote/base/three.asy
   M /trunk/asymptote/base/three_tube.asy
   M /trunk/asymptote/doc/join3.asy
   M /trunk/asymptote/drawsurface.cc

Improve 3D line capping.

Improve tube center calculation.

Remove PRCtube setting.

------------------------------------------------------------------------
r4942 | jcbowman | 2010-06-02 09:59:36 -0600 (Wed, 02 Jun 2010) | 5 lines
Changed paths:
   M /trunk/asymptote/base/three.asy
   M /trunk/asymptote/base/three_tube.asy

Use half sphere for PRC tube connectors.

Revert to NURBSsphere again now that the rendering problems have been fixed
(by using a nonzero granularity).

------------------------------------------------------------------------
r4941 | jcbowman | 2010-06-02 02:51:24 -0600 (Wed, 02 Jun 2010) | 1 line
Changed paths:
   M /trunk/asymptote/runpicture.in

Complete last revision.
------------------------------------------------------------------------
r4940 | jcbowman | 2010-06-02 02:45:37 -0600 (Wed, 02 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three.asy
   M /trunk/asymptote/drawgroup.h
   M /trunk/asymptote/prc/oPRCFile.h
   M /trunk/asymptote/runpicture.in

Expose PRCoptions via begingroup.

------------------------------------------------------------------------
r4939 | jcbowman | 2010-06-02 01:39:39 -0600 (Wed, 02 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/prc/writePRC.cc

Reduce PDF loading time without sacrificing quality by setting granularity=1.0.

------------------------------------------------------------------------
r4938 | jcbowman | 2010-06-02 01:38:18 -0600 (Wed, 02 Jun 2010) | 10 lines
Changed paths:
   M /trunk/asymptote/base/three.asy
   M /trunk/asymptote/base/three_surface.asy
   M /trunk/asymptote/base/three_tube.asy
   M /trunk/asymptote/drawpath3.cc
   M /trunk/asymptote/drawpath3.h
   M /trunk/asymptote/drawsurface.cc
   M /trunk/asymptote/drawsurface.h
   M /trunk/asymptote/runpicture.in

Make PRCsphere the default until numerical transform issues with NURBSsphere
are resolved.

Add half=false option to PRCsphere.

Implement PRCcylinder, PRCdisk, and PRCtube primitives.

Use PRC primitives for drawing thick lines. PRC tubes (which may contain
cracks) are drawn for curved lines only if PRCtube=true (the default).

------------------------------------------------------------------------
r4937 | jcbowman | 2010-06-01 14:12:34 -0600 (Tue, 01 Jun 2010) | 1 line
Changed paths:
   M /trunk/asymptote/errors

Update errors.
------------------------------------------------------------------------
r4936 | jcbowman | 2010-06-01 14:04:40 -0600 (Tue, 01 Jun 2010) | 1 line
Changed paths:
   M /trunk/asymptote/prc/oPRCFile.cc

Simplify code.
------------------------------------------------------------------------
r4935 | hammera | 2010-06-01 11:39:32 -0600 (Tue, 01 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/tests/types/resolve.asy

Added more overloading resolution tests.

------------------------------------------------------------------------
r4934 | hammera | 2010-06-01 11:30:59 -0600 (Tue, 01 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/dec.cc
   M /trunk/asymptote/errors
   M /trunk/asymptote/errortest.asy
   M /trunk/asymptote/primitives.h
   A /trunk/asymptote/tests/types/var.asy

Added experimental inferred variable types.

------------------------------------------------------------------------
r4933 | jcbowman | 2010-06-01 01:59:35 -0600 (Tue, 01 Jun 2010) | 4 lines
Changed paths:
   M /trunk/asymptote/base/three.asy
   M /trunk/asymptote/base/three_light.asy
   M /trunk/asymptote/base/three_surface.asy
   M /trunk/asymptote/drawelement.h
   M /trunk/asymptote/drawgroup.h
   M /trunk/asymptote/drawpath3.cc
   M /trunk/asymptote/drawpath3.h
   M /trunk/asymptote/drawsurface.cc
   M /trunk/asymptote/drawsurface.h
   M /trunk/asymptote/examples/Klein.asy
   M /trunk/asymptote/picture.cc
   M /trunk/asymptote/prc/oPRCFile.cc
   M /trunk/asymptote/prc/oPRCFile.h
   M /trunk/asymptote/prc/test.cc
   M /trunk/asymptote/prc/writePRC.cc
   M /trunk/asymptote/prc/writePRC.h
   M /trunk/asymptote/runpicture.in

Fix grouping.

Make part names and compression group properties.

------------------------------------------------------------------------
r4932 | jcbowman | 2010-05-31 14:28:30 -0600 (Mon, 31 May 2010) | 1 line
Changed paths:
   M /trunk/asymptote/prc/oPRCFile.cc
   M /trunk/asymptote/prc/oPRCFile.h

Remove context list.
------------------------------------------------------------------------
r4931 | jcbowman | 2010-05-30 21:07:52 -0600 (Sun, 30 May 2010) | 1 line
Changed paths:
   M /trunk/asymptote/asymptote.nsi

Disable 384MB Cygwin memory limit.
------------------------------------------------------------------------
r4930 | jcbowman | 2010-05-30 02:17:21 -0600 (Sun, 30 May 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three.asy
   M /trunk/asymptote/base/three_surface.asy
   M /trunk/asymptote/drawelement.h
   M /trunk/asymptote/drawsurface.cc
   M /trunk/asymptote/drawsurface.h
   M /trunk/asymptote/runpicture.in

Implement optimized PRCsphere and NURBsphere.

------------------------------------------------------------------------
r4929 | jcbowman | 2010-05-29 21:39:38 -0600 (Sat, 29 May 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/pipestream.h

Replace SIGQUIT by SIGTERM.

------------------------------------------------------------------------
r4928 | jcbowman | 2010-05-22 22:24:32 -0600 (Sat, 22 May 2010) | 1 line
Changed paths:
   M /trunk/asymptote/drawsurface.cc

Fix invalid memory access.
------------------------------------------------------------------------
r4927 | jcbowman | 2010-05-19 23:48:25 -0600 (Wed, 19 May 2010) | 1 line
Changed paths:
   M /trunk/asymptote/examples/teapot.asy

Fix example.
------------------------------------------------------------------------
r4926 | jcbowman | 2010-05-19 22:00:44 -0600 (Wed, 19 May 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three.asy
   M /trunk/asymptote/base/three_light.asy
   M /trunk/asymptote/base/three_surface.asy
   M /trunk/asymptote/doc/cube.asy
   M /trunk/asymptote/drawsurface.cc
   M /trunk/asymptote/drawsurface.h
   M /trunk/asymptote/examples/parametricsurface.asy
   M /trunk/asymptote/examples/pdb.asy
   M /trunk/asymptote/examples/teapot.asy
   M /trunk/asymptote/prc/oPRCFile.cc
   M /trunk/asymptote/prc/oPRCFile.h
   M /trunk/asymptote/prc/test.cc
   M /trunk/asymptote/prc/writePRC.cc
   M /trunk/asymptote/prc/writePRC.h
   M /trunk/asymptote/runpicture.in

Remove granularity setting.

------------------------------------------------------------------------
r4925 | jcbowman | 2010-05-19 13:23:56 -0600 (Wed, 19 May 2010) | 4 lines
Changed paths:
   M /trunk/asymptote/arrayop.h
   M /trunk/asymptote/base/math.asy
   M /trunk/asymptote/base/three_surface.asy
   M /trunk/asymptote/doc/asymptote.texi

Prune duplicate 3D dots.

Implement new functions unique and lexorder in math.asy.

------------------------------------------------------------------------
r4924 | jcbowman | 2010-05-18 12:35:45 -0600 (Tue, 18 May 2010) | 2 lines
Changed paths:
   A /trunk/asymptote/prc/test.asy

Add embedder for PRC test.

------------------------------------------------------------------------
r4923 | jcbowman | 2010-05-18 12:30:07 -0600 (Tue, 18 May 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/Makefile.in
   M /trunk/asymptote/prc/Makefile

Fix prc dependency.

------------------------------------------------------------------------
r4922 | jcbowman | 2010-05-18 10:48:08 -0600 (Tue, 18 May 2010) | 1 line
Changed paths:
   M /trunk/asymptote/prc/writePRC.cc
   M /trunk/asymptote/prc/writePRC.h

Remove debugging comments.
------------------------------------------------------------------------
r4921 | jcbowman | 2010-05-17 22:53:48 -0600 (Mon, 17 May 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/drawsurface.cc

Fix compression limit.

------------------------------------------------------------------------
r4920 | jcbowman | 2010-05-17 10:47:00 -0600 (Mon, 17 May 2010) | 1 line
Changed paths:
   M /trunk/asymptote/GUI/xasyMainWin.py
   M /trunk/asymptote/doc/asymptote.texi

Update URLs.
------------------------------------------------------------------------
r4919 | jcbowman | 2010-05-17 08:55:40 -0600 (Mon, 17 May 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/prc/oPRCFile.cc

Use Adobe compression factor.

------------------------------------------------------------------------
r4918 | jcbowman | 2010-05-17 00:46:27 -0600 (Mon, 17 May 2010) | 3 lines
Changed paths:
   M /trunk/asymptote/base/graph3.asy
   M /trunk/asymptote/base/plain_picture.asy
   M /trunk/asymptote/base/solids.asy
   M /trunk/asymptote/base/three.asy
   M /trunk/asymptote/base/three_surface.asy
   M /trunk/asymptote/examples/Klein.asy

Distinguish again between the 3D begingroup3/endgroup3 and the 2D
begingroup/endgroup pairs. 

------------------------------------------------------------------------
r4917 | jcbowman | 2010-05-16 23:52:15 -0600 (Sun, 16 May 2010) | 1 line
Changed paths:
   M /trunk/asymptote/doc/latexusage.tex

Update hyperref comment.
------------------------------------------------------------------------
r4916 | jcbowman | 2010-05-16 21:33:37 -0600 (Sun, 16 May 2010) | 3 lines
Changed paths:
   M /trunk/asymptote/doc/latexusage.tex

Add example of using rendermargin to avoid rendering residue in included 3D
images.

------------------------------------------------------------------------
r4915 | jcbowman | 2010-05-16 19:11:42 -0600 (Sun, 16 May 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three.asy

Adjust default tubegranularity; remove spurious line.

------------------------------------------------------------------------
r4914 | jcbowman | 2010-05-16 17:52:09 -0600 (Sun, 16 May 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three.asy
   M /trunk/asymptote/base/three_tube.asy

Use a reduced tubegranularity for constructing tubes.

------------------------------------------------------------------------
r4913 | jcbowman | 2010-05-16 17:24:07 -0600 (Sun, 16 May 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/drawsurface.cc
   M /trunk/asymptote/prc/writePRC.cc

Fix floating point exception in PRC compression routines.

------------------------------------------------------------------------
r4912 | jcbowman | 2010-05-16 02:50:12 -0600 (Sun, 16 May 2010) | 3 lines
Changed paths:
   M /trunk/asymptote/base/graph3.asy
   M /trunk/asymptote/base/plain_picture.asy
   M /trunk/asymptote/base/solids.asy
   M /trunk/asymptote/base/three.asy
   M /trunk/asymptote/base/three_light.asy
   M /trunk/asymptote/base/three_surface.asy
   M /trunk/asymptote/drawelement.h
   M /trunk/asymptote/drawgroup.h
   M /trunk/asymptote/drawpath3.cc
   M /trunk/asymptote/drawsurface.cc
   M /trunk/asymptote/drawsurface.h
   M /trunk/asymptote/examples/Klein.asy
   A /trunk/asymptote/examples/label3zoom.asy
   M /trunk/asymptote/prc/PRC.h
   M /trunk/asymptote/prc/PRCdouble.h
   M /trunk/asymptote/prc/oPRCFile.cc
   M /trunk/asymptote/prc/oPRCFile.h
   M /trunk/asymptote/prc/test.cc
   M /trunk/asymptote/prc/writePRC.cc
   M /trunk/asymptote/prc/writePRC.h
   M /trunk/asymptote/prcfile.h
   M /trunk/asymptote/runpicture.in

Add some of Michail's PRC enhancements, including lossy compression of
surfaces.

------------------------------------------------------------------------
r4911 | jcbowman | 2010-05-13 21:03:06 -0600 (Thu, 13 May 2010) | 1 line
Changed paths:
   M /trunk/asymptote/fftw++.h

Fix portability issue.
------------------------------------------------------------------------
r4910 | jcbowman | 2010-05-13 12:46:21 -0600 (Thu, 13 May 2010) | 1 line
Changed paths:
   M /trunk/asymptote/memory.h

Remove space.
------------------------------------------------------------------------
r4909 | jcbowman | 2010-05-12 23:17:46 -0600 (Wed, 12 May 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/texfile.cc

Only quote filenames where necessary (e.g. to support obsolete versions of asymptote.sty).

------------------------------------------------------------------------
r4908 | jcbowman | 2010-05-12 11:31:23 -0600 (Wed, 12 May 2010) | 1 line
Changed paths:
   M /trunk/asymptote/runmath.in

Always use 256 bytes for random state array.
------------------------------------------------------------------------
r4907 | jcbowman | 2010-05-08 23:17:36 -0600 (Sat, 08 May 2010) | 2 lines
Changed paths:
   D /trunk/asymptote/Compile
   M /trunk/asymptote/asymptote.spec

Remove unused file.

------------------------------------------------------------------------
r4906 | jcbowman | 2010-05-07 14:32:28 -0600 (Fri, 07 May 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/fftw++.cc
   M /trunk/asymptote/fftw++.h
   M /trunk/asymptote/runarray.in

Use fftwpp namespace.

------------------------------------------------------------------------
r4905 | jcbowman | 2010-05-07 00:43:32 -0600 (Fri, 07 May 2010) | 1 line
Changed paths:
   M /trunk/asymptote/fftw++.h

Update fftw++.h to v1.06.
------------------------------------------------------------------------
r4904 | jcbowman | 2010-05-04 16:53:28 -0600 (Tue, 04 May 2010) | 1 line
Changed paths:
   M /trunk/asymptote/configure.ac

Increment version to 1.95svn.
------------------------------------------------------------------------
r4903 | jcbowman | 2010-05-04 14:47:23 -0600 (Tue, 04 May 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/settings.cc

Predefine a default docdir for MSWindows.

------------------------------------------------------------------------
r4902 | jcbowman | 2010-05-04 12:54:30 -0600 (Tue, 04 May 2010) | 1 line
Changed paths:
   M /trunk/asymptote/patches/cygwin_xdr.patch

Update CYGWIN xdr patch.
------------------------------------------------------------------------
r4901 | jcbowman | 2010-05-04 11:18:57 -0600 (Tue, 04 May 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_picture.asy
   M /trunk/asymptote/base/three.asy
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/examples/filesurface.asy

Document fit3() and remove restriction on projection.center.

------------------------------------------------------------------------
r4900 | jcbowman | 2010-05-04 01:33:17 -0600 (Tue, 04 May 2010) | 1 line
Changed paths:
   M /trunk/asymptote/util.h

Add missing CYGWIN declarations.
------------------------------------------------------------------------
r4899 | jcbowman | 2010-05-03 22:52:36 -0600 (Mon, 03 May 2010) | 1 line
Changed paths:
   M /trunk/asymptote/base/plain_paths.asy
   M /trunk/asymptote/doc/asymptote.texi

Document pair dir(path, path).
------------------------------------------------------------------------
r4898 | jcbowman | 2010-05-03 22:43:55 -0600 (Mon, 03 May 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/math.asy
   M /trunk/asymptote/doc/asymptote.texi

Update documentation of math module.

------------------------------------------------------------------------
r4897 | jcbowman | 2010-05-03 22:08:46 -0600 (Mon, 03 May 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/slide.asy

Use outprefix().

------------------------------------------------------------------------
r4896 | jcbowman | 2010-05-03 21:40:17 -0600 (Mon, 03 May 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/arrayop.h
   M /trunk/asymptote/builtin.cc

Implement matrix negation for arithmetic types.

------------------------------------------------------------------------
r4895 | jcbowman | 2010-05-03 14:45:00 -0600 (Mon, 03 May 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/asymptote.spec
   M /trunk/asymptote/base/math.asy
   M /trunk/asymptote/drawelement.h
   M /trunk/asymptote/drawpath3.h
   M /trunk/asymptote/drawsurface.h
   M /trunk/asymptote/runarray.in
   M /trunk/asymptote/runpath3d.in
   M /trunk/asymptote/runpicture.in
   M /trunk/asymptote/runtimebase.in

Move pair[][] operator * (pair[][] a, pair[][] b) to C++.

------------------------------------------------------------------------
r4894 | jcbowman | 2010-05-03 01:56:45 -0600 (Mon, 03 May 2010) | 6 lines
Changed paths:
   M /trunk/asymptote/Makefile.in
   M /trunk/asymptote/README
   M /trunk/asymptote/doc/FAQ/Makefile
   M /trunk/asymptote/doc/Makefile.in
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/doc/png/Makefile.in
   M /trunk/asymptote/examples/slidedemo.asy

Add make cleaner target that runs make clean in the doc directory and make
distclean everywhere else.

Change make clean in doc directory so that it no longer removes asymptote.pdf
and CAD.pdf.

------------------------------------------------------------------------
r4893 | jcbowman | 2010-05-03 01:52:36 -0600 (Mon, 03 May 2010) | 3 lines
Changed paths:
   M /trunk/asymptote/base/plain_picture.asy
   M /trunk/asymptote/base/three.asy

Add picture.fit3(projection P=currentprojection) and 
add(picture dest=currentpicture, frame src, triple position) routines.

------------------------------------------------------------------------
r4892 | jcbowman | 2010-05-02 23:05:10 -0600 (Sun, 02 May 2010) | 1 line
Changed paths:
   M /trunk/asymptote/base/plain.asy

Avoid redundant mismatched version warnings.
------------------------------------------------------------------------
r4891 | jcbowman | 2010-05-02 22:52:40 -0600 (Sun, 02 May 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/flatguide.cc

Fix guide bug intoduced in r3817.

------------------------------------------------------------------------
r4890 | jcbowman | 2010-05-02 17:22:14 -0600 (Sun, 02 May 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/runmath.in

Use a larger table for generating random numbers.

------------------------------------------------------------------------
r4889 | jcbowman | 2010-05-02 01:03:23 -0600 (Sun, 02 May 2010) | 1 line
Changed paths:
   M /trunk/asymptote/fftw++.h

Use accurate roots of unity in FFT shift.
------------------------------------------------------------------------
r4888 | jcbowman | 2010-05-01 10:14:10 -0600 (Sat, 01 May 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/fftw++.h

Fix fftNormalize.

------------------------------------------------------------------------
r4887 | jcbowman | 2010-05-01 08:21:08 -0600 (Sat, 01 May 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi

Update documentation of addViews.

------------------------------------------------------------------------
r4886 | jcbowman | 2010-04-29 02:30:10 -0600 (Thu, 29 Apr 2010) | 1 line
Changed paths:
   M /trunk/asymptote/fftw++.h

Improve fftw interface.
------------------------------------------------------------------------
r4885 | jcbowman | 2010-04-27 22:19:50 -0600 (Tue, 27 Apr 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/contour.asy

Make local variables private.

------------------------------------------------------------------------
r4884 | jcbowman | 2010-04-26 11:31:24 -0600 (Mon, 26 Apr 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_paths.asy
   M /trunk/asymptote/examples/orthocenter.asy

Make pair dir(path,path) return a unit vector.

------------------------------------------------------------------------
r4883 | jcbowman | 2010-04-26 11:28:15 -0600 (Mon, 26 Apr 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/runpair.in

Fix return type of dot(pair,pair).

------------------------------------------------------------------------
r4882 | jcbowman | 2010-04-25 22:05:00 -0600 (Sun, 25 Apr 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/fftw++.h
   M /trunk/asymptote/pair.h
   M /trunk/asymptote/runarray.in
   M /trunk/asymptote/runpair.in
   M /trunk/asymptote/triple.h

Implement pair dot(pair[] a, pair[] b).

------------------------------------------------------------------------
r4881 | jcbowman | 2010-04-20 10:02:39 -0600 (Tue, 20 Apr 2010) | 1 line
Changed paths:
   M /trunk/asymptote/settings.cc

Work around MSWindows registry problems.
------------------------------------------------------------------------
r4880 | jcbowman | 2010-04-20 09:21:34 -0600 (Tue, 20 Apr 2010) | 1 line
Changed paths:
   M /trunk/asymptote/settings.cc

Work around empty docdir.
------------------------------------------------------------------------
r4879 | jcbowman | 2010-04-18 10:21:14 -0600 (Sun, 18 Apr 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/fftw++.h

Move shift variable to Execute.

------------------------------------------------------------------------
r4878 | jcbowman | 2010-04-18 08:43:11 -0600 (Sun, 18 Apr 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_arrows.asy

Fix SimpleHead.

------------------------------------------------------------------------
r4877 | jcbowman | 2010-04-17 23:20:54 -0600 (Sat, 17 Apr 2010) | 5 lines
Changed paths:
   M /trunk/asymptote/arrayop.h
   M /trunk/asymptote/base/math.asy
   M /trunk/asymptote/builtin.cc
   M /trunk/asymptote/castop.h

Move basic matrix operators from math.asy to C++ code and implement int
and pair versions.

Add vector and matrix conjugate operations.

------------------------------------------------------------------------
r4876 | jcbowman | 2010-04-17 17:39:05 -0600 (Sat, 17 Apr 2010) | 5 lines
Changed paths:
   M /trunk/asymptote/arrayop.h
   M /trunk/asymptote/builtin.cc
   M /trunk/asymptote/castop.h
   M /trunk/asymptote/runarray.in

Add casts from int[][] to real[][], int[][] to pair[][], and real[][] to
pair[][].

Implement int[][] diagonal(int[]) and pair[][] diagonal(pair[]).

------------------------------------------------------------------------
r4875 | jcbowman | 2010-04-17 16:37:44 -0600 (Sat, 17 Apr 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_filldraw.asy
   M /trunk/asymptote/doc/asymptote.texi

Implement a RadialShadeDraw filltype.

------------------------------------------------------------------------
r4874 | jcbowman | 2010-04-17 09:33:56 -0600 (Sat, 17 Apr 2010) | 1 line
Changed paths:
   M /trunk/asymptote/configure.ac

Increment version to 1.94svn.
------------------------------------------------------------------------
r4873 | jcbowman | 2010-04-16 20:13:15 -0600 (Fri, 16 Apr 2010) | 8 lines
Changed paths:
   M /trunk/asymptote/base/plain_picture.asy
   M /trunk/asymptote/base/plain_shipout.asy
   M /trunk/asymptote/base/plain_strings.asy
   M /trunk/asymptote/drawverbatim.h
   M /trunk/asymptote/picture.cc
   M /trunk/asymptote/runsystem.in
   M /trunk/asymptote/settings.cc
   M /trunk/asymptote/settings.h

Expose outname() to asy.

Revert revision 4865 for strings containing spaces.

Fix tex(picture).

Add deactivatequote and activatequote functions for Babel users.

------------------------------------------------------------------------
r4872 | jcbowman | 2010-04-16 20:00:30 -0600 (Fri, 16 Apr 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/glrender.cc

Redraw screen after export (for MSWindows).

------------------------------------------------------------------------
r4871 | jcbowman | 2010-04-16 14:00:51 -0600 (Fri, 16 Apr 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/GUI/xasyMainWin.py
   M /trunk/asymptote/settings.cc

Move backslash conversion into asy.

------------------------------------------------------------------------
r4870 | jcbowman | 2010-04-16 13:54:22 -0600 (Fri, 16 Apr 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/GUI/xasyMainWin.py

Fix GUI export under MSWindows.

------------------------------------------------------------------------
r4869 | jcbowman | 2010-04-16 11:58:48 -0600 (Fri, 16 Apr 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/examples/label3.asy

Improve camera position.

------------------------------------------------------------------------
r4868 | jcbowman | 2010-04-16 11:47:15 -0600 (Fri, 16 Apr 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/examples/washer.asy

Set size.

------------------------------------------------------------------------
r4867 | jcbowman | 2010-04-16 11:06:15 -0600 (Fri, 16 Apr 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/examples/poster.asy

Fix poster size.

------------------------------------------------------------------------
r4866 | jcbowman | 2010-04-16 10:46:48 -0600 (Fri, 16 Apr 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/asymptote.spec
   M /trunk/asymptote/examples/animations/inlinemovie.tex

Revert unintended removal of inline option.

------------------------------------------------------------------------
r4865 | jcbowman | 2010-04-16 09:42:26 -0600 (Fri, 16 Apr 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_strings.asy

Require user to double quote graphics file names containing spaces.

------------------------------------------------------------------------
r4864 | jcbowman | 2010-04-16 09:31:29 -0600 (Fri, 16 Apr 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_strings.asy
   M /trunk/asymptote/texfile.cc

Ensure double quote character is inactive.

------------------------------------------------------------------------
r4863 | jcbowman | 2010-04-16 08:49:27 -0600 (Fri, 16 Apr 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/picture.cc

Clean up files even after errors.

------------------------------------------------------------------------
r4862 | jcbowman | 2010-04-16 01:00:40 -0600 (Fri, 16 Apr 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/drawfill.h

Fix latticeshading with -svgemulation.

------------------------------------------------------------------------
r4861 | jcbowman | 2010-04-16 00:37:58 -0600 (Fri, 16 Apr 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/drawfill.h
   M /trunk/asymptote/psfile.h
   M /trunk/asymptote/texfile.h

Fix SVG emulation.

------------------------------------------------------------------------
r4860 | jcbowman | 2010-04-16 00:17:49 -0600 (Fri, 16 Apr 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/pen.h
   M /trunk/asymptote/texfile.cc

Fix initial SVG pen.

------------------------------------------------------------------------
r4859 | jcbowman | 2010-04-15 23:44:32 -0600 (Thu, 15 Apr 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/GUI/xasy2asy.py
   M /trunk/asymptote/GUI/xasyMainWin.py

Fix GUI export; add SVG export.

------------------------------------------------------------------------
r4858 | jcbowman | 2010-04-15 23:32:29 -0600 (Thu, 15 Apr 2010) | 1 line
Changed paths:
   M /trunk/asymptote/base/plain_shipout.asy
   M /trunk/asymptote/settings.cc

Revert outname construction.
------------------------------------------------------------------------
r4857 | jcbowman | 2010-04-15 15:42:29 -0600 (Thu, 15 Apr 2010) | 7 lines
Changed paths:
   M /trunk/asymptote/base/animation.asy
   M /trunk/asymptote/base/flowchart.asy
   M /trunk/asymptote/base/plain_shipout.asy
   M /trunk/asymptote/base/plain_strings.asy
   M /trunk/asymptote/base/three.asy
   M /trunk/asymptote/doc/asymptote.sty
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/examples/animations/inlinemovie.tex
   M /trunk/asymptote/fileio.h
   M /trunk/asymptote/glrender.cc
   M /trunk/asymptote/picture.cc
   M /trunk/asymptote/runfile.in
   M /trunk/asymptote/runlabel.in
   M /trunk/asymptote/runsystem.in
   M /trunk/asymptote/runtime.in
   M /trunk/asymptote/settings.cc
   M /trunk/asymptote/texfile.cc
   M /trunk/asymptote/texfile.h
   M /trunk/asymptote/util.cc
   M /trunk/asymptote/util.h

Allow spaces in output directory name.

All output files are written to the directory part of settings.outname;
if this is empty, the current directory is used.

Allow cd to other directories, preserving the output directory.

------------------------------------------------------------------------
r4856 | jcbowman | 2010-04-15 00:58:42 -0600 (Thu, 15 Apr 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/texfile.cc

Remove obsolete bug workaround.

------------------------------------------------------------------------
r4855 | jcbowman | 2010-04-14 16:45:50 -0600 (Wed, 14 Apr 2010) | 1 line
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi

Remove misleading deep qualifier.
------------------------------------------------------------------------
r4854 | jcbowman | 2010-04-14 14:28:06 -0600 (Wed, 14 Apr 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/flowchart.asy
   M /trunk/asymptote/doc/asymptote.texi

Add parallelogram block to flowchart module.

------------------------------------------------------------------------
r4853 | jcbowman | 2010-04-14 12:12:07 -0600 (Wed, 14 Apr 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/configure.ac

Check for LIBGL on MacOSX.

------------------------------------------------------------------------
r4852 | jcbowman | 2010-04-13 10:20:24 -0600 (Tue, 13 Apr 2010) | 1 line
Changed paths:
   M /trunk/asymptote/memory.h

Fix preprocessor conditional.
------------------------------------------------------------------------
r4851 | jcbowman | 2010-04-13 01:16:51 -0600 (Tue, 13 Apr 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/drawfill.h

Fix latticeshade stroke bounds.

------------------------------------------------------------------------
r4850 | jcbowman | 2010-04-12 22:22:29 -0600 (Mon, 12 Apr 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/memory.h

Support old versions of gcc again.

------------------------------------------------------------------------
r4849 | jcbowman | 2010-04-12 01:55:34 -0600 (Mon, 12 Apr 2010) | 1 line
Changed paths:
   M /trunk/asymptote/configure.ac

Increment version to 1.93svn.
------------------------------------------------------------------------
r4848 | jcbowman | 2010-04-11 09:41:33 -0600 (Sun, 11 Apr 2010) | 4 lines
Changed paths:
   M /trunk/asymptote/interact.cc
   M /trunk/asymptote/runhistory.in

Call init_readline only once.

Remove obsolete CYGWIN readline initialization code.

------------------------------------------------------------------------
r4847 | jcbowman | 2010-04-11 09:34:01 -0600 (Sun, 11 Apr 2010) | 1 line
Changed paths:
   M /trunk/asymptote/asymptote.spec
   M /trunk/asymptote/examples/odetest.asy

Fix typo.
------------------------------------------------------------------------
r4846 | jcbowman | 2010-04-11 02:26:26 -0600 (Sun, 11 Apr 2010) | 1 line
Changed paths:
   M /trunk/asymptote/configure.ac
   M /trunk/asymptote/settings.cc

Fix -lGL detection.
------------------------------------------------------------------------
r4845 | jcbowman | 2010-04-11 00:51:59 -0600 (Sun, 11 Apr 2010) | 1 line
Changed paths:
   M /trunk/asymptote/common.h
   M /trunk/asymptote/settings.cc
   M /trunk/asymptote/util.h

More CYGWIN portability changes.
------------------------------------------------------------------------
r4844 | jcbowman | 2010-04-10 12:43:11 -0600 (Sat, 10 Apr 2010) | 1 line
Changed paths:
   M /trunk/asymptote/main.cc
   M /trunk/asymptote/runmath.in

Fix CYGWIN portability issues.
------------------------------------------------------------------------
r4843 | jcbowman | 2010-04-10 11:12:46 -0600 (Sat, 10 Apr 2010) | 1 line
Changed paths:
   M /trunk/asymptote/memory.h

Improve tr1 test.
------------------------------------------------------------------------
r4842 | jcbowman | 2010-04-07 21:19:31 -0600 (Wed, 07 Apr 2010) | 4 lines
Changed paths:
   M /trunk/asymptote/base/graph.asy
   M /trunk/asymptote/doc/asymptote.texi

Add autorotate argument to yaxis.

Document assert(bool, string).

------------------------------------------------------------------------
r4841 | jcbowman | 2010-04-07 21:15:42 -0600 (Wed, 07 Apr 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/glrender.cc

Fix aspect ratio.

------------------------------------------------------------------------
r4840 | jcbowman | 2010-04-07 16:18:14 -0600 (Wed, 07 Apr 2010) | 3 lines
Changed paths:
   M /trunk/asymptote/base/contour3.asy
   M /trunk/asymptote/base/graph3.asy
   M /trunk/asymptote/base/plain_picture.asy
   M /trunk/asymptote/base/three.asy
   M /trunk/asymptote/base/three_arrows.asy

Add projection.normal to represent the normal to the projection plane,
which differs from projection.vector() for oblique projections.

------------------------------------------------------------------------
r4839 | jcbowman | 2010-04-07 13:32:07 -0600 (Wed, 07 Apr 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three.asy

Make oblique projections work with billboard labels.

------------------------------------------------------------------------
r4838 | jcbowman | 2010-04-07 11:22:14 -0600 (Wed, 07 Apr 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/drawfill.h

Fix latticeshading.

------------------------------------------------------------------------
r4837 | jcbowman | 2010-04-05 17:56:20 -0600 (Mon, 05 Apr 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/graph.asy
   M /trunk/asymptote/base/graph3.asy
   M /trunk/asymptote/base/plain_arcs.asy
   M /trunk/asymptote/base/three.asy
   M /trunk/asymptote/fftw++.h

Fix normal and true Circle calculations.

------------------------------------------------------------------------
r4836 | jcbowman | 2010-04-03 17:31:30 -0600 (Sat, 03 Apr 2010) | 1 line
Changed paths:
   M /trunk/asymptote/fftw++.h

Remove unwanted template.
------------------------------------------------------------------------
r4835 | jcbowman | 2010-03-23 21:05:38 -0600 (Tue, 23 Mar 2010) | 1 line
Changed paths:
   M /trunk/asymptote/base/plain_picture.asy

Fix typo.
------------------------------------------------------------------------
r4834 | jcbowman | 2010-03-23 20:44:50 -0600 (Tue, 23 Mar 2010) | 1 line
Changed paths:
   M /trunk/asymptote/base/graph3.asy
   M /trunk/asymptote/base/plain_picture.asy
   M /trunk/asymptote/base/three_surface.asy

Ignore null 3D paths.
------------------------------------------------------------------------
r4833 | jcbowman | 2010-03-22 23:03:58 -0600 (Mon, 22 Mar 2010) | 1 line
Changed paths:
   M /trunk/asymptote/runarray.in

Fix revision 4820.
------------------------------------------------------------------------
r4832 | jcbowman | 2010-03-21 22:35:06 -0600 (Sun, 21 Mar 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/graph.asy
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/examples/odetest.asy

Add more predefined tick modifiers.

------------------------------------------------------------------------
r4831 | jcbowman | 2010-03-21 19:46:07 -0600 (Sun, 21 Mar 2010) | 1 line
Changed paths:
   M /trunk/asymptote/base/slide.asy

Fix last change.
------------------------------------------------------------------------
r4830 | jcbowman | 2010-03-21 19:43:27 -0600 (Sun, 21 Mar 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/external.asy
   M /trunk/asymptote/base/plain_strings.asy
   M /trunk/asymptote/base/slide.asy

Fix incorrect pt scaling.

------------------------------------------------------------------------
r4829 | jcbowman | 2010-03-20 23:19:37 -0600 (Sat, 20 Mar 2010) | 4 lines
Changed paths:
   M /trunk/asymptote/base/ode.asy
   M /trunk/asymptote/examples/odetest.asy

Make integrate routines return structure including sampled time values.

Enable dynamic timestepping for solveBVP.

------------------------------------------------------------------------
r4828 | jcbowman | 2010-03-19 09:36:21 -0600 (Fri, 19 Mar 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/configure.ac

Configure Boehm gc with --enable-large-config by default.

------------------------------------------------------------------------
r4827 | jcbowman | 2010-03-16 17:40:26 -0600 (Tue, 16 Mar 2010) | 1 line
Changed paths:
   M /trunk/asymptote/examples/triceratops.asy

Fix url.
------------------------------------------------------------------------
r4826 | jcbowman | 2010-03-07 09:48:36 -0700 (Sun, 07 Mar 2010) | 1 line
Changed paths:
   M /trunk/asymptote/runarray.in

Rename FFTWdelete to deleteAlign.
------------------------------------------------------------------------
r4825 | jcbowman | 2010-03-07 09:45:27 -0700 (Sun, 07 Mar 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/fftw++.h
   M /trunk/asymptote/runarray.in

Rename FFTWComplex to ComplexAlign.

------------------------------------------------------------------------
r4824 | jcbowman | 2010-03-04 12:59:27 -0700 (Thu, 04 Mar 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/contour.asy

Fix array index.

------------------------------------------------------------------------
r4823 | jcbowman | 2010-03-01 09:07:51 -0700 (Mon, 01 Mar 2010) | 1 line
Changed paths:
   M /trunk/asymptote/runmath.in

Make CLZ and CTZ portable.
------------------------------------------------------------------------
r4822 | jcbowman | 2010-02-28 21:54:54 -0700 (Sun, 28 Feb 2010) | 1 line
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/runmath.in

Implement CLZ and CTZ bit functions.
------------------------------------------------------------------------
r4821 | jcbowman | 2010-02-25 15:52:27 -0700 (Thu, 25 Feb 2010) | 1 line
Changed paths:
   M /trunk/asymptote/runarray.in

Ignore negative dxmax.
------------------------------------------------------------------------
r4820 | jcbowman | 2010-02-25 15:50:04 -0700 (Thu, 25 Feb 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/runarray.in
   M /trunk/asymptote/simpson.cc

Fix simpson for a > b and f decreasing.

------------------------------------------------------------------------
r4819 | jcbowman | 2010-02-23 22:14:27 -0700 (Tue, 23 Feb 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/runarray.in

Fix compilation on systems without OpenGL.

------------------------------------------------------------------------
r4818 | jcbowman | 2010-02-23 18:21:35 -0700 (Tue, 23 Feb 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/fftw++.h

Use portable definition of M_PI.

------------------------------------------------------------------------
r4817 | jcbowman | 2010-02-20 16:20:15 -0700 (Sat, 20 Feb 2010) | 1 line
Changed paths:
   M /trunk/asymptote/drawgroup.h
   M /trunk/asymptote/drawpath3.h
   M /trunk/asymptote/drawsurface.cc
   M /trunk/asymptote/drawsurface.h

Add missing arguments.
------------------------------------------------------------------------
r4816 | jcbowman | 2010-02-19 14:57:19 -0700 (Fri, 19 Feb 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/common.h
   M /trunk/asymptote/configure.ac
   M /trunk/asymptote/drawpath3.cc
   M /trunk/asymptote/drawpath3.h
   M /trunk/asymptote/drawsurface.cc
   M /trunk/asymptote/drawsurface.h
   M /trunk/asymptote/glrender.cc
   M /trunk/asymptote/glrender.h
   M /trunk/asymptote/main.cc
   M /trunk/asymptote/picture.cc
   M /trunk/asymptote/settings.cc
   M /trunk/asymptote/tr.cc

Avoid implicit linking of libGL.

------------------------------------------------------------------------
r4815 | jcbowman | 2010-02-18 14:01:16 -0700 (Thu, 18 Feb 2010) | 1 line
Changed paths:
   M /trunk/asymptote/base/math.asy
   M /trunk/asymptote/doc/flowchartdemo.asy
   M /trunk/asymptote/drawfill.h
   A /trunk/asymptote/examples/clockarray.asy
   A /trunk/asymptote/examples/washer.asy
   M /trunk/asymptote/fftw++.h

Fix odd sized shifts in fftw++.h.
------------------------------------------------------------------------
r4814 | jcbowman | 2010-02-15 00:02:06 -0700 (Mon, 15 Feb 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/fftw++.h

Expose Shift functions.

------------------------------------------------------------------------
r4813 | jcbowman | 2010-02-13 16:09:35 -0700 (Sat, 13 Feb 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/fftw++.h

Remove ambiguous constructor.

------------------------------------------------------------------------
r4812 | hammera | 2010-02-10 07:14:26 -0700 (Wed, 10 Feb 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/virtualfieldaccess.h

Minor change to comment.

------------------------------------------------------------------------
r4811 | hammera | 2010-02-10 07:13:54 -0700 (Wed, 10 Feb 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/types.cc

Changed alignment of slashes in macro.

------------------------------------------------------------------------
r4810 | jcbowman | 2010-02-07 15:21:17 -0700 (Sun, 07 Feb 2010) | 1 line
Changed paths:
   M /trunk/asymptote/drawpath3.cc
   M /trunk/asymptote/drawsurface.cc

Fix compilation errors.
------------------------------------------------------------------------
r4809 | jcbowman | 2010-02-07 15:13:15 -0700 (Sun, 07 Feb 2010) | 1 line
Changed paths:
   M /trunk/asymptote/drawpath3.cc
   M /trunk/asymptote/drawsurface.cc

Fix part names.
------------------------------------------------------------------------
r4808 | jcbowman | 2010-02-07 11:34:19 -0700 (Sun, 07 Feb 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/prc/PRCTools/bitData.cc

Update test code.

------------------------------------------------------------------------
r4807 | jcbowman | 2010-02-05 08:39:23 -0700 (Fri, 05 Feb 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/prc/oPRCFile.h

Open oPRCFile in binary mode.

------------------------------------------------------------------------
r4806 | jcbowman | 2010-02-03 21:03:27 -0700 (Wed, 03 Feb 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi

Fix formatting.

------------------------------------------------------------------------
r4805 | jcbowman | 2010-01-30 21:04:48 -0700 (Sat, 30 Jan 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi

Fix typo in documentation of singlereal.

------------------------------------------------------------------------
r4804 | jcbowman | 2010-01-25 20:33:52 -0700 (Mon, 25 Jan 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/fftw++.h

Make FFTW wisdom file name and effort flag public.

------------------------------------------------------------------------
r4803 | jcbowman | 2010-01-25 09:58:39 -0700 (Mon, 25 Jan 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/fftw++.h

Update documentation of fftw++ header file.

------------------------------------------------------------------------
r4802 | jcbowman | 2010-01-23 11:09:50 -0700 (Sat, 23 Jan 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/picture.cc

Fix non-pdf output from PDF tex engines.

------------------------------------------------------------------------
r4801 | jcbowman | 2010-01-19 21:12:07 -0700 (Tue, 19 Jan 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/configure.ac

Improve diagnostic.

------------------------------------------------------------------------
r4800 | jcbowman | 2010-01-19 02:50:50 -0700 (Tue, 19 Jan 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/flowchart.asy
   M /trunk/asymptote/examples/controlsystem.asy

Remove implicit cast in favour of block constructor.

------------------------------------------------------------------------
r4799 | jcbowman | 2010-01-12 14:31:13 -0700 (Tue, 12 Jan 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/examples/label3.asy

Improve example.

------------------------------------------------------------------------
r4798 | jcbowman | 2010-01-11 10:41:52 -0700 (Mon, 11 Jan 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_Label.asy

Fix transformed Label alignment.

------------------------------------------------------------------------
r4797 | jcbowman | 2010-01-09 22:08:23 -0700 (Sat, 09 Jan 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/fftw++.h

Fix typo.

------------------------------------------------------------------------
r4796 | jcbowman | 2010-01-09 22:06:11 -0700 (Sat, 09 Jan 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/fftw++.h

Fix conflicts.

------------------------------------------------------------------------
r4795 | jcbowman | 2010-01-09 14:40:13 -0700 (Sat, 09 Jan 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/fftw++.h

Avoid uninitialized variable warning.

------------------------------------------------------------------------
r4794 | jcbowman | 2010-01-09 14:38:02 -0700 (Sat, 09 Jan 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/fftw++.h

Upgrade to latest version of fftw++.h.

------------------------------------------------------------------------
r4793 | jcbowman | 2010-01-09 14:34:31 -0700 (Sat, 09 Jan 2010) | 2 lines
Changed paths:
   M /trunk/asymptote/glrender.cc

Simplify code.

------------------------------------------------------------------------
r4792 | jcbowman | 2009-12-31 06:28:23 -0700 (Thu, 31 Dec 2009) | 1 line
Changed paths:
   M /trunk/asymptote/configure.ac

Increment version to 1.92svn.
------------------------------------------------------------------------
r4791 | jcbowman | 2009-12-30 22:05:07 -0700 (Wed, 30 Dec 2009) | 1 line
Changed paths:
   M /trunk/asymptote/patches/README
   D /trunk/asymptote/patches/freeglut-cygwin.patch

Remove obsolete freeglut patch.
------------------------------------------------------------------------
r4790 | jcbowman | 2009-12-30 13:27:38 -0700 (Wed, 30 Dec 2009) | 2 lines
Changed paths:
   M /trunk/asymptote/texfile.cc
   M /trunk/asymptote/texfile.h

Set default font after \begin{document}.

------------------------------------------------------------------------
r4789 | jcbowman | 2009-12-30 12:46:09 -0700 (Wed, 30 Dec 2009) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_picture.asy
   M /trunk/asymptote/drawfill.cc
   M /trunk/asymptote/drawfill.h
   M /trunk/asymptote/psfile.cc
   M /trunk/asymptote/psfile.h
   M /trunk/asymptote/runpicture.in
   M /trunk/asymptote/runtime.in
   M /trunk/asymptote/transform.h

Support transformations in lattice shading.

------------------------------------------------------------------------
r4788 | jcbowman | 2009-12-30 12:31:21 -0700 (Wed, 30 Dec 2009) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi

Update links.

------------------------------------------------------------------------
r4787 | jcbowman | 2009-12-19 08:18:46 -0700 (Sat, 19 Dec 2009) | 2 lines
Changed paths:
   M /trunk/asymptote/base/contour.asy

Untabify.

------------------------------------------------------------------------
r4786 | jcbowman | 2009-12-19 08:18:03 -0700 (Sat, 19 Dec 2009) | 2 lines
Changed paths:
   M /trunk/asymptote/base/contour.asy
   M /trunk/asymptote/examples/fillcontour.asy

Increase epsilon.

------------------------------------------------------------------------
r4785 | jcbowman | 2009-12-12 11:33:40 -0700 (Sat, 12 Dec 2009) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi

Replace "nonselfintersecting" by more standard term "simple".

------------------------------------------------------------------------
r4784 | jcbowman | 2009-12-11 17:34:20 -0700 (Fri, 11 Dec 2009) | 3 lines
Changed paths:
   M /trunk/asymptote/base/contour.asy
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/doc/irregularcontour.asy
   M /trunk/asymptote/examples/fillcontour.asy

Use a more robust contour algorithm based on approximating the function as
a paraboloid, courtesy of Chris Savage.

------------------------------------------------------------------------
r4783 | jcbowman | 2009-12-11 16:21:04 -0700 (Fri, 11 Dec 2009) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_paths.asy

Avoid casting to path[] in write(guide[]).

------------------------------------------------------------------------
r4782 | jcbowman | 2009-12-05 23:13:51 -0700 (Sat, 05 Dec 2009) | 2 lines
Changed paths:
   M /trunk/asymptote/asymptote.spec
   M /trunk/asymptote/base/plain_constants.asy
   M /trunk/asymptote/examples/gamma3.asy
   M /trunk/asymptote/examples/labelbox.asy

More example updates.

------------------------------------------------------------------------
r4781 | jcbowman | 2009-12-05 22:55:34 -0700 (Sat, 05 Dec 2009) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/doc/imagecontour.asy
   M /trunk/asymptote/examples/logo3.asy
   M /trunk/asymptote/examples/worksheet.asy

Minor example updates.

------------------------------------------------------------------------
r4780 | jcbowman | 2009-12-05 22:35:57 -0700 (Sat, 05 Dec 2009) | 2 lines
Changed paths:
   M /trunk/asymptote/base/flowchart.asy
   M /trunk/asymptote/doc/flowchartdemo.asy
   M /trunk/asymptote/examples/controlsystem.asy

Implement operator --(block, block) to simplify flowchart syntax.

------------------------------------------------------------------------
r4779 | jcbowman | 2009-12-05 12:40:40 -0700 (Sat, 05 Dec 2009) | 2 lines
Changed paths:
   M /trunk/asymptote/drawpath3.cc

Add change missed in previous revision.

------------------------------------------------------------------------
r4778 | jcbowman | 2009-12-05 12:39:48 -0700 (Sat, 05 Dec 2009) | 2 lines
Changed paths:
   M /trunk/asymptote/drawelement.h
   M /trunk/asymptote/drawpath3.h
   M /trunk/asymptote/drawsurface.cc
   M /trunk/asymptote/drawsurface.h
   M /trunk/asymptote/path3.cc
   M /trunk/asymptote/picture.cc

Improve precision of minratio and maxratio routines.

------------------------------------------------------------------------
r4777 | jcbowman | 2009-12-02 21:50:16 -0700 (Wed, 02 Dec 2009) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three_surface.asy

Fix transformed 3D labels under -render=0.

------------------------------------------------------------------------
r4776 | jcbowman | 2009-12-02 11:14:49 -0700 (Wed, 02 Dec 2009) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three_arrows.asy

Revert revision 4775.

------------------------------------------------------------------------
r4775 | jcbowman | 2009-12-02 11:10:16 -0700 (Wed, 02 Dec 2009) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three_arrows.asy

Retune HookHead2.

------------------------------------------------------------------------
r4774 | jcbowman | 2009-12-02 11:00:26 -0700 (Wed, 02 Dec 2009) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three_arrows.asy

Fix 3D planar arrowhead gap.

------------------------------------------------------------------------
r4773 | pivaldi | 2009-12-01 10:13:58 -0700 (Tue, 01 Dec 2009) | 1 line
Changed paths:
   M /trunk/asymptote/base/geometry.asy

Fix ellispe arc defined by abscesses when angle of ellispe is not zero.
------------------------------------------------------------------------
r4772 | jcbowman | 2009-12-01 00:50:44 -0700 (Tue, 01 Dec 2009) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three_arrows.asy

Remove duplicate arrow angle scale factor.

------------------------------------------------------------------------
r4771 | jcbowman | 2009-12-01 00:49:20 -0700 (Tue, 01 Dec 2009) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three_surface.asy

Fix offset in transformed 3D labels with render=0.

------------------------------------------------------------------------
r4770 | jcbowman | 2009-11-29 21:21:35 -0700 (Sun, 29 Nov 2009) | 2 lines
Changed paths:
   A /trunk/asymptote/examples/animations (from /trunk/asymptote/examples/animations:4766)

Revert r4767.

------------------------------------------------------------------------
r4769 | jcbowman | 2009-11-29 12:17:32 -0700 (Sun, 29 Nov 2009) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_boxes.asy

Fix pen size contributions to box and ellipse.

------------------------------------------------------------------------
r4768 | jcbowman | 2009-11-29 11:59:29 -0700 (Sun, 29 Nov 2009) | 5 lines
Changed paths:
   M /trunk/asymptote/base/embed.asy
   M /trunk/asymptote/doc/asymptote.sty

Update inlinetex support for xelatex.

Load hyperref before patches/movie15_dvipdfmx.sty (renamed to movie.sty)
under xelatex.

------------------------------------------------------------------------
r4767 | jcbowman | 2009-11-28 12:10:12 -0700 (Sat, 28 Nov 2009) | 1 line
Changed paths:
   D /trunk/asymptote/examples/animations


------------------------------------------------------------------------
r4766 | jcbowman | 2009-11-27 16:50:55 -0700 (Fri, 27 Nov 2009) | 2 lines
Changed paths:
   M /trunk/asymptote/picture.cc

Move convert options before geometry.

------------------------------------------------------------------------
r4765 | jcbowman | 2009-11-27 11:10:41 -0700 (Fri, 27 Nov 2009) | 3 lines
Changed paths:
   M /trunk/asymptote/picture.cc

Remove -alpha Off default convert option in favour of
convertOptions="-alpha Off".

------------------------------------------------------------------------
r4764 | jcbowman | 2009-11-27 10:45:11 -0700 (Fri, 27 Nov 2009) | 4 lines
Changed paths:
   M /trunk/asymptote/picture.cc
   M /trunk/asymptote/settings.cc

Use pngalpha driver only if antialias=2.

Fix size of pngalpha images.

------------------------------------------------------------------------
r4763 | jcbowman | 2009-11-26 17:32:36 -0700 (Thu, 26 Nov 2009) | 2 lines
Changed paths:
   A /trunk/asymptote/examples/cos3.asy
   A /trunk/asymptote/examples/exp3.asy
   A /trunk/asymptote/examples/sin3.asy

Add 3D examples.

------------------------------------------------------------------------
r4762 | jcbowman | 2009-11-26 09:09:58 -0700 (Thu, 26 Nov 2009) | 2 lines
Changed paths:
   M /trunk/asymptote/base/embed.asy
   M /trunk/asymptote/base/external.asy
   M /trunk/asymptote/doc/asymptote.texi

Use hypersetup to avoid hyperref option clashes.

------------------------------------------------------------------------
r4761 | jcbowman | 2009-11-26 08:31:15 -0700 (Thu, 26 Nov 2009) | 2 lines
Changed paths:
   M /trunk/asymptote/examples/SierpinskiSponge.asy

Reduce memory usage of example.

------------------------------------------------------------------------
r4760 | jcbowman | 2009-11-26 08:27:20 -0700 (Thu, 26 Nov 2009) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi

Fix braces.

------------------------------------------------------------------------
r4759 | jcbowman | 2009-11-26 00:55:46 -0700 (Thu, 26 Nov 2009) | 2 lines
Changed paths:
   M /trunk/asymptote/examples/logo3.asy

Improve 3D logo.

------------------------------------------------------------------------
r4758 | jcbowman | 2009-11-25 13:21:37 -0700 (Wed, 25 Nov 2009) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/settings.cc

Change colorslinks to pdfborder={0 0 0} in hyperrefOptions.

------------------------------------------------------------------------
r4757 | jcbowman | 2009-11-25 09:17:37 -0700 (Wed, 25 Nov 2009) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/runmath.in

Reduce conflicts by renaming the Bessel functions J and Y to Jn and Yn.

------------------------------------------------------------------------
r4756 | jcbowman | 2009-11-25 08:56:22 -0700 (Wed, 25 Nov 2009) | 2 lines
Changed paths:
   M /trunk/asymptote/settings.cc

Add colorlinks to settings.hyperrefOptions.

------------------------------------------------------------------------
r4755 | hammera | 2009-11-18 21:38:56 -0700 (Wed, 18 Nov 2009) | 3 lines
Changed paths:
   M /trunk/asymptote/camp.y
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/exp.h
   M /trunk/asymptote/stm.cc
   M /trunk/asymptote/stm.h

Added % for the last answer on the interactive prompt.


------------------------------------------------------------------------
r4754 | pivaldi | 2009-11-18 04:31:57 -0700 (Wed, 18 Nov 2009) | 1 line
Changed paths:
   M /trunk/asymptote/base/geometry.asy

Fix horizontal & vertical lines
------------------------------------------------------------------------
r4753 | jcbowman | 2009-11-17 11:46:36 -0700 (Tue, 17 Nov 2009) | 2 lines
Changed paths:
   A /trunk/asymptote/examples/polardatagraph.asy (from /trunk/asymptote/examples/polargraph.asy:4752)
   D /trunk/asymptote/examples/polargraph.asy

Rename example.

------------------------------------------------------------------------
r4752 | jcbowman | 2009-11-17 11:45:18 -0700 (Tue, 17 Nov 2009) | 2 lines
Changed paths:
   A /trunk/asymptote/examples/polargraph.asy

Add example of a polar graph produced from discrete data.

------------------------------------------------------------------------
r4751 | jcbowman | 2009-11-17 11:38:24 -0700 (Tue, 17 Nov 2009) | 2 lines
Changed paths:
   M /trunk/asymptote/base/plain_paths.asy
   M /trunk/asymptote/base/three.asy

Implement operator ..(tensionSpecifier t) and join3(tensionSpecifier t).

------------------------------------------------------------------------
r4750 | jcbowman | 2009-11-17 11:12:18 -0700 (Tue, 17 Nov 2009) | 3 lines
Changed paths:
   M /trunk/asymptote/base/graph.asy
   M /trunk/asymptote/doc/asymptote.texi

Implement polargraph(picture pic=currentpicture, real[] r, real[] theta,
interpolate join=operator--).

------------------------------------------------------------------------
r4749 | jcbowman | 2009-11-17 10:08:04 -0700 (Tue, 17 Nov 2009) | 2 lines
Changed paths:
   A /trunk/asymptote/examples/SierpinskiGasket.asy
   A /trunk/asymptote/examples/SierpinskiSponge.asy

Add Sierpinksi examples, courtesy of the cvgmt group.

------------------------------------------------------------------------
r4748 | jcbowman | 2009-11-13 23:59:23 -0700 (Fri, 13 Nov 2009) | 2 lines
Changed paths:
   M /trunk/asymptote/examples/venn3.asy

Improve example.

------------------------------------------------------------------------
r4747 | jcbowman | 2009-11-13 23:53:02 -0700 (Fri, 13 Nov 2009) | 2 lines
Changed paths:
   A /trunk/asymptote/examples/venn3.asy

Add example.

------------------------------------------------------------------------
r4746 | jcbowman | 2009-11-13 23:19:52 -0700 (Fri, 13 Nov 2009) | 2 lines
Changed paths:
   M /trunk/asymptote/base/graph.asy
   M /trunk/asymptote/base/graph_splinetype.asy

Add check that parametric array for spline interpolation is increasing.

------------------------------------------------------------------------
r4745 | hammera | 2009-11-12 21:54:00 -0700 (Thu, 12 Nov 2009) | 2 lines
Changed paths:
   M /trunk/asymptote/entry.cc
   M /trunk/asymptote/entry.h
   M /trunk/asymptote/table.h

Removed unused lookInTopScope methods.

------------------------------------------------------------------------
r4744 | jcbowman | 2009-11-09 13:12:20 -0700 (Mon, 09 Nov 2009) | 1 line
Changed paths:
   M /trunk/asymptote/asymptote.spec
   M /trunk/asymptote/configure.ac

Increment version to 1.91svn.
------------------------------------------------------------------------
r4743 | jcbowman | 2009-11-09 10:02:46 -0700 (Mon, 09 Nov 2009) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi

Document SVG output.

------------------------------------------------------------------------
r4742 | jcbowman | 2009-11-09 08:16:15 -0700 (Mon, 09 Nov 2009) | 2 lines
Changed paths:
   M /trunk/asymptote/texfile.cc

Remove preprocessor symbol in preparation for upcoming dvisvgm-0.8.7 release.

------------------------------------------------------------------------
r4741 | jcbowman | 2009-11-09 07:57:29 -0700 (Mon, 09 Nov 2009) | 2 lines
Changed paths:
   M /trunk/asymptote/texfile.cc

Fix SVG axial, radial, and emulated tensor-patch shading.

------------------------------------------------------------------------
r4740 | jcbowman | 2009-11-09 01:36:31 -0700 (Mon, 09 Nov 2009) | 1 line
Changed paths:
   M /trunk/asymptote/configure.ac

Increment version to 1.90svn.
------------------------------------------------------------------------
r4739 | jcbowman | 2009-11-09 00:26:17 -0700 (Mon, 09 Nov 2009) | 1 line
Changed paths:
   M /trunk/asymptote/glrender.cc

Fix timer argument.
------------------------------------------------------------------------
r4738 | jcbowman | 2009-11-09 00:13:46 -0700 (Mon, 09 Nov 2009) | 1 line
Changed paths:
   M /trunk/asymptote/texfile.cc

Check for uninitialized shading pens.
------------------------------------------------------------------------
r4737 | jcbowman | 2009-11-08 22:14:03 -0700 (Sun, 08 Nov 2009) | 2 lines
Changed paths:
   M /trunk/asymptote/drawclipbegin.h
   M /trunk/asymptote/drawclipend.h
   M /trunk/asymptote/drawelement.h
   M /trunk/asymptote/drawfill.h
   M /trunk/asymptote/psfile.h
   M /trunk/asymptote/texfile.cc
   M /trunk/asymptote/texfile.h

Implement emulation of Gouraud shading in SVG.

------------------------------------------------------------------------
r4736 | jcbowman | 2009-11-08 22:12:33 -0700 (Sun, 08 Nov 2009) | 3 lines
Changed paths:
   M /trunk/asymptote/base/math.asy

Add routine that returns the intersection time of the point on the line
through p and q that is closest to z.

------------------------------------------------------------------------
r4735 | jcbowman | 2009-11-06 11:55:09 -0700 (Fri, 06 Nov 2009) | 2 lines
Changed paths:
   M /trunk/asymptote/builtin.cc
   M /trunk/asymptote/runarray.in

Improve missing fft diagnostic.

------------------------------------------------------------------------
r4734 | jcbowman | 2009-11-05 17:08:27 -0700 (Thu, 05 Nov 2009) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three_surface.asy
   M /trunk/asymptote/drawpath3.cc
   M /trunk/asymptote/drawpath3.h
   M /trunk/asymptote/drawsurface.cc
   M /trunk/asymptote/drawsurface.h
   M /trunk/asymptote/runpicture.in

Reduce PRC NURBS memory usage.

------------------------------------------------------------------------
r4733 | jcbowman | 2009-11-05 16:50:29 -0700 (Thu, 05 Nov 2009) | 2 lines
Changed paths:
   M /trunk/asymptote/drawpath3.cc
   A /trunk/asymptote/examples/NURBScurve.asy
   M /trunk/asymptote/glrender.cc

Fix rational NURBS curves; add example.

------------------------------------------------------------------------
r4732 | jcbowman | 2009-11-04 04:54:57 -0700 (Wed, 04 Nov 2009) | 2 lines
Changed paths:
   M /trunk/asymptote/base/three.asy

Reduce maxangleiterations.

------------------------------------------------------------------------
r4731 | jcbowman | 2009-11-04 04:49:55 -0700 (Wed, 04 Nov 2009) | 2 lines
Changed paths:
   M /trunk/asymptote/doc/asymptote.texi
   M /trunk/asymptote/drawpath3.h
   M /trunk/asymptote/drawsurface.cc
   M /trunk/asymptote/path.cc
   M /trunk/asymptote/path.h

Revert to previous value of fuzz in ratio.

------------------------------------------------------------------------
r4730 | jcbowman | 2009-11-03 13:29:46 -0700 (Tue, 03 Nov 2009) | 1 line
